About ABBYY FlexiCapture 8.0 Professional

ABBYY FlexiCapture 8.0 Professional is a software solution for the automatic input of data from hardcopy documents into information systems and databases.

Employing advanced technologies of typed and handprinted character recognition, image processing and document analysis, ABBYY FlexiCapture 8.0 Professional offers convenient automated extraction of meaningful information from all kinds of documents that are processed in a single flow – structured (fixed) forms, semi-structured (flexible forms and documents) and free-format unstructured documents. ABBYY FlexiCapture 8.0 Professional prevents the need for labor-intensive and inefficient processing involved in having to sort and reprint information from documents manually.

The basic document processing scenario is as follows:

  1. Documents are placed in the automatic scanner feeder and scanning begins.
  2. Scanned document images are submitted for recognition, at which point the software automatically identifies documents, including multipage documents, locates meaningful fields, extracts data and loads check rules.
  3. If necessary, recognition is followed by visual verification of data and rule error checking.
  4. Recognized and verified data along with electronic copies of documents are saved to a database, an information system, or a file.


New features of ABBYY FlexiCapture 8.0 Professional compared to FormReader 6.5 Desktop

Types of documents processed

Multipage documents with a complex structure

The program allows the automatic identification and processing of structured, semi-structured, and unstructured documents with a varying number of pages, recurring pages, and documents with annexes.
Types of documents processed with ABBYY FlexiCapture 8.0
Creating templates for multipage documents
Creating templates for documents with annexes

Unstructured documents

Unstructured documents with text or images separated with blank pages, pages with barcode or patch-code are indexed with the help of simple templates, processed and exported to PDF searchable files or to graphic files.
Processing unstructured documents

Semi-structured multipage documents with complex tables or tables on several pages

Semi-structured multipage documents with tables continuing from one page to another are identified, assembled into documents, and processed with the help of a single flexible description.
Creating a template for flexible document processing

Fixed forms with tables

To simplify processing of documents containing tables, the program now supports tables in fixed forms.
Creating a table

Recurring elements

The program supports recurring field groups in structured and semi-structured documents. This simplifies the process of configuring the processing of documents containing identical element groups repeating several times, including processing of complex tables with such groups.
Creating a field group

Program architecture

Operator and Administrator modes

The Operator and Administrator modes are enabled when you select different commands in the Start menu. They can be installed on different computers. All program functions are available in the Administrator mode. In Operator mode, the user cannot edit documents templates, import profiles or access test batches.
Administrator and operator modes

Working with projects

A project is a single environment uniting document batches and the settings required to process them, such as document templates, import profiles, and suchlike.

A project can be used by different copies of the program: a project can be exported and imported as a single object, a project can be updated or transferred from one computer to another. Different workstations can work with the same projects over a network, making it possible to streamline document processing.
Creating a project
Project properties

Convenient tools for working with background processes

Time-consuming operations, such as adding images, recognition or export, can be performed in background mode, which significantly reduces document processing time. The user can always check the status of any background process, change the priorities of the tasks, and view the processing log.

Background mode

Document template editor

Working at document level

Templates are created for the entire document as processing units and are called document templates. A document template determines the way in which documents of a relevant type are identified and processed. Each document template contains page images, assembly rules, descriptions of fields and static elements, verification rules, verification settings, descriptions of data types, and data export settings.
Creating templates for multipage documents

Switching between image modes

Using the template editor you can now switch between two image modes: you can view images in the original color and in black-and-white, regardless of the format in which images are added to the batch. A color image simplifies the creation of templates for color forms, since in this mode you can see field marking and explanatory text: this is necessary in order to draw the field region and assign a name to the field. Viewing black-and-white images is important to make sure that anchors and static text are visible after the binarization that takes place in the process of recognition.

Data form editor

The data form editor makes it easy to create a custom presentation of extracted data and to display them in the most convenient manner for the operator.
Configuring data presentation in the document window

Presentation of fields in a tree form

The document structure is graphically presented as a fields tree. This form of field presentation allows you to quickly edit, copy, delete, and move fields.
Presentation of the document structure in the form of page outlines

The document structure is conveniently presented as page outlines. This makes it easier to view, edit, and create templates for multipage documents.
Separate viewing of static elements and fields

Static elements and fields are shown separately. Presenting static elements and fields in this way makes it easier to create templates: this process can be divided into two stages – static elements are created separately, while anchors, separators, anchor text and barcodes do not interfere with the creation of field regions.

Creating fields of a document template
Static elements
Grouping fields

Fields can be combined into groups to enable clear presentation of document structures and the creation of recurring field groups.

Creating a field group
Properties of a field group
Tables in fixed templates

You can now create a Table field in fixed templates, which considerably simplifies configuration, data extraction, and data export from tables. A Table field is set of same-type columns and recurring lines.

Creating a table
Table properties
Recurring elements in fixed templates

Recurring elements are fields or field groups that occur a number of times in the form and which describe similar objects, such as the same details of several employees, children, accounts, etc. The structure of such recurring elements is similar to that of a table: a set of fields is a column, while each repetition is a table row. The document template editor simplifies the configuration and processing of such fields.

Fields with several instances
Fields located on several pages of a form

If your form has fields whose region is located on several pages (for example long tables), the document template editor lets you view them as a single field, greatly simplifying configuration and processing.

Fields with several regions
Automated fixed template creation

The template editor offers new tools that automate and simplify the creation of fixed templates:

  • automatic identification of text fields with a region;
  • automatic identification of vertical and horizontal separators in tables;
  • automatic identification of a field with a single click of a mouse button in the field region;
  • automatic assignment of a field name that matches the nearest explanatory text;
  • recognition and copying of static text from the template image to field properties;
  • automatic adjustment of field boundaries.
Automatic detection of fields and static elements
How to change a field name
Improving the configuration of data types

We have elaborated the settings of data types to simplify the creation of document templates, and to improve the extraction and verification of field data. The most frequently used data types (text, date and time, currency, number) are included in the set of preconfigured data types. In turn, the most frequently used formats of preconfigured data types are included in the set of preconfigured formats and can be selected from the list without the need to create complex rules for format verification.
Data types of the text entry field
Creating custom data types

Description of verification rules using the JScript® language

Verification rules can now be described as script using the JScript® language (in addition to the VBScript language). This allows you to configure any custom rules for verification of data that is extracted.
A rule set with the help of a script
Using scripts to create rules

Index fields

If the option Index field is enabled in the field properties, then values of this field can be displayed in the form of an additional column in the document batch window. Documents can be sorted based on the value of this field. During export, the values of the index fields can be added to the file names, which makes it easier to find the information you need.
Index fields
Rules for naming export files

Additional statuses of document templates

When you open a document template in the template editor, a temporary local version of the template is automatically created. This editable version is not included in the processing of documents until it is published. This functionality allows you to organize work with templates in projects that are split.
Editing and publishing a template

Testing document templates on special batches in the template editor

To simplify and speed up template creation, editable templates can be tested during creation without the need to exit the document template editor. A template can be tested while it is being created, on the image that is being used to create the template. Special test batches can be used for such testing, which are not used for the actual processing of documents.
Testing document templates
Document batches

Image import

Automatic assembly of pages into documents

The incoming flow of images from the scanner or hot folder can be automatically divided into documents, when you use:

  • multipage image formats, such as TIFF or PDF;
  • blank pages, pages with barcodes or patch-codes.
Adding page images
Image pre-processing options
Image import profiles

Image import profiles are used to create sets of preconfigured settings for various document import sources (scanners or folders). An import profile is saved and assigned a name, which can be then selected by the operator from a list.
Image import profiles

Single-click import

Image import according to the settings of the profile last used can be performed with a single click.
Adding page images

Background import mode

Import can be performed in background mode. The program checks for new images in the hot folder at specific intervals.

Background mode

Classification, template application, recognition

Full-text recognition for export to a PDF-searchable file

The program supports a full-text document recognition scenario with subsequent export to PDF and PDF\A searchable files. This is especially useful when archiving unstructured and semi-structured documents.
New recognition languages

Kirghiz (OCR/ICR)

Kazakh (OCR/ICR)

Thai (OCR)

Supported recognition languages

New barcode types

Matrix 25, Industrial 25, PostNet.

Supported barcode types
Location of corrected characters in fixed forms

If a character entered by mistake has been erased, it is presented to the operator during verification to enable him or her to input the correct character manually.
Ability to remove separator pages

Pages with barcodes, pages with patch codes, and blank pages that are used as separator sheets can be automatically removed from the batch.

Image pre-processing options
Ability to remove blank pages

Blank pages can be removed during recognition.

Project properties

Data verification

Improvements in the verification interface
  • Full-screen mode.
  • The status bar shows the current percentage of verified characters.
Verification of recognized data
New interface configuration possibilities
  • The location of the window with the field image can be changed.
  • The window's scale can be changed. There is also a function for automatic selection of the best scale.
  • The user can change the font size of characters.
Verification of recognized data
Improvements in group verification
  • A popup tip with the context of characters.
  • Configurable size and contrast of the area adjacent to the character.
Group verification
Improvements in field verification
  • Format rules can now be checked during the process of field verification. The user sees an error description and has a list of proposed changes to the value.
  • There is now a mode for displaying a field with character cutting.
  • Multiline fields are supported.
  • Popup tips for characters that simplify understanding, for example, the letter "O" and number "0".
Field verification
On-the-fly field recognition

During verification in the document window, every change in the boundaries of the field region entails an automatic re-recognition of the corresponding image region. This functionality simplifies and speeds up data extraction from fields with inaccurately specified regions.
Improved interface for rule error correction
  • Every rule in the list of rule errors is accompanied by a reference to the relevant field. These references allow you to go quickly to fields with possible errors.
  • The list of error rules can be docked at the bottom, top, right-hand or left-hand side of the document window.
Rule validation
Correction of document assembly errors in page outline mode

A new page outline mode for batch documents is available. This mode is very convenient for correcting document assembly errors, allowing the user to:

  • view page outlines grouped by documents;
  • see mismatches between values of key fields and descriptions of assembly errors;
  • correct assembly errors by moving pages from one document to another, dragging and dropping pages with the help of the mouse;
  • change the scale of page outlines to view details (by holding down the Ctrl key and using the scroll wheel).
Assembling pages into documents
Password-protected PDF files can now be opened

DjVu files can now be added
Supported graphic formats

Export

Export to Microsoft SharePoint

Now you can set up export to Microsoft SharePoint using the program interface.

Exporting data to a SharePoint document library
Single-click export

If export settings have been configured, a document batch can be exported with a single click of a button. This prevents the operator having to perform extra actions and speeds up the document input process.

Exporting recognized data
Export of document images together with data

Together with data export, you can export images of the relevant documents.
Helpful rules for naming resulting files

When exporting data to a file to Microsoft SharePoint, file names are generated automatically based on user-defined rules. You can append the values of index fields to filenames, the value of the barcodes from separator pages, etc. Meaningful file names make it much easier to find the information you need.
Rules for naming export files

New document and image formats

PDF, PDF/A searchable

Supported graphic formats
Linking fields when exporting to a database

Configuration of export to a database is accompanied by a convenient interface for linking fields, enabling the user to quickly match document fields with database fields.

Export to database
Export described with a script

The user can describe any export procedures using the VBScript and JScript scripting languages.

Export described with a script
Using scripts to describe exports
Changing image resolution during export

The resolution of exported images can be modified to suit storage requirements.

Configuring data export
Picture export to file

The image of the entire document or an individual Picture field can be exported to a separate graphic file.
Removing exported documents from the batch

If you do not need to store exported documents in the batch, you can delete them immediately following export.

Exporting recognized data
Additional options


Types of document processed using ABBYY FlexiCapture 8.0

ABBYY FlexiCapture 8.0 Professional is software solution for single-flow data capture from documents of various types.

Various documents can be processed in a single flow. You can also set up the program to process documents of mixed type, e.g. documents that contain both structured and semi-structured sections. The type of documents affects system configuration only, namely the method of creating document templates. The nature of the operator's work is not affected by the type of documents processed.

ABBYY FlexiCapture can be configured for automated input of the following documents, including in a single flow:

Structured – fixed forms;
Structured forms are documents containing a set of marked information fields whose formatting, number and layout does not change from one document instance to the next. Such documents are called fixed forms. For example, most questionnaires and application forms are fixed forms. Such forms are usually distributed as blank forms and filled out by hand.

To identify a fixed form in a document flow and to extract data from it, you need to create a single fixed layout that will tell the program the location of the fields containing data to be extracted.

Fixed forms created to meet the requirements of automatic input can be processed most effectively. Such forms are called machine-readable forms. To learn more about the requirements for such forms and the methods of creating them, see the section Creating machine-readable forms.

The program includes a convenient tool for designing machine-readable forms – ABBYY FormDesigner 8.0 (supplied together with ABBYY FlexiCapture 8.0 Professional). You can read about designing forms with the help of ABBYY FormDesigner 8.0 in the User Guide and help topics.

The basic stages of creating a template are described specifically for structured documents.
Semi-structured – flexible forms and documents;
These are documents containing a set of information fields whose design, number and layout may vary significantly in different instances of the document. These documents are called flexible. For example, bills are flexible documents, since they often vary both in terms of the number of items and their formatting, due to the fact that they are received from different companies. All bills have a bill number and an amount due for payment, but are located in different places.

To identify flexible forms and to extract data from them, ABBYY FlexiCapture 8.0 Professional uses a flexible layout (FlexiLayout). A flexible layout is created with the help of a special module called ABBYY FlexiLayout Studio. Details of this module are available in the User Guide and help topics.

The processing of flexible documents differs from the processing of fixed forms only at the stage of creating and loading a layout. For details see Creating a template for processing flexible documents.
Unstructured documents with free-style design.
ABBYY FlexiCapture 8.0 Professional can be used to process unstructured documents containing information presented in a free style, for example contracts, letters, orders, and graphs. The program can automatically identify unstructured documents as annexes to fixed or flexible forms, or it can identify them with the help of a flexible layout and then export them as PDF searchable files or as graphic files. You can extract index fields from unstructured documents both automatically with the help of a flexible layout and by way of manual input.

A typical scenario for the processing of unstructured documents is when a hardcopy archive needs to be converted into electronic form and there is a requirement to extract two or three index fields in order to organize a quick attribute-based search.

For details see Processing unstructured documents.


Brief description of document processing using ABBYY FlexiCapture 8.0 Professional

This section provides a general overview of how to process documents using ABBYY FlexiCapture 8.0 Professional.

The process of using the program is described in more detail in the sections Configuring the program and Operations with a configured project.

Overview of program configuration for document processing
Overview of operations with a configured program


Brief description of program settings for document processing

The administrator configures the program for processing certain types of document. To prepare the program for document processing, you need to create:

  1. A project

    A project contains all of the settings for processing a certain type of document: image import profiles, document templates, and document batches for processing.

  2. One or several document templates

    Creating a template is the most critical stage in configuring a project. If you plan to process various types of documents in a single flow, you need to create several templates as part of a single project.

  3. Image import profiles

    Import profiles are created for convenience and to streamline the work of operators. If import profiles are not configured, each time you add images you have to select the import source and configure settings. Import profiles allow you to add images at the click of a button and to switch easily between import sources.

  4. A document batch

    Documents submitted for processing are added to batches. The principle of assigning documents to batches is user-defined: you can process all documents in a single batch or form batches from documents added on the same date or from a batch scanned in a single pass. If you add images for which there are no batches, a batch will be created automatically.

Read more about configuring the program


Creating a project

To process different documents as part of a single project, the project must have several templates. If document flows do not intersect and their processing settings differ considerably, you can create separate projects for them.

To start, you first need to create at least one project.

When you run the program, the Open Project dialog box opens, enabling you to select an existing project or to create a new one by clicking Create New….

If ABBYY FlexiCapture 8.0 Professional is already running and a project has been opened, to create a new project select the menu item File>New Project…

Read more about creating a project


Overview of creating a document template

Creating a template is the most critical part of configuring a project and determines the quality of data obtained after processing.

A template describes the location of document elements and indicates fields to be used in data extraction.

To create a template, run the Template Wizard:

  1. In the main menu of ABBYY FlexiCapture 8.0 Professional select Project>Document Templates…
  2. In the Document Templates dialog box, click the New… button.
  3. Follow the instructions of the Template Wizard.

The main stages of template creation depend on the type of documents being processed.

The main stages of creating a template for fixed forms
  1. Create a new document template with the help of the Template Wizard. With the Wizard running, open the document page image that will be used to perform template marking.
  2. Mark static elements – anchors and identifiers, configuring their properties. Static elements are used for template matching and identification. Normally, static elements are detected automatically and assigned default properties.
  3. Mark fields on the image. Fields are used for data extraction.
  4. Configure field properties. Field properties both affect the quality of recognition and determine whether field values will be exported and submitted for verification by the operator. They specify the types of data and range of values of a field.
  5. Create templates for multipage documents: adding pages and repeating all stages for each page.
  6. Configure data export.
  7. If required, you can configure the way data is displayed in the document window, checked against rules, etc.
  8. Test a template using images of several documents.

Note. If you have created machine-readable forms with ABBYY FormDesigner, instead of the first three stages you only need to import a file with the *.xfd extension. A page image with ready marking will open (or images of several pages if you used ABBYY FormDesigner to create a multipage form). For details see Importing a template for forms created with ABBYY FormDesigner.

Main stages of creating a template for flexible documents
  1. Create a flexible description (a file with the *.afl extension) using ABBYY FlexiLayout Studio. For details, see the Help Topics of ABBYY FlexiLayout Studio.
  2. Create a new document template with the help of the Template Wizard. With the Wizard running, open an image of a document page and attach a flexible description (the *.afl file you have created). After the Wizard has finished, the field marking will be present on the image.
  3. Configure field properties. Follow the procedure for configuring template properties for a fixed form.
  4. Configure data export.
  5. If required, you can configure the way data is displayed in the document window, checked against rules, etc.
  6. Test a template using images of several documents.

For mixed-type documents containing pages with fixed forms and semi-structured sections, you can attach a flexible description as one of the template sections. Start creating a template from any section (flexible or fixed) and then add a new section of a different type.

Documents of various types can be processed in a single flow: as part of the same project you can create templates for both fixed forms and flexible documents and templates for mixed-type documents. The program selects a template automatically.

To process documents with annexes, create a document template and enable the option Enable annex pages in template properties. See Creating templates for documents with annexes.

Read more about creating templates


Creating import profiles

The operator begins by adding new images to the project: these can be either hardcopy documents that need to be scanned, or existing electronic images.

Frequently repeated actions or adding images from the same source can be automated to enable import at the click of a button. To do so, create an image import profile. Additionally, you can configure the processing of incoming images and the periodic addition of images in background mode. Once the required settings have been configured, images will be scanned or imported from a preset source at the click of a button, and received images will be processed (for example, despeckled). If necessary, you can change the source of image import or its settings.

If import sources change frequently, you can create several import profiles and switch between them to avoid having to change import source settings all the time.

To add an import profile, select the menu item Project > Image Import Profiles… in the main program window. In the dialog box that opens you can create new import profiles and also edit, remove, and copy existing profiles.

Read more about creating import profiles


Creating document batches

Documents submitted for processing are added to batches. The principle of assigning documents to batches is user-defined: you can process all documents in one batch or create batches from documents added on the same date or from a batch scanned in a single pass.

If a project contains no batches, the program will create a batch automatically when you attempt to add images.

To create a new batch, select New Batch from the Context menu with a list of batches that appears when you right-click in the main window.

Read more about creating document batches


Overview of the work of operators with a configured program

Operators use a program that is preconfigured for processing certain types of document. Document processing is the same for all document types and includes the following stages:

  1. Adding images

    Adding document page images is easiest after you have configured import profiles. You can also add images by scanning or loading them from files.

  2. Starting the recognition process

    Recognition is an automatic process: the program identifies the document template based on the location of static elements preconfigured in templates, applies the template, and recognizes data in the fields specified in the template. Before starting the recognition process, you can analyze documents or their pages and apply the relevant template to the image.

  3. Verification

    Verification – the process of checking data – is the most labor-intensive part of the operator's work. It comprises:

    • Verification of document assembly – checking whether document pages have been assembled correctly;
    • Group verification – a visual check on groups of identically recognized characters;
    • Field verification – a check on uncertainly recognized characters within the context of fields with a known range of values;
    • Rule validation – checking for rule errors.

  4. Data export

    Export is performed at the click of a button according to export settings configured in the template. You can also export data to a file or database without using the export settings of a template.

Read more about how operators work with configured projects


Adding images

To add images, select the required batch or create a new one. The import button allows you to add images in different ways, and the button name changes depending on the import method chosen.

If import profiles have been configured in the project, their names will be displayed as the import button menu items. To start the import procedure, you only need to select one of them.

To load images from a file, click the arrow to the right of the import button and select Load Images…. Select files with images, configure the required options and perform import.

To add images from a scanner, click the arrow to the right of the import button and select Scan Images….

After selecting Import Images… from the menu, you can either select one of the existing image import profiles to start the import, add a new one, or edit an existing profile.

Read more about adding images


Starting the recognition process and analyzing and applying a template

To perform recognition, click Recognize.

To perform preliminary analysis of images, click the arrow to the right of the Recognize button and select Match Template…. If a template can be applied, the page and the document it belongs to will be named accordingly. If none of the project templates matches the image, the page will remain unprocessed.

You can also apply a certain template to a page or to an entire document. In most cases, a template that has been correctly created in the program applies to pages automatically, but in some cases you may have to apply it to a template manually. To apply a template, highlight a document or page, click the arrow to the right of the Recognize button and click Match Template….

Read more about recognition


Verification

To start the verification process, click Run Verification…. The process begins with group verification followed by field verification. If a template has no fields included in group or field verification, the relevant verification stage will be omitted.

For multipage documents, you need to correct possible document assembly errors. Pages are assembled into documents automatically. Documents with assembly errors are marked by the following symbol [image]. A description of the error is provided in red letters below the name of the document template. When creating a document template, you need to configure the document assembly rule: sequence and number of page repetitions. You can also configure assembly verification based on the values of key fields: in this case the values of key fields must be identical on all pages of the document. In the event of a mismatch, the relevant message will appear and the values of key fields will be highlighted in red. Assembly errors can be corrected most easily in page outline mode, which gives the user a good view of page images and the different documents to which they belong.

During group verification, groups of identically recognized characters are submitted for verification. The task of the operator is to identify differing characters that have been recognized incorrectly. They then correct their values, after viewing the image of the field containing this character. If it is impossible to correct characters, you can mark them as questionable.

During field verification, fields with a known range of values are submitted for verification. The task of the operator is to check uncertainly recognized characters within the context of the entire field. Field verification has two modes: a single field view mode with cuttings of characters and a multiple same-type fields view mode.

Unfulfilled rules are flagged: with a yellow flag [image] (warning) or a red flag [image] (error). The operator needs to check fields with rule errors and, if possible, correct their values. To run verification of rule errors, click the arrow to the right of the button and select the menu item Re-check Rules. If rules can be fulfilled after you have corrected field values, flags will be removed.

Data verification is also performed in the document window which opens when you double-click the name of a document or page. The document window does not display separate fields but only the entire document. It also shows all uncertainly recognized characters, rule errors, etc.

Read more about verification


Export

To export recognized and verified documents, click Export. The export will be performed according to the settings configured in the document template.

If you need to export to file, click the arrow to the right of the button and select Export to File…

If you need to export to a database, select Export to Database…

If necessary, change the default export settings and perform the export.

Read more about export


Installing and running the program

This section contains basic information about installing, protecting, and running ABBYY FlexiCapture 8.0 Professional. It also covers the system requirements for installation.

Protection of the program
License Manager protection key management program
Software and hardware requirements
Installing ABBYY FlexiCapture 8.0 Professional
Running the program


Types of protection

To install and use ABBYY FlexiCapture 8.0 Professional, a valid protection key is required.

ABBYY FlexiCapture 8.0 Professional can include one of the following types of protection key:

  • hardware protection key
  • software protection key

Hardware protection key

This is a dongle to be plugged into a USB port on your computer (USB dongle).

For ABBYY FlexiCapture 8.0 Professional to run with a hardware protection key, you need to install the corresponding driver either from the setup program. To use the program, your hardware protection key must be plugged in at all times.

The hardware protection key stores the parameters of your license.

An empty hardware protection key can be activated remotely, using only the serial number of your license. Simply launch the DongleUpdate utility (DongleUpdate.FlexiCapture.exe), click the New license button, and enter your serial number. The program will contact the activation server over the Internet, request the parameters of the serial number, and write them into the hardware protection key.

Important! You must be able to run the standard SmartCard service in order to use a hardware protection key.

Software protection key

This is a license file.

For ABBYY FlexiCapture 8.0 Professional to run with a software protection key, the license file must be activated on the ABBYY activation server. You can activate your license file either from the setup program or from the License Manager utility.

Information required to activate your license file is sent to ABBYY as a code (Product ID) which is generated based on the information about the computer on which ABBYY FlexiCapture 8.0 Professional is installed. No personal information is used to generate a Product ID and this code cannot be used to identify the user.

Activation methods:

  • Via the Internet
    Activation over the Internet is carried out automatically and takes seconds to complete. An active Internet connection is required for this method.
  • By e-mail
    If you choose this activation method, an e-mail activation request will be generated automatically. Send this e-mail message to the address specified. To ensure a prompt reply from the mail robot, please do not alter the subject or the body of the e-mail message.

In the case of activation over the Internet, no additional steps are required. In the case of activation via e-mail, you will receive an activated file from the activation robot. Save this file to your hard disk, run the License Manager utility and provide the path to the saved file in the Activation Wizard.

Repeat activation

You can re-install ABBYY FlexiCapture 8.0 Professional any number of times on the computer on which it was activated. However, if you make substantial upgrades, format the hard drive or re-install the operating system, you may need to activate the product again.

The activation server keeps a log of how many times each serial number has been activated. Once a certain threshold for a serial number is exceeded, the serial number gets blocked and can no longer be activated.

You can de-activate an activated license in order to use it on another computer. When you de-activate a license, the activation server reduces the activation counter for this serial number by one.

Important! You will be able to use the activated program only on the computer on which the Product ID was generated. To move the program to another computer, first de-activate your license.


License Manager

The License Manager utility is used to manage protection keys and to gather information about the status of ABBYY FlexiCapture licenses.

Warning! License Manager is an administrative utility. To use License Manager, the user must have local administrator rights!

The License Manager is installed:

  • on the computer where ABBYY FlexiCapture 8.0 Professional is installed (local installation), or
  • on the server where ABBYY FlexiCapture 8.0 Professional is installed (network installation)

To launch the License Manager utility:

  • Go to Start>Programs>ABBYY FlexiCapture 8.0>Tools and select ABBYY FlexiCapture 8.0 Professional License Manager.

Managing licenses

Adding a new license

To add a new license, click the Add new license... button in the main window of the License Manager utility. In the dialog box that opens, type in a new serial number and click Add. Alternatively, click From file... and select the text file that contains the serial numbers.

The new license(s) will appear in the License Manager main window.

Activating a license

After you have add a license, you need to activate it. Click the Activate license... button to activate an added license. You can activate your licenses over the Internet (recommended) or by e-mail. Follow the instructions of the activation wizard.

Updating a license

To update a license, select it in the License Manager window and click the Update license... button. Internet or e-mail activation is also required. Please follow the instructions of the activation wizard.

License parameters

License Manager allows you to review license parameters. Select the license whose parameters you wish to see and click License Properties...


License types and license parameters

License parameters

Each license has its own serial number and includes a set of parameters. The set of license parameters determines which product features the user is entitled to use.

There are two types of license:

  • Full license allows running the Administrator Station and all the tools (FormDesigner and FlexiLayout Studio). If there are no free Operator licenses, it also allows running the Operator Station.
  • Operator license allows running of the Operator Station

A license always specifies how many administrator and Operator Stations can be run simultaneously. For example, the parameters 2 Full and 5 Operator licenses mean that the user may simultaneously run two Administrator Stations (either on different computers or on the same computer under different users) and five Operator Stations.

Any number of copies of the program can be started on one computer under the same log-in — only one license will be used. If 5 operator licenses are in use, to start another Operator Station, the Full license will be used.

License parameters:

  • Expiration date shows when the license expires
  • Page limitation shows how many pages can be recognized within a particular time period
  • PDF Opening allows PDF documents to be opened
  • PDF Searchable allows data to be exported to PDF with full-text search capability
  • FlexiLayouts allows flexible templates to be used (FlexiLayouts)
  • Max number of fields sets the maximum allowed number of fields in one document template
  • FlexiLayout Studio allows FlexiLayout Studio to be run
  • FormDesigner allows FormDesigner to be run


Software and hardware requirements

  1. PC with Intel® Pentium®/Celeron®/Xeon™/Athlon™/Duron™/Sempron™ processor or compatible:
    • 500 MHz (minimum)/2 GHz (recommended) - for Microsoft Windows Vista;
    • 350 MHz (minimum)/ 2 GHz (recommended) - for Windows 2000/XP/2003.
  2. Operating system:
    • Microsoft ® Windows Vista™;
    • Microsoft Windows Server 2003;
    • Microsoft Windows XP (Service Pack 2 or higher);
    • Microsoft Windows 2000 (Service Pack 3 or higher);
    • Microsoft Windows Server 2000 (Service Pack 3 or higher).

    For the program to run with a localized interface, the operating system must provide the required language support.

  3. RAM:
    • 512 MB (minimum)/1024 MB (recommended) - for Windows Vista;
    • 128 MB (minimum)/512 MB (recommended) - for Windows ХР/2003.

    In multiprocessor systems, an additional 16 MB of RAM is required for each additional processor.

  4. Free hard-disk space: 420 MB for minimal configuration (Operator Station only), 450 MB for standard installation (Operator and Administrator Stations, FlexiLayout and FormDesigner tools); and 200 MB for program operation (1 GB recommended).
  5. Scanner supporting TWAIN or ISIS.
  6. Internet connection to activate the serial number when using a software protection key or a USB port for a hardware protection key (dongle).
  7. Video card and display with a minimum resolution of 800×600.
  8. Keyboard, mouse or other pointing device.


Installing ABBYY FlexiCapture 8.0 Professional

Close all other applications (e.g. Microsoft Outlook or Microsoft Word) prior to installing ABBYY FlexiCapture 8.0 Professional.

To install ABBYY FlexiCapture 8.0 Professional:

  1. Place the ABBYY FlexiCapture 8.0 Professional CD-ROM into the CD-ROM drive.
  2. In the Autorun menu, select Local installation and follow the instructions for the setup program. (If Autorun is disabled on your computer, double-click the setup.exe file located on the CD-ROM).
  3. Select a setup language (either English or Russian). The setup program will compare the locale of your system and the selected language. If the languages are incompatible, a warning message is displayed.
  4. Next, the setup program checks the version of your operating system and the availability of the administrative permissions. If the version of the operating system is not supported by the program or you do not have the administrative permissions, a warning message is displayed and the setup program is terminated.
  5. If all the checks have been successfully passed, the end-user license agreement will be displayed. Read the license agreement carefully and if you agree with the terms of the agreement, select the corresponding option and click Next.
  6. A dialog box will open in which to enter some information about yourself. Enter the required information and continue with the installation.
  7. In the next dialog box that opens, select one of the available installation modes:
    • Full – The program will be installed in its entirety. You will be able to switch between administrator and operator modes and use FormDesigner 8.0 and FlexiLayout Studio 8.0.
    • Operator Station – Only the Operator Station will be installed. (The Administrator Station, FormDesigner 8.0 and FlexiLayout Studio 8.0 will not be installed.)
  8. Next, select a destination folder. By default, the program is installed under: <disk name>:\Program Files\ABBYY FlexiCapture 8.0 Professional. If there is not enough space on the selected hard disk, a window is displayed showing your hard disks, the available free space, and the space required by the installation. Select a disk with sufficient free space and continue with the installation.
  9. The program files will be copied onto your computer. Once the installation is finished, the setup program will display a message saying that the application has been successfully installed.
  10. FlexiCapture 8.0 Professional License Manager will be launched automatically so that you can activate your copy of the application. Enter your serial number and activate the application.


Installing ABBYY FlexiCapture 8.0 Professional on a local area network

ABBYY FlexiCapture 8.0 Professional can be installed and used on a local area network.

To install the program on a network, select Network installation from the Autorun menu and follow the instructions of the setup program.

Network installation allows you to deploy ABBYY FlexiCapture 8.0 Professional on several computers. Network installation is performed in two stages. First, the License Manager utility and the protection key are installed on one of the computers on the LAN (the server). If required, the entire ABBYY FlexiCapture 8.0 Professional distribution can also be copied onto the server. Next, ABBYY FlexiCapture 8.0 Professional is installed on LAN workstations.

For more about installing the program on a LAN, see the System Administrator's Guide, which is also available from the Autorun menu.


Changing the installation mode, repairing and removing ABBYY FlexiCapture 8.0 Professional

To change the installation mode (select either complete installation or the Operator Station):

  1. Select Start > Control Panel > Add or Remove Programs, then select ABBYY FlexiCapture 8.0 Professional from the list of installed programs, and click Change.

  2. Select the Modify item and click Next.

  3. In the dialog box that opens, select the required installation mode.

To repair corrupted or deleted files:

  1. Select Start > Control Panel > Add or Remove Programs, then select ABBYY FlexiCapture 8.0 Professional from the list of installed programs, and click Change.

  2. Select the Repair item and click Next.

To remove ABBYY FlexiCapture 8.0 Professional from your computer:

  1. Select Start > Control Panel > Add or Remove Programs, then select ABBYY FlexiCapture 8.0 Professional from the list of installed programs, and click Remove.

  2. Confirm that you wish to remove the program.


Running the program

To launch ABBYY FlexiCapture 8.0 Professional

  • in administrator mode: go to Start>Programs>ABBYY FlexiCapture 8.0 and select ABBYY FlexiCapture 8.0 Professional Administrator Station.
  • in operator mode: go to Start>Programs>ABBYY FlexiCapture 8.0 and select ABBYY FlexiCapture 8.0 Professional Operator Station.

Important! Before running the program, ensure that:

  • The scanner is connected to the PC and powered on.
    If your scanner has not been connected, refer to the scanner user guide.
    For the scanner to operate correctly, you must power on the scanner before you power on the PC.
  • A protection key has been installed on your PC. You cannot run the program without it.

Registry keys that control the launching of the application

You can use the following registry keys (in Shell\StartUp) to control how the application is launched:

  • AdminMode - defines whether the application runs in operator or administrator mode;
  • Project - sets the project that is opened automatically when the application is launched;
  • Batch - sets the batch that is opened automatically when the application is launched (the batch must be specified);
  • ProhibitChangePath - prohibits changing the batch and project that open automatically in operator mode (set the key value to True).

These keys are not created in the registry by default. If required, the administrator may add these keys into the registry of the user's operating system.

The registry keys can be overridden by the corresponding command line launch parameters.

Command line launch parameters

The following parameters can be used to launch the application via the command line:

FlexiCapture.exe [/Station:(Admin,Operator)] [/Project:"path to project"] [/Batch:"batch name"] [/ProhibitChangePath].

  • [/Station:(Admin,Operator)] - defines whether the application runs in operator or administrator mode. If no mode is specified, a dialog box is displayed upon application launch which prompts the user to select the desired mode;
  • [/Project:"path to project"] - sets the project that is opened automatically when the application is launched;
  • [/Batch:"batch name"] - sets the batch that is opened automatically when the application is launched;
  • [/ProhibitChangePath] - prohibits changing the batch and project that open automatically in operator mode.


Using templates created in earlier versions of ABBYY FormReader

Templates created in ABBYY FormReader 6.5 and 6.0 can be imported into ABBYY FlexiCapture 8.0 Professional.

When you import a template created in an earlier version, the page mark-up (except service fields) and data types are imported. The data types are copied to the Custom folder in the data types of the document template. For more information, see Data types of the text entry fields.

Important! Export settings, validation rules, and images contained in the batch are not imported.

To import a template created in ABBYY FormReader 6.5 or 6.0:

  1. Start ABBYY FlexiCapture 8.0 Professional in administrator mode.
  2. Create a new project or open an existing project into which you wish to import a template created in a previous version of the program.
  3. On the main menu, select Project > Document Templates…
  4. In the Document Templates dialog box, click Import….
  5. In the Files of type drop-down list select FormReader 6.5 Batches (*.frm) and then select the batch whose template you wish to import.

The imported template will be added to the list of templates. If there is more than one template in the batch, all the templates will be imported. If you specified a structure for multi-page documents in ABBYY FormReader 6.5, the templates described by this structure will be merged into one multi-page template.

Tips.
  1. For detailed information on the differences between the rules in the old and in the new versions, see FormReader 6.5 and FlexiCapture 8.0 Professional rules compared.
  2. For recommendations on migrating from FormReader 6.5 If-Then rules, Automation rules, and Automation export to FlexiCapture 8.0 scripts, see Migrating from FormReader 6.5 rules and export to FlexiCapture 8.0 Professional scripts.


Interface of ABBYY FlexiCapture 8.0 Professional

This section provides an overview of the key elements of the ABBYY FlexiCapture 8.0 Professional interface: the main windows, menus, and toolbars.

Main program window
Main window menu
Main window toolbars
Document template editor
Document template editor menu
Toolbars of the document template editor
Group verifier window
Menu
Toolbar
Field verifier window
Menu
Toolbar


Main window of ABBYY FlexiCapture 8.0 Professional

The main program window shows the list of document batches that are part of the project you are working with.

Show main window with batch list

Double-click on a batch to view its contents. You will see a list of documents forming the batch.

To return to the list of batches, from the menu select Project>Work Batches List (or Test Batches List if working with test batches).

Show main window with an open documents batch

The menu is located in the upper part of the window, with toolbars beneath it.

The remainder of the main window comprises the work batch window with a list of documents contained in it.

A status bar is located in the lower section of the window. It shows the details of the program's status and operations as well as brief tips about the menu items and buttons that you select.

You need to open the document window to verify recognized data. To do so, double-click the name of the document or one of its pages. The document window consists of three parts:

  • document page image;
  • recognized data;
  • rule errors (this part is displayed only if there are rule errors).

For details see Verification in the document window

Show document window

Main window menu
Main window toolbars


ABBYY FlexiCapture 8.0 Professional main window menu

File
Menu item | Description
New Project… | Creates a new project
Open Project… | Opens an existing project
Close Project | Closes the current project
Save | Saves changes
Load Images… | Loads images from files
Scan Images… | Adds images from the scanner
Import Images… | Imports images using one of the configured import profiles
Export | Exports data using export settings of document templates
Export To |
File… | Exports data to a file
Database… | Exports data to a database
Recent Projects | Opens one of the recently opened projects
Exit | Closes ABBYY FlexiCapture 8.0
Edit
Menu item | Description
Undo | Undoes the previous action
Redo | Redoes the undone action
Cut | Cuts highlighted objects
Copy | Copies highlighted objects to clipboard
Paste | Pastes clipboard contents
Delete | Deletes highlighted objects
Select All | Selects all
Find… | Searches for specific text
Find Next | Searches for the next occurrence of specific text
Go To |
Next Document | Moves forward to the next document
Previous Document | Returns to the previous document
Image |
Despeckle | Removes noise from image
Invert | Inverts image
Rotate 90° Clockwise | Rotates image by 90° clockwise
Rotate 90° Counter-Clockwise | Rotates image by 90° counterclockwise
Rotate 180° | Rotates image by 180°
View
Menu item | Description
Documents |
Details | Shows documents and their pages as a detailed list
Thumbnails | Shows document page images as thumbnails
Document Editor |
Image Mode | Shows a page image in the document window
Data Mode | Shows recognized data in the document window
Image Window | Allows selection of the image location in the document window
Errors Window | Allows selection of the location of the errors window in the document window
Show Toolbar in Data Mode | Shows/hides the toolbar in the document window. This toolbar lets you correct some application errors, for example, to add a field that was not found, add or delete a table separator. This option is mostly used when working with flexible descriptions.
Toolbars | Shows/hides toolbars in the main window
Status Bar | Shows/hides the status bar
Show Image in Black and White | Shows color and grayscale images of document pages in black-and-white mode
Image Scale | Sets the appropriate image scale for document pages
Data Text Size | Allows selection of a font size to display recognized data
Full Screen | Switches to full-screen mode
Properties… | Opens the properties dialog box for a document or page
Import&Recognition
Menu item | Description
Import Images… | Imports images using one of the configured import profiles
Analyze | Analyzes document pages by selecting an appropriate template
Match Template… | Applies the user-selected template to the highlighted document or page
Recognize | Runs the recognition process
Verification
Menu item | Description
Run Verification… | Runs the verification process
Next Assembly Error | Goes to the next assembly error
Previous Assembly Error | Returns to the previous assembly error
Next Uncertain Character | Goes to the next uncertainly recognized character
Previous Uncertain Character | Returns to the previous uncertainly recognized character
Next Rule Error | Goes to the next rule error
Previous Rule Error | Returns to the previous rule error
Project
Menu item | Description
Work Batches List | Closes the current batch and opens the list of work document batches
Test Batches List | Closes the current batch and opens the list of test document batches. This menu item is available only in administrator mode.
Document Templates… | Opens a dialog box with a list of document templates, from which you can perform actions with templates: create a new template, edit, import, delete. This menu item is available only in administrator mode.
Image Import Profiles… | Opens a dialog box with a list of image import profiles, from which you can perform actions with import profiles: create a new profile, copy an existing profile, edit, delete. This menu item is available only in administrator mode.
Switch to Admin Mode… | Switches to administrator mode. This menu item is available only in operator mode.
Protect with Password… | Protects the current project with a password. This menu item is available only in administrator mode.
Unprotect… | Removes password protection from the project. This menu item is available only in administrator mode.
Export Project… | Exports the project to the folder specified by the user. The images will be taken from the current project.
Update Project… | Updates the project. Messages and errors that may occur during export can be saved to a file (right click and select Export to File).
Project Properties… | Opens a project properties dialog box
Tools
Menu item | Description
Re-analyze | Re-analyzes documents
Re-recognize | Re-recognizes documents
Refresh Assembly | Refreshes the assembly of pages in a document
Re-check Rules | Re-checks rules
Options… | Opens the Options dialog box for configuring various settings, such as processing of background tasks, window views, etc.
Help
Menu item | Description
Help Topics… | Opens the Help Topics of ABBYY FlexiCapture 8.0 Professional
Technical Support… | Opens the Technical Support page in the Help Topics
How to Buy ABBYY Products… | Opens the How to buy ABBYY FlexiCapture 8.0 Professional page in the Help Topics
ABBYY Web-site… | Opens the ABBYY Website
Send Feedback | Allows users to send comments and suggestions to ABBYY.
About ABBYY FlexiCapture 8.0… | Opens the About ABBYY FlexiCapture 8.0 Professional dialog box with a brief description of the program.


Toolbars in the main window of ABBYY FlexiCapture 8.0 Professional

Standard toolbar

Name | Button | Description
Open Project |  | Opens another project
Save Changes |  | Saves changes
Cut |  | Cuts a selected object when you work with data in the document window
Copy |  | Copies a selected object
Paste |  | Pastes a previously copied object from the clipboard
Delete |  | Deletes a highlighted object
Undo |  | Undoes the previous action
Redo |  | Redoes a previously undone action
Thumbnails View |  | Shows document page images as thumbnails
Details View |  | Shows documents and their pages as a detailed list
Previous Item to Verify |  | Returns to the previous item to verify. The program navigates all errors, including assembly errors, uncertainly recognized characters, rule errors, mismatches of key fields, etc.
Next Item to Verify |  | Moves forward to the next item to verify. The program navigates all errors, including assembly errors, uncertainly recognized characters, rule errors, mismatches of key fields, etc.
Previous Document |  | Returns to the previous document
Next Document |  | Moves forward to the next document
Processing toolbar

The processing toolbar allows you to perform all document processing actions. Buttons on this toolbar are multifunctional and work in several modes.

The name on the first button – the image adding button – changes depending on the selected mode. When you click it, the program performs an action that corresponds to the name.

To select a mode, click the triangle to the right of the button and select the needed menu item.

Button | Mode | Description
 | Load Images… | Loads images from files and adds them to the current batch
 | Scan Images… | Adds images to the batch from the scanner
 | Import Images… | Imports images using one of the configured image import profiles
 | List of existing import profiles | To start importing images, simply select one of the configured import profiles from the list
 | Recognize | Runs the recognition process
 | Analyze | Analyzes document pages by selecting an appropriate template
 | Match Template… | Applies the user-selected template to the highlighted document or page
 | Run Verification… | Runs the verification process
 | Re-check Rules | Runs the process of re-checking rules
 | Export | Exports data according to the export profile configured in document templates
 | Export to File… | Exports data to file
 | Export to Database… | Exports data to a database


Document template editor window

Templates are created and edited in the document template editor window.

To open the document template editor, from the main window of the program:

  1. Select the menu item Project>Document Templates…;
  2. In the Document Templates dialog box that opens, highlight the template name and click Edit….

The document template editor window also opens when the Template Wizard finishes.

Show document template editor window

The document template editor window consists of three parts:

  1. The page image with the marking of fields and static elements shown at the top-left.

    The program has two modes for handling fields and static elements:

    • the field marking mode – enabled by clicking the [image] button;
    • static elements mode – enabled by clicking the [image] button.
  2. The editor for configuring the presentation of recognized data is at the bottom left.
  3. The document structure with a list of all template fields (Fields tab) is on the right-hand side. You can also switch to the page outline mode (Pages tab).

Template editor menu
Toolbars of the template editor


Template editor menu

Template
Menu item | Description
Add Page… | Adds a new page image to the template
Add Document Section… | Adds a new section to the batch
Script Modules |
Rule Script… | Opens the Rule Global Script Module of the Script Editor. For more about script modules, see Using scripts in FlexiCapture 8.0.
Export Script… | Opens the Export Global Script Module of the Script Editor. For more about script modules, see Using scripts in FlexiCapture 8.0.
Export Settings… | Opens the Export Settings dialog box for configuring data export options
Document Template Properties… | Opens a dialog box for viewing and editing document template properties
Save | Saves changes
Close | Closes the document template editor
Edit
Menu item | Description
Undo | Undoes the previous action
Redo | Redoes the undone action
Cut | Cuts highlighted objects
Copy | Copies highlighted objects to clipboard
Paste | Pastes clipboard contents
Delete | Deletes highlighted objects
Delete Region | Removes regions from the images of highlighted objects
Select All | Selects all
Select by Type… | Detects objects of a certain type
Create Field |
Text | Adds a text entry field to the document structure (without a region on the image)
Checkmark | Adds a checkmark field to the document structure (without a region on the image)
Checkmark Group | Adds a checkmark group field to the document structure (without a region on the image)
Barcode | Adds a barcode field to the document structure (without a region on the image)
Picture | Adds a picture field to the document structure (without a region on the image)
Table | Adds a table field to the document structure (without a region on the image)
Group | Adds a group of fields to the document structure (without a region on the image)
Group | Groups highlighted objects
Ungroup | Ungroups highlighted objects
Copy Text From Image… | Gets text from any region of the image and stores it to clipboard. After selecting this command, highlight the region where the desired text is located.
Image... |
Despeckle | Removes noise from image
Invert | Inverts image
Rotate 90° Clockwise | Rotates image by 90° clockwise
Rotate 90° Counter-Clockwise | Rotates image by 90° counterclockwise
Rotate 180° | Rotates image by 180°
Save As… | Saves the image of the template page to the specified file
Replace… | Replaces the image of the template page
View
Menu item | Description
Image Layout |
Static Elements | Switches to Static Elements Mode
Fields Regions | Switches to Field Marking Mode
Document Structure |
Show Document Structure | Shows/hides the document structure window
Fields | Switches the Document Structure window to the Fields mode
Pages | Switches the Document Structure window to the Pages mode
Data Form | Shows/hides the data editor window
Layout Toolbar |
Horizontal | Docks the toolbar of the image layout window horizontally
Vertical | Docks the toolbar of the image layout window vertically
Show Image in Black and White | Shows color and grayscale images of pages in the black-and-white mode
Image Scale | Selects an appropriate image scale
Properties… | Opens a dialog box for viewing and editing highlighted object properties
Document
Menu item | Description
Run Test | Starts testing the template on the document image.
Finish Test | Stops testing the template.
Image Mode | Displays the page image in the document window.
Data Mode | Displays the recognized data in the document window.
Layout |
Image Window | Changes the position of the image in the document window.
Top | Places the image window at the top of the screen.
Bottom | Places the image window at the bottom of the screen.
Left | Places the image window on the left.
Right | Places the image window on the right.
Errors Window | Changes the position of the errors window in the document window.
Top | Places the errors window at the top of the screen.
Bottom | Places the errors window at the bottom of the screen.
Left | Places the errors window on the left.
Right | Places the errors window on the right.
Show Toolbar in Data Mode | Shows/hides the toolbar in data mode. In the image mode, the toolbar is always displayed and cannot be hidden.
Verification |
Next Item to Verify | Goes to the next item to be verified.
Previous Item to Verify | Goes to the previous item to be verified.
Next Uncertain Character | Goes to the next uncertain character.
Previous Uncertain Character | Goes to the next uncertain character.
Next Rule Error | Goes to the next rule error.
Previous Rule Error | Goes to the previous rule error.
Tools
Menu item | Description
Autodetect Objects… | Automatically detects and highlights fields and static elements of a certain type (depending on the mode)
Check Document Template | Checks the document template
Match Section | Checks the matching of a template section
Switch to Test Batch… | Allows testing the document template using test batches
Help
Menu item | Description
Help Topics… | Opens the Help Topics of ABBYY FlexiCapture 8.0 Professional
Send Feedback | Allows users to send comments and suggestions to ABBYY.


Toolbars in the template editor

Standard toolbar

Name | Button | Description
Save Changes |  | Saves changes
Cut |  | Cuts a selected object when you work with data in the document window
Copy |  | Copies a selected object
Paste |  | Pastes a previously copied object from the clipboard
Delete |  | Deletes a highlighted object
Undo |  | Undoes the previous action
Redo |  | Redoes a previously undone action
Check Document Template |  | Checks a document template Check results display in the bottom part of the template editor window
Toolbar in the image layout window

The toolbar in the image layout window is used to create static elements and template fields. The set of buttons on the toolbar changes according to the selected mode.

In static elements mode:

In field marking mode:

This toolbar can be docked horizontally or vertically. The orientation of the toolbar can be changed under View>Layout Toolbar.
Name | Button | Description
General
Static Elements Mode |  | Switches to Static Elements Mode
Field Regions Mode |  | Switches to Field Regions Mode
Zoom |  | Increases the image scale
Auto Detect Objects |  | Automatically detects objects on the image. Select this tool and then left-click in the object region.
Select Regions |  | Highlights regions of objects that have been marked on the image. To highlight a region, select this tool and left-click in the object region.
In the static elements mode
Create Anchor |  | Creates an anchor. Select this tool and then use the mouse to frame the anchor with a rectangle.
Create Separator |  | Creates a separator. Select this tool and then use the mouse to frame the separator with a rectangle.
Create Anchor Text |  | Creates an anchor text. Select this tool and then use the mouse to frame the text with a rectangle.
Create Anchor Barcode |  | Creates an anchor barcode. Select this tool and then use the mouse to frame the barcode with a rectangle.
In the field marking mode
Create Text |  | Creates a text entry field. Select this tool and then use the mouse to frame the text entry region with a rectangle.
Create Checkmark |  | Creates a checkmark field. Select this tool and then use the mouse to frame the checkmark region with a rectangle.
Create Checkmark Group |  | Creates a checkmark group. Select this tool and then use the mouse to frame the checkmark group with a rectangle.
Create Barcode |  | Creates a barcode field. Select this tool and then use the mouse to frame the barcode with a rectangle.
Create Picture |  | Creates a picture field. Select this tool and then use the mouse to frame the picture with a rectangle.
Create Table |  | Creates a table field. Select this tool and then use the mouse to frame the table with a rectangle. Additional table marking buttons will appear on the toolbar.
Create Group |  | Creates a field group. Select this tool and then use the mouse to frame the field group with a rectangle.
Create Region for Field without Region |  | Creates a region for a field that is included in the document structure but does not have a region on the image. Select this tool and then use the mouse to frame the field region with a rectangle. Select a name from the dropdown list. (The list shows names of fields that do not have a region on the image).
Create Unrecognizable Region |  | Highlights a field that will be excluded from the recognition process.
Buttons for table marking Shown if at least one table has been created in the given template section
Create Column |  | Used to create a table column and specify its type. To create a column, select this tool and click in the region where you intend to create it. Select a column type from the dropdown list.
Draw Table Separator |  | Adds horizontal and vertical separators to the table.
Delete Separator |  | Deletes a separator


Group verifier window

The group verifier window opens when you run the verification process (by selecting Verification>Run Verification… from the main window menu) provided that the template has fields with the enabled option Include in group verification. For details see Field verification properties.

This window is designed to allow you to make a visual check on characters recognized as identical. See Group verification.

The group verifier window menu
The group verifier window toolbar


The group verifier window menu

Verification
Menu item | Description
Confirm All | Confirms correct recognition of all characters and takes you to the next screen.
Postpone All | Rejects all characters, marking them as questionable
Toggle | Rejects the highlighted character, marking it as questionable
Next Page | Takes you to the next page if all characters do not fit on a single screen
Previous Page | Takes you to the previous page if all characters do not fit on a single screen
Close | Closes the verifier window
Edit
Menu item | Description
Undo | Undoes the previous action
Redo | Redoes a previously undone action
Select All | Highlights all characters
View
Menu item | Description
Field Image |
Show Field Image | Shows/hides a field image containing the current character
On Top | Places the field image in the upper part of the verifier window
On Bottom | Places the field image in the bottom part of the verifier window
Image Scale | Selects an appropriate scale for the field image
Show Character Image | Shows character image
Toolbar | Shows/hides the toolbar
Status Bar | Shows/hides the status bar
Character Size | Serves to select an appropriate character size
Full Screen | Switches to a full-screen mode
Preferences… | Serves to configure the view of the adjacent area of characters
Help
Menu item | Description
Help Topics… | Opens the Help Topics of ABBYY FlexiCapture 8.0 Professional
About ABBYY FlexiCapture 8.0… | Opens the About ABBYY FlexiCapture 8.0 Professional dialog box with a brief description of the program


Toolbar of the group verifier window

The group verifier window toolbar

Name | Button | Description
Previous Page |  | Takes you to the previous page if all characters do not fit on a single screen
Next Page |  | Takes you to the next page if all characters do not fit on a single screen
Confirm Screen |  | Confirms correct recognition of all characters and takes you to the next screen.
Change Characters State |  | Changes character status to rejected or confirmed
Undo |  | Undoes the previous action
Redo |  | Redoes a previously undone action


Field verifier window

The field verifier window appears when the group verification process has been completed, provided that the template has fields for which the option Include in field verification is enabled. For details, see Field verification properties.

This window allows you to make a visual check on uncertainly recognized characters within the context of the entire field. See Field verification.

The field verifier window toolbar
The field verifier window toolbar


The field verifier window menu

Verification
Menu item | Description
Confirm Field | Confirms a field
Postpone | Postpones a field verification
Next Uncertain Character | Goes to the next uncertainly recognized character
Previous Uncertain Character | Returns to the previous uncertainly recognized character
Next Field | Goes to the next field
Previous Field | Returns to the previous field
Close | Closes the verifier window
Edit
Menu item | Description
Undo | Undoes the previous action
Redo | Redoes a previously undone action
Cut | Cuts highlighted objects
Copy | Copies highlighted objects to clipboard
Paste | Pastes clipboard contents
Delete | Deletes highlighted objects
Select All | Selects all
Insert Line Break | Inserts a line break
Merge Characters | Merges highlighted characters if, during recognition, a character has been incorrectly split into several characters.
View
Menu item | Description
Field Data |
Recognized Text | Shows/hides the recognized text
Character Images Cutting | Switches to the field view mode with character cutting
Show Special Symbols | Shows/hides the special symbols
Field Image |
Show Field Image | Shows/hides a field image containing the current character
On Top | Places the field image in the upper part of the verifier window
On Bottom | Places the field image in the bottom part of the verifier window
Image Scale | Sets the appropriate image scale for document pages
Surrounding Fields | Shows/hides the surrounding fields
Show Character Image | Shows/hides the image of the character
Toolbar | Shows/hides toolbars in the main window
Status Bar | Shows/hides the status bar
Character Size | Serves to select an appropriate character size
Full Screen | Switches to a full-screen mode
Preferences… | Serves to configure the view of the verifier window
Help
Menu item | Description
Help Topics… | Opens the Help Topics of ABBYY FlexiCapture 8.0 Professional
About ABBYY FlexiCapture 8.0… | Opens the About ABBYY FlexiCapture 8.0 Professional dialog box with a brief description of the program


The field verifier window toolbar

Name | Button | Description
Previous Field |  | Returns to the previous field
Next Field |  | Goes to the next field
Confirm/Skip Field |  | Confirms correct recognition of all characters in a field and takes you to the next field. If the field value does not fit the field format, the button name changes to Skip Field. If the field value cannot be corrected, its verification can be deferred or skipped.
Defer |  | Defers field verification if its value cannot be corrected
Previous Uncertain Character |  | Returns to the previous uncertainly recognized character
Next Uncertain Character |  | Goes to the next uncertainly recognized character
Undo |  | Undoes the previous action
Redo |  | Redoes a previously undone action


Configuring the program

Prior to the mass input of documents, you need to configure the program for processing documents of the required type. The administrator configures all of the required settings.

To configure document processing, create a project comprising:

  • image import profiles
  • one or several document templates
  • batches of documents for processing.

You may include various templates in the project, in which case various documents will be processed as part of the same project, depending on the template applied. However, if document flows do not cross, you may create separate projects for them.

Administrator and operator modes
Creating a project
Document templates
Image import profiles
Default export settings
Document batches
Index fields


Administrator and operator modes

To organize single-flow data input with the help of ABBYY FlexiCapture 8.0 Professional, you need to configure the system for processing certain types of document. All settings are configured by the administrator, while document input is performed by operators. The number of workstations depends on the number and volume of documents requiring processing.

The Administrator configures the system and controls its operation. The administrator is tasked with:

  • designing new form blanks (this task may be handled by the designer)
  • configuring image import and scanning options
  • preparing document templates
  • monitoring data input into a configured system and advising operators

Operators are tasked with document input. They work with a system that has been preconfigured by the administrator and which is ready to process completed documents of certain types. Operators are tasked with:

  • scanning or importing documents
  • verifying data
  • exporting data

Document recognition is an automatic process.

The program has two operation modes: administrator mode and operator mode. The administrator has access to all program functions, and the administrator mode can be password protected. The operator cannot create or edit templates, nor can they create import profiles. The operator is allowed to work only with one project or a single batch.

When you install the program you can choose between installing only the Operator Station or the complete program. If you select complete installation, you will be able to switch between administrator and operator mode. To select one of the modes, select either Start > All Programs > ABBYY FlexiCapture 8.0 > ABBYY FlexiCapture 8.0 Professional Administrator Station or Start > All Programs > ABBYY FlexiCapture 8.0 >ABBYY FlexiCapture 8.0 Professional Operator Station. (For details, see Running the program).

In administrator mode, the Project menu has the items Test Batches List, Document Templates…, Image Import Profiles…, Protect with Password…, Unprotect… that are not accessible in the operator mode. You can therefore only work with test batches, document templates, and import profiles in administrator mode. The administrator can also password-protect or unprotect a project. If you attempt to open a password-protected project in administrator mode, you will be asked to enter a password.

In the operator mode, the Project menu has the item Switch to Admin Mode…. After you select this item, the current project and batch will open (following entry of the correct password, if the batch is password-protected). If you are not authorized to modify the current project or batch in operator mode, the relevant menu items and toolbars will be absent.


Creating a project

To start work you need to create a project. A project comprises:

  • image import profiles
  • one or several document templates
  • batches of documents for processing

After you run the program, the Open Project dialog box opens, enabling you to select one of the existing projects or to create a new one.

To create a new project:

  1. click the Create New… button
  2. specify a folder for storing the project and a project name
  3. click Create

If ABBYY FlexiCapture 8.0 Professional is already running and a project has been opened, to create a new project select the menu item File>New Project…

Project properties
Document templates
Image import profiles
Document batches


Project properties

The properties of a project can be viewed and changed in a separate dialog box that opens when you select Project>Project Properties… in the main window.

The General tab displays the name of the project, the path to the project files, and a description of the project.

The Image Preprocessing tab displays the image pre-processing options. You can change these options if required. See Image pre-processing options for details.

The Recognition tab contains the option Delete blank pages during recognition. Select this option if you wish blank pages to be deleted during recognition.

The Export tab displays the default export settings. You can change these settings if required. The Run Script after Export option enables the export handler. For more information about the export handler, see Using scripts to describe export and Sample scripts describing export.


Document templates

Creating a template is the main and most critical stage in configuring a project and determines the quality of data obtained after processing.

Templates can only be created in administrator mode.

A template describes the location of document elements and indicates fields to be used in data extraction. When creating a template, field properties are specified along with their range of values. Data export settings are also configured.

To start creating a document template, run the Template Wizard:

  1. In the main menu of ABBYY FlexiCapture 8.0 Professional select Project>Document Templates…
  2. In the Document Templates dialog box that opens click the New… button.
  3. Follow the instructions in the Template Wizard.

Template Wizard
Automatic detection of fields and static elements
Static elements
Creating fields of a document template
Field properties
Rule validation
Configuring data export
Configuring data presentation in the document window
Document template properties
Importing a template for forms created with ABBYY FormDesigner
Creating templates for multipage documents
Creating a template for flexible document processing
Creating templates for documents with annexes
Processing unstructured documents
Editing and publishing a template
Testing a template


Template Wizard

To create a new template, select the main menu item Project>Document Templates… and in the Document Templates dialog box click the New… button. The new template creation wizard will open.

  1. In the Create New Document Template dialog box specify the main template settings: name and commentary, language used (Language (locale)) and writing style (Writing style). By default, the dropdown list contains only languages that have dictionary support. To select a language without dictionary support, enable the option Show all languages. It is very important to specify the language correctly: correct document recognition depends on this. The writing style can differ significantly in various countries, which is why it is important to specify the country to enable the program to select the typical writing style.

    Show examples of various numeral writing styles
    - Russian two
    - American two
    - "ordinary" five - can occur in any style
    - Japanese five
    - Russian one
    - German one
    - "ordinary" nine - can occur in any style
    - Czech nine with the ring on the right
    - American nine without the "hook" at the bottom

    Specify the text type:

    • ICR (hand-printed)– enable this option if most fields in documents will be completed by hand;
    • OCR (printed) – enable this option if values in most fields will be printed. Select the print type in the dropdown list.

    Note. Recognition of handprinted text is not supported for all languages. For some languages this recognition type will be unavailable. See Supported recognition languages.

    Later you can change the text type for individual fields, while the type specified at this stage will be used by default.

    Click Next to go to the next step.

  2. For the second step, load the image of your document page to create the template. You may scan the image of an uncompleted page or load it from file.

    Note. The template for fixed forms is created using an image obtained by scanning an uncompleted form. This should be a good-quality image without distortions (free from skewing, flaws, etc.). When creating templates of color background forms, you should use pages scanned without filters so that the background does not disappear during scanning. (Later on, when you scan page images for data recognition you will select a scanning mode that causes the background to disappear).

    If your document consists of several pages, load the first page and use recommendations of the section Creating templates for multipage documents for adding the remaining pages.

    If you need to use a flexible description created with ABBYY FlexiLayout Studio, enable the option Load FlexiLayout and enter the path to the file containing the flexible description. For details see Creating a template for processing flexible documents.

    Click the Next button.

  3. For the next step, select field types that have to be detected in the image automatically. You may mark checkmarks and text entry fields. The program automatically detects text fields with a region and rectangular checkmarks particularly well. If entry fields on your form do not have a region, and checkmarks are inserted against a white background, normally they have to be highlighted manually.

    Note. Automatic anchor search is always performed. If the form contains anchors, they will be detected and marked on the image.

    Click the Finish button.

When the Template Wizard is finished, the document template editor window opens where you can perform further actions to create a template. At the next stage of template creation you must mark fields and static elements on the page image and configure their properties.


Automatic detection of fields and static elements

Automatic detection when adding an image:

When a page image is added, the program always detects anchors. If the image has standard anchors (such as black squares), these will be detected and marked. The program searches for text fields and checkmarks if the user has enabled the Text or Checkmarks options. The program performs automatic detection of text fields with a region and rectangular checkmarks particularly well. If entry fields on your form do not have a region, and checkmarks are inserted against a white background, they will normally need to be highlighted manually.

Automatic detection in the window of the document template editor:

For automatic detection in the window of the document template editor, select the required mode (fields or static elements) followed by the menu item Tools>Autodetect Objects…. Mark the types of fields or static elements to be detected automatically.

If you need to detect specific objects on the image automatically, select the required mode (fields or static elements) and click [image] on the toolbar. If you click on the element – it will be marked with a rectangle. The element type will be detected automatically.

Automatic detection of a region:

For a field or static element region of a specific type to be detected automatically, proceed as follows:

  1. Select the required mode (fields or static elements)
  2. Select the type of a field or static element with the help of an appropriate button on the toolbar
  3. Press Shift
  4. Left-click in the field or static element region


Static elements

Static elements are used for template matching and identification. No data is extracted from them.

To work with static elements in the document template editor, switch to static elements mode by clicking the [image] button.

Static elements can be used for template matching and identification. Their method of use is determined when you configure element properties. Anchors are used to match the template with the form image. Identifiers are required for determining to which forms pages belong where various forms are processed in a single flow. For details, see Creating machine-readable forms.

Static elements have no names, only regions on the image.

When a template is applied to a document image, the program searches for static elements and selects a document template based on their location. Recognition of values of static elements (text and barcode) is performed only in case when it is required for identification purposes. See Specifying identifier values.

The program works with static elements of the following types:

Static element | Toolbar button
Anchor |
Separator |
Anchor text |
Anchor barcode |

The program searches for anchors automatically when an image is added.

How to create a static element manually:

  1. Select the static elements mode
  2. Select the tool for creating an element of the required type
  3. Place the cursor in the corner of the element, left-click and drag diagonally to the opposite corner
    or
    use Shift-Click in the element region.

The static element region will be framed with a rectangle. Its color depends on the static element type. The static element is assigned default properties.

How to change the properties of a static element:

  1. Highlight the element region on the image, right-click and select Properties… from the Context menu.
  2. Modify static element properties in the dialog box that opens.

Read more about static elements:

  • Anchors
  • Separators
  • Anchor text
  • Anchor barcode


Anchors

Anchors - static elements are highlighted on the image automatically.

To highlight anchors manually:

  1. Switch to the static elements mode
  2. Select [image] on the toolbar

  3. Place the cursor in the corner of an anchor, left-click and drag the cursor diagonally to the opposite corner.

    or

    Use Shift-Click in the anchor region.

Anchor properties

To modify anchor properties:

  1. Highlight the anchor;
  2. Right-click in the anchor region and select the Properties… item from the Context menu
  3. Modify properties in the dialog box that opens:
    • Use for template matching – this option must be enabled for the program to use the anchor for template matching (recommended)
    • Use for template identification – enable this option to use the anchor for template identification
    • Anchor type – for correct template matching it is important to specify the anchor type: black square, cross or corner


Anchor text

Anchor text - static element. This is any static text on the image – headers, explanatory signatures.

To highlight anchor text:

  1. Switch to the static elements mode
  2. Select [image] on the toolbar
  3. Position the cursor in the corner of the anchor text, left-click and drag the cursor diagonally to the opposite corner.

    or

    Shift-click in the anchor text region.

Anchor text properties

To modify anchor text properties:

  1. Highlight text
  2. Right-click in the anchor text region and select Properties… from the Context menu
  3. Modify properties in the dialog box that opens:

    On the General tab:

    • Use for template matching – this option must be enabled for the program to use the anchor text for template matching.
    • Use for template identification – enable this option to use the anchor text for template identification.
    • Value – if you are using anchor text as an identifier, you can set its value. To automatically insert a value, click the Hint button.
    • Max number of errors - here you can specify the maximum number of allowed errors in the anchor text string.

    On the Recognition tab you need to configure recognition options for the static text to be recognized with maximum accuracy:

    • ICR (hand-printed) – enable this option if static text is handprinted.

    • OCR (printed) – enable this option if static text is printed. Select the print style from the dropdown list (typographic, dot-matrix printer, typewriter, etc.). See also Supported text types.

    • Advanced – use this option to select several text types or specify a custom text type.

    • Data type – select the language of the text. Use the Select… button to make your selection.

    • Letter case – select the case of static text letters; if the text has both lowercase and uppercase letters, leave the Auto value.

    • Orientation – specify the text orientation.

    • Enable the One line option for one-line text.

    • If the text does not contain blanks, i.e., consists of a single word, enable the One word option.

    • Configure image processing options during recognition:
    • Invert – inverts the image.
    • Remove texture – removes texture.
    • Despeckle – enable this option to remove garbage from the image.
    • Clear the garbage of specified size only – enable this option if you want to remove garbage of only specified size. Specify garbage size. If this option is disabled and only the Despeckle option is enabled, garbage size will be selected automatically.


Separators

Separators are static elements. These are any horizontal or vertical lines on the image.

To highlight separators:

  1. Switch to the static elements mode
  2. Select [image] from the toolbar
  3. Place the cursor in the corner of a separator, left-click and drag the cursor diagonally to the opposite corner.

    or

    use Shift-Click in the separator region.

Separator properties

To modify separator properties:

  1. Highlight the separator
  2. Right-click in the separator region and select the Properties… item from the Context menu
  3. Modify properties in the dialog box that opens:
    • Use for template matching – this option must be enabled for the program to use the separator for template matching
    • Use for template identification – enable this option to use the separator for template identification.


Anchor barcode

Anchor barcode - static element.

Important! A barcode can be highlighted as a field or as a static element. This depends on the barcode value in the documents being processed: if it is for template matching or identification, you need to create it in static elements mode. If a barcode is intended for data capture, you have to create it in field marking mode. Barcode properties differ depending on whether it is a field or static element. This section describes the properties of a static element – an anchor barcode, see also barcode field.

To highlight an anchor barcode:

  1. Switch to static elements mode
  2. Select [image] from the toolbar
  3. Position the cursor in the corner of a barcode, left-click and drag the cursor diagonally to the opposite corner

    or

    use Shift-Click in the barcode region.

Properties of an anchor barcode

To modify the properties of an anchor barcode:

  1. Highlight the barcode
  2. Right-click in the barcode region and select the Properties… item from the Context menu
  3. Modify properties in the dialog box that opens:

    On the General tab:

    • Use for template matching – this option must be enabled for the program to use the barcode for template matching
    • Use for template identification – enable this option to use the barcode for template identification
    • Value – if you are using an anchor barcode as an identifier, you can set its value. To automatically insert a value, click the Hint button
    • Required for template matching – if this option is selected, the template will be matched only if the barcode is matched. Select this option if there are many very similar templates in the batch that can be distinguished only by the values of their barcodes or even by the values of one of their several barcodes. In this case, selecting this option will speed up template selection. Do not select this option if you wish the template to be matched even if there is no barcode or if it is too faint.

    On the Recognition tab:

    • Code type – specify the barcode type (this is normally determined automatically)
    • Orientation – specify the barcode orientation.

    You can also configure barcode image processing options:

    • Invert – inverts the image
    • Remove texture - removes texture
    • Despeckle – enable this option to remove garbage from the image
    • Clear the garbage of specified size only – enable this option if you want to remove garbage of only specified size. Specify garbage size. If this option is disabled and only the Despeckle option is enabled, garbage size will be selected automatically.


Specifying identifier values

Identifiers serve to determine to which form a page belongs and are used to select a template where the batch contains several templates with the original set of anchors. In the event of simultaneous processing of several forms in a single flow, the program determines what form this page belongs to based on the location of identifiers.

If an anchor barcode or anchor text is used as an identifier, you can specify the values of such identifiers. In this case when applying a template the program will compare recognized data in the image with the value of the identifier, and the template match will be possible only if these values match.

The values of identifiers can be set in the properties dialog box of static elements on the General tab. Values of text and barcodes can be entered automatically. The Hint button is intended for this purpose.

Note. If it is possible to identify a page with absolute certainty based on the location of elements alone, you do not have to set the values. You should use this functionality only when absolutely necessary because assigning the identifier value launches the recognition module at the stage of template application, thereby slowing down the matching of templates with images.


Creating fields of a document template

Fields are intended for data extraction.

To work with fields in the document template editor, switch to field marking mode by clicking the [image] button.

All regions on the image intended for data capture must be marked as fields. Data in these fields are recognized and their value can be exported.

Fields have names, the lists of which are displayed in the document structure window. Normally, fields have a region on the image, but you can also create fields without a region (for example to store intermediate results).

The program recognizes the following field types:

Field | Toolbar button
Text entry field |
Checkmark |
Checkmark group |
Barcode |
Picture |
Table |
Field group |

To create a field:

  1. Select the field marking mode
  2. Select the tool for creating a field of the required type
  3. Position the cursor in the corner of the field, left-click and drag the cursor diagonally to the opposite corner
    or
    Shift-Click in the field region.

The field region will be framed with a rectangle. Its color depends on the field type.

The created field is assigned a default name corresponding to the explanatory text that is nearest to the field region. This name will appear in the field list on the Fields tab in the document structure window.

The field is assigned default properties.

  • Creating checkmark groups
  • Creating tables
  • Creating a field group
  • How to change a field name
  • Copying, moving, deleting fields
  • Fields without a region
  • Field properties


Creating a checkmark group

A checkmark group combines logically linked checkmarks normally corresponding to mutually exclusive answers to the same question. In this case the program will select one checkmark from the group and export its value. However, this is not an obligatory condition. You can allow the program to mark more than one checkmark in a group (select the relevant option in the checkmark group properties).

One way to create a checkmark group:

To create a checkmark group:

  1. After selecting the [image] tool, create checkmarks belonging to the group.
  2. Select the [image] tool and frame with a rectangle all checkmarks to be included in this group.
  3. Checkmarks inside the rectangle will be highlighted. Their names in the document structure will be combined and placed under the name of the checkmark group. The properties of checkmarks belonging to the same group are identical and cannot be edited individually.

Another way to create a checkmark group:

You do not need to highlight each checkmark belonging to the group.

  1. Without highlighting checkmarks individually, select the [image] tool and highlight with a rectangle all checkmarks to be included in this group.
  2. Checkmarks inside the rectangle will be detected automatically, named and combined into a group.


Creating a field group

Fields can be combined into groups to enable clear presentation of document structures and to create recurring field groups. For example a city, street and building number can be combined into the Home Address group. You can create fields for an Office Address group simply by copying the Home Address field group.

To create a field group:

  1. Create fields to be included in the group.
  2. Select the [image] tool and frame inside a rectangle all the fields to be included in this group.
  3. Fields inside the rectangle will be highlighted. Their names in the document structure will be combined and placed under the name of the field group.

If the form has recurring field groups, after creating one group you can create several instances of the same group. All field properties as well as rules set within the group will work for each group instance. See Fields with several instances.

You can also copy a field group, but in this case the copying will result in the creation of another independent group.


Creating a table

ABBYY FlexiCapture 8.0 Professional lets you create templates for documents containing tables. Creating Table fields can considerably simplify configuration, data extraction, and data export from tables. A Table field is a set of same-type columns and recurring lines.

Table columns can be of the following type:

  • text
  • checkmarks
  • barcodes
  • pictures

To create a table:

  1. Select the [image] tool and frame the table region with a rectangle. The table header must not be included in the selected region. Additional table processing tools will appear on the toolbar:
    Creating a table column
    Creating separators
    Removing a separator
  2. Mark off table cells by creating the required number of separators. To create separators, select the [image] tool and click where the separator should be placed. To create vertical separators, place the cursor into the table area, drag the dotted pointer to the desired location and click once. To create a horizontal separator, perform the same operation holding down the Alt key. You can also detect separators automatically: select the created table and then select the items Autodetect Vertical Separators and Autodetect Horizontal Separators from the local menu.
  3. Create table columns. To create a column, select the [image] tool and click in the column region. Select a column type from the dropdown list.


How to change a field name

Changing a field name

To rename a field:

  • Click the field name in the document structure, right-click and select Rename from the Context menu, and enter a new name.

or

  • Click in the field region on the image, right-click and select Suggest Name from the Context menu. The field will be assigned a name corresponding to the explanatory text that is nearest to the field region.

or

  • Click in the field region on the image, right-click and select Get Name From Image… from the Context menu. Next, highlight with your cursor the explanatory text that can be used as the field name. The field name will change to the selected text.

or

  • Open the field properties dialog box and change the name on the General tab.


Copying, moving, deleting fields

Fields can be copied, deleted, moved, and modified. Names of copied fields have different numbers. To highlight several fields, use Ctrl-Click. The action selected will then be applied to all highlighted fields.

To delete a field, highlight it and press the Delete key or select Delete from the Context menu. To delete only the region and keep the field in the document structure, press Shift+Delete or select Delete Region from the Context menu for the field. See Fields without a region.


Fields without a region

Field may have no region on the image. Names of fields without a region are marked with a red asterisk in the list. Such fields may be used to store intermediate results of calculations performed with the values of fields being recognized. For example, you can combine the values of several fields with the help of the field values merge rule and save the result to a field without a region.

Fields without a region have all the properties of the field type they belong to. The values of such fields can also be exported.

There are two ways to create a field without a region:

  1. In the template editor window, select the menu item Insert and create a field of the required type. The field name will appear in the list marked with an asterisk. In this case, the program creates a field in the document structure, but does not create its region on the image.
  2. Another way is to delete the region of an ordinary field. Highlight the required field on the image or in the list and select Delete Region from the Context menu. The region will be deleted and the field name will be marked with a red asterisk.

To create a region for fields that do not have a region on the image, select [image] on the toolbar and highlight the required region with your cursor. If the list contains fields marked with an asterisk, the program will ask you to select the name of one such field.


Exclusion of a region from recognition

Sometimes it is necessary to exclude a certain region from recognition, for example, a region with explanatory text that complicates data extraction from the field.

To exclude a region from recognition, select the [image] tool and highlight the region to be excluded with your cursor.


Creating a field with a non-rectangular region

Sometimes it is necessary to create fields with non-rectangular regions, as exemplified by the questionnaire:

To create a non-rectangular field region:

  1. Select the tool for creating a field of the required type.
  2. Select a rectangular region where you can add or remove fragments to create a region of the required shape.
  3. Select the tool [image] and make sure that the rectangular region is highlighted.
  4. To add a fragment to the region: press Shift (the cursor will appear as a "plus" sign) and highlight a fragment you want to add.
  5. To exclude a fragment from the region: press Alt (the cursor will appear as a "minus" sign) and highlight a fragment you want to exclude.


Fields with several regions

A field can comprise several regions on the image. These regions may be located a distance apart from each another or even on different pages. Values from all regions of the same field are combined and exported together as one field.

It is convenient to create several regions for fields located on several pages, for example, for large tables.

Show example

To create a field with several regions, proceed as follows:

  1. Create a field.
  2. Highlight it, right-click in the field region and select Continue Region… from the Context menu.
  3. Move the region image to the required location on the page.


Fields with several instances

Recurring elements may occur in your fields. These are fields and field groups that occur in the form a number of times and describe similar objects, such as the same details of several employees, children, accounts, etc. Fields with several instances are created for such objects.

Any field can have several instances. Their regions can be located at a distance from one another or even on different pages. Field instances have the same properties. They are exported to separate files or database tables.

You can create several instances for a field group if the form has recurring groups.

Show example

To create a field with several instances, proceed as follows:

  1. Create a field
  2. Highlight it, right-click in the field region and from the Context menu select New Instance…
  3. Move the region image to the required location on the page.


Field properties

It is very important that the properties of each field are configured correctly. Field properties affect the quality of their recognition and determine whether their values will be exported and submitted to the operator for verification. Certain properties are very important for data recognition. For example, the marking method of the text entry field: if it is configured incorrectly, the marking that does not disappear during scanning will not be separated from characters, and the recognition results may be unsatisfactory.

Fields of each type have their own set of properties. When you create a field of a certain type on the image, it is assigned default properties.

How to change field properties:

  1. Highlight the field name in the document structure or the field region on the image, right-click and select Properties… from the Context menu.
  2. Modify field properties in the dialog box that opens.

Read more about field properties:

Text entry fields
Checkmarks
Checkmark groups
Barcodes
Pictures
Tables
Field groups


Text entry field

When you create a text field, it is assigned default properties. You can change properties by selecting Properties… from the Context menu. The properties modification dialog box comprises five tabs for different groups of properties:

Basic properties
Data types
Recognition properties
Verification properties
Rule validation


Basic field properties

You can configure basic field properties on the General tab.

On this tab the field type is displayed as an icon to the right of the name.

  • Name – field name. The name is assigned automatically when the field is created and corresponds to the explanatory text closest to the field. When editing the properties, you can change the name assigned by default. See also How to change the field name.
  • Caption – the name of the field that will be displayed in the data form.
  • Export field value – this option must be enabled if you want to export the field value (enabled by default). You may need to disable this option if, for example, the value of this field is used to obtain the value of a calculated field (see Rule validation), and only the end result has to be exported.
  • Show in data form – this option must be enabled if the field should be visible in the data form (enabled by default).
  • Cannot be blank – enable this option if you want to make it a required field.
  • Read only – enable this option if the field should be accessible only for viewing, i.e. the operator will not be able to modify its value. You can enable this option for fields whose values have to be calculated automatically using a rule, for example, for a field where you plan to save the sum or combine other fields (see Rule validation).
  • Index field – enable this option if you expect to use this field to perform document indexing. When processing documents, you will be able to display the value of this field for each document, and sort and search documents based on the field value.
  • Comment – you can enter any comments.


Data types of the text entry field

It is very important that you assign a data type to a text entry field in order to tell the program what type of data you expect to see in this field: be it only numbers, letters of a certain alphabet, characters from a certain set, a date or suchlike. The mechanism for setting data types is very flexible and the user can both select a data type from a list of available data types and create custom data types suitable for a specific task.

When specifying data types, you can configure the format check of the input value and set value constraints, such as a constraint of text length, minimum and maximum value for the number, time interval and date.

If during document processing the recognized field value does not match the set data type, the operator will see an error message.

The data type for the text entry field can be specified on the Data Type tab of the field properties dialog box.

Text
  1. If this field will contain text, select Text from the Content list.
    In the Details field, you will see a description of the selected data type. If you wish to change the language, the use of dictionaries, or specify a narrower data type, click the Edit… button to the right of the description. In the dialog box that opens, you can:
    • Change the recognition language for this field. To change the language, click the "..." button to the right of the Language field. You can select one or several languages.
    • For the standard text type (i.e. General is selected in the Content settings list), you can use a built-in dictionary and/or a custom dictionary. In this case, the value of the field will be checked against these dictionaries.
      To use a built-in dictionary, select the option Use built-in dictionary.
      To use a custom dictionary, select the option Use custom dictionary and click Edit… to edit the dictionary. You can create a custom dictionary either by adding words to one by one (click the Add... button to add a word), or by loading a list of words from a file (click the Load... button and specify the path to the desired file with the extension *.txt or *.dic).
    • The special text type (i.e. Special is selected in the Content settings list) contains predefined data types, from among which you can select the data type suitable for the given field. When selecting a data type, consult its description that appears at the bottom of the dialog
      box. You can also create your own custom data type, if neither of the predefined types suits your purposes. For details, see Creating custom data types.
  2. For any data type, the program can automatically process the entered values: remove excess spaces, change letters to uppercase or lowercase, or automatically replace specified characters or text fragments. To enable automatic processing of values, click the Edit… button next to the AutoCorrect options field. In the dialog box that opens, select the required automatic processing options. For details, see Processing entered values.
  3. You can also set up value validation for the field so that the program will check if the entered value is within the range you specified. To specify a range of values for the field, click the Edit… button to the right of the Validation field. For details, see Value range constraints for text data type.
Number
  1. If this field will contain a numerical value, select Number from the Content list.
    In the Details field, you will see a description of the selected data type. If you wish to change the language, change the integer to fraction or vice versa, or specify a narrower data type (e.g. a two-digit or a Roman number), click the Edit… button to the right of the description. In the dialog box that opens, you can:
    • Change the recognition language for this field. To change the language, click the "..." button to the right of the Language field. You can select one or several languages.
    • Select Integer, if the field must contain an integer. Clear this option if the field must contain a fraction.
    • Select the standard data type (i.e. General is selected in the Content settings list) for an integer or a fraction.
    • The special number type (i.e. Special is selected in the Content settings list) contains predefined data types, from among which you can select the data type suitable for the given field. When selecting a data type, consult its description that appears at the bottom of the dialog
      box. You can also create your own custom data type, if neither of the predefined types suits your purposes. For details, see Creating custom data types.
  2. For any data type, the program can automatically process the entered values: remove excess spaces, change letters to uppercase or lowercase, or automatically replace specified characters or text fragments. To enable automatic processing of values, click the Edit… button next to the AutoCorrect options field. In the dialog box that opens, select the required automatic processing options. For details, see Processing entered values.
  3. You can also set up value validation for the field so that the program will check if the entered value is within the range you specified. To specify a range of values for the field, click the Edit… button to the right of the Validation field. For details, see Value range constraints for numbers.
Important! Do not use the number data type for fields containing numbers which are only formally numbers but actually are used as codes (e.g. credit card numbers, passport series, etc.). Specifying the number data type for such fields may cause errors (e.g. the zeros at the beginning of strings will be dropped). For cases like these, either create a custom text type and specify an alphabet of 0-9 (and add a regular expression if required), or use the number data type anyway but be sure to select the option Process value as text. In the latter case, the value of the field will be processed as text, a custom dictionary can be used to check the value, and the range of possible values can be specified just like for a text value. For details, see Value range constraints for text data type.
Date
  1. If this field will contain a date, select Date from the Content list.
    In the Details field, you will see a description of the selected data type. If you wish to change the language, change the order of date components, add time or days of the week, or specify a narrower data type (e.g. months are indicated using Roman numbers), click the Edit… button to the right of the description. In the dialog box that opens, you can:
    • Change the recognition language for this field. To change the language, click the "..." button to the right of the Language field. You can select one or several languages.
    • Select the desired order from the Date component order list.
    • Select the standard data type (i.e. General is selected in the Content settings list) for dates written in standard formats. For the standard date type, the following additional options are available:
      May include month in words - use this option if months can also be written as words, not just as numbers;
      May include day of week - use this option of dates may include days of the week;
      May include time - use this option if dates may include time.
    • The special date type (i.e. Special is selected in the Content settings list) contains predefined data types, from among which you can select the data type suitable for the given field. When selecting a data type, consult its description that appears at the bottom of the dialog
      box. You can also create your own custom data type, if neither of the predefined types suits your purposes. For details, see Creating custom data types.
  2. For any data type, the program can automatically process the entered values: remove excess spaces, change letters to uppercase or lowercase, or automatically replace specified characters or text fragments. To enable automatic processing of values, click the Edit… button next to the AutoCorrect options field. In the dialog box that opens, select the required automatic processing options. For details, see Processing entered values.
  3. You can also set up value validation for the field so that the program will check if the entered value is within the range you specified. To specify a range of values for the field, click the Edit… button to the right of the Validation field. For details, see Values range constraints for date.
Important! If the date cannot be reduced to a standard format or you are not going to process the values in this field as dates, select the option Process value as text. In this case, the value of the field will be processed as text, a custom dictionary can be used to check the value, and the range of possible values can be specified just like for a text value. For details, see Value range constraints for text data type.
Amount of Money
  1. If this field will contain an amount of money, select Amount of Money from the Content list.
    In the Details field, you will see a description of the selected data type. If you wish to change the language or specify a narrower data type (e.g. a currency code), click the Edit… button to the right of the description. In the dialog box that opens, you can:
    • Change the recognition language for this field. To change the language, click the "..." button to the right of the Language field. You can select one or several languages.
    • Select the standard data type (i.e. General is selected in the Content settings list) for the amount of money if the value of the field is a number or a number accompanied by a standard currency symbol or code.
    • The special type (i.e. Special is selected in the Content settings list) contains predefined data types, from among which you can select the data type suitable for the given field. When selecting a data type, consult its description that appears at the bottom of the dialog
      box. You can also create your own custom data type, if neither of the predefined types suits your purposes. For details, see Creating custom data types.
  2. For any data type, the program can automatically process the entered values: remove excess spaces, change letters to uppercase or lowercase, or automatically replace specified characters or text fragments. To enable automatic processing of values, click the Edit… button next to the AutoCorrect options field. In the dialog box that opens, select the required automatic processing options. For details, see Processing entered values.
  3. You can also set up value validation for the field so that the program will check if the entered value is within the range you specified. To specify a range of values for the field, click the Edit… button to the right of the Validation field. For details, see Value range constraints for text data type.
Important! If the amount of money cannot be reduced to a standard format or you are not going to process the values in this field as amounts of money, select the option Process value as text. In this case, the value of the field will be processed as text, a custom dictionary can be used to check the value, and the range of possible values can be specified just like for a text value. For details, see Value range constraints for text data type.
Address
  1. If this field will contain an address, select Address from the Content list.
    In the Details field, you will see a description of the selected data type. If you wish to change the language, specify a custom dictionary, or specify a narrower data type (e.g. an e-mail address or a ZIP code), click the Edit… button to the right of the description. In the dialog box that opens, you can:
    • Change the recognition language for this field. To change the language, click the "..." button to the right of the Language field. You can select one or several languages.
    • Select the standard data type (i.e. General is selected in the Content settings list) for the address. The use of a custom dictionary is recommended in this case. To use a custom dictionary, select the option Use custom dictionary and click Edit… to edit the dictionary. You can create a custom dictionary either by adding words to one by one (click the Add... button to add a word), or by loading a list of words from a file (click the Load... button and specify the path to the desired file with the extension *.txt or *.dic).
    • The special type (i.e. Special is selected in the Content settings list) contains predefined data types, from among which you can select the data type suitable for the given field. When selecting a data type, consult its description that appears at the bottom of the dialog
      box. You can also create your own custom data type, if neither of the predefined types suits your purposes. For details, see Creating custom data types.
  2. For any data type, the program can automatically process the entered values: remove excess spaces, change letters to uppercase or lowercase, or automatically replace specified characters or text fragments. To enable automatic processing of values, click the Edit… button next to the AutoCorrect options field. In the dialog box that opens, select the required automatic processing options. For details, see Processing entered values.
  3. You can also set up value validation for the field so that the program will check if the entered value is within the range you specified. To specify a range of values for the field, click the Edit… button to the right of the Validation field. For details, see Value range constraints for text data type.
Name
  1. If this field will contain a name, select NameName from the Content list.
    In the Details field, you will see a description of the selected data type. If you wish to change the language, specify a custom dictionary, or specify a narrower data type (e.g. last name or patronymic), click the Edit… button to the right of the description. In the dialog box that opens, you can:
    • Change the recognition language for this field. To change the language, click the "..." button to the right of the Language field. You can select one or several languages.
    • Select the standard data type (i.e. General is selected in the Content settings list) for the name. The use of a custom dictionary is recommended in this case. To use a custom dictionary, select the option Use custom dictionary and click Edit… to edit the dictionary. You can create a custom dictionary either by adding words to one by one (click the Add... button to add a word), or by loading a list of words from a file (click the Load... button and specify the path to the desired file with the extension *.txt or *.dic).
    • The special type (i.e. Special is selected in the Content settings list) contains predefined data types, from among which you can select the data type suitable for the given field. When selecting a data type, consult its description that appears at the bottom of the dialog
      box. You can also create your own custom data type, if neither of the predefined types suits your purposes. For details, see Creating custom data types.
  2. For any data type, the program can automatically process the entered values: remove excess spaces, change letters to uppercase or lowercase, or automatically replace specified characters or text fragments. To enable automatic processing of values, click the Edit… button next to the AutoCorrect options field. In the dialog box that opens, select the required automatic processing options. For details, see Processing entered values.
  3. You can also set up value validation for the field so that the program will check if the entered value is within the range you specified. To specify a range of values for the field, click the Edit… button to the right of the Validation field. For details, see Value range constraints for text data type.
Code
  1. If this field will contain a code made up of letters and digits, select CodeCode from the Content list.
    In the Details field, you will see a description of the selected data type. If you wish to change the language, specify a custom dictionary, or specify a narrower data type (e.g. a social security number), click the Edit… button to the right of the description. In the dialog box that opens, you can:
    • Change the recognition language for this field. To change the language, click the "..." button to the right of the Language field. You can select one or several languages.
    • Select the standard data type (i.e. General is selected in the Content settings list) for the alpha-numerical code. The use of a custom dictionary is recommended in this case. To use a custom dictionary, select the option Use custom dictionary and click Edit… to edit the dictionary. You can create a custom dictionary either by adding words to one by one (click the Add... button to add a word), or by loading a list of words from a file (click the Load... button and specify the path to the desired file with the extension *.txt or *.dic).
    • The special type (i.e. Special is selected in the Content settings list) contains predefined data types, from among which you can select the data type suitable for the given field. When selecting a data type, consult its description that appears at the bottom of the dialog
      box. You can also create your own custom data type, if neither of the predefined types suits your purposes. For details, see Creating custom data types.
  2. For any data type, the program can automatically process the entered values: remove excess spaces, change letters to uppercase or lowercase, or automatically replace specified characters or text fragments. To enable automatic processing of values, click the Edit… button next to the AutoCorrect options field. In the dialog box that opens, select the required automatic processing options. For details, see Processing entered values.
  3. You can also set up value validation for the field so that the program will check if the entered value is within the range you specified. To specify a range of values for the field, click the Edit… button to the right of the Validation field. For details, see Value range constraints for text data type.


Creating custom data types

To create a new data type, select the desired item from the Content list on the Data Type tab of the field's properties. You can select any item from the list that corresponds to the semantics of your custom data type: this will not affect the nature of the new data type, but it will be stored in the selected category.

Click the Edit… button to the right of the Details field.

In the dialog box that opens, select Special in the Content settings field.

Click the New… button to the right of the Data types for selected language field.

Follow the instructions of the data type creation wizard.

In the first window pf the wizard, select how your data is to be created. You can create a new data type based on a dictionary, a regular expression, an alphabet, or an existing data type (e.g. by adding desired characters to its alphabet or by expanding its dictionary).

To create a new data type based on a dictionary, a regular expression or an alphabet:

  1. Select New data type based on and then select the basis to be used for your new data type: a dictionary, a regular expression or an alphabet. Then select Language (locale) for your data type and click Next.
  2. If you choose to create a new data type based on a dictionary, in the next window the wizard will prompt you to select the type of dictionary to be used.
    Select Use built-in dictionary if you wish to use the built-in dictionary for the language selected in the previous window. To check if the dictionary contains a particular word, click View… and type the word. Clicking the View button will either display the inflected forms of the word or a warning message saying that there is no such word in the dictionary.
    Select Use custom dictionaries if you wish to use a custom dictionary and click Edit… to edit the dictionary. You can create a custom dictionary either by adding words to one by one (click the Add... button to add a word), or by loading a list of words from a file (click the Load... button and specify the path to the desired file with the extension *.txt or *.dic). Click Next.
  3. If you choose to create a new data type based on a regular expression, the wizard will prompt you to enter a regular expression. Use the [image] button to the right of the regular expression field to build your regular expression. For details, see Alphabet used in regular expressions. Click Next.
  4. If you choose to create a new data type based on an alphabet, or if you used characters in the regular expression that are not included in the alphabet of the language, the wizard will prompt you to specify an alphabet for your data type. You can either type the desired characters directly on the keyboard, or click Customize… and then use your mouse to select the desired characters.

    To add punctuation marks and excluded (prohibited) characters, click Advanced Parameters…. You can either type the prohibited characters directly on the keyboard or click the button to the right and use your mouse to select the desired characters.

    Click Next.

  5. In the final window of the wizard, type in a name for your new data type and a short description. If you wish to edit the properties of the newly created data type, select the Edit properties option. Click Finish.

To create a new data type based on an existing data type:

  1. In the first window of the data type creation wizard, select Data type based on existing types. Select the desired language(s) and click Next.
  2. In the next window, select the source data type(s) based on which you are going to create your new data type. The data types that correspond to the selected languages are listed in the Available data types in the left-hand side of the dialog box. The Text folder contains the natural languages selected in the first window. The Custom folder contains the data types created by users. The other folders contain the data types corresponding to the category and the special type of content.
    To select a source data type, select it in the Available data types field (hold down the Ctrl key to select more than one) and then click Add -> to transfer it to the right pane. Click Next.
  3. In the final window of the wizard, type in a name for your new data type and a short description. If you wish to edit the properties of the newly created data type, select the Edit properties option. Click Finish.

The newly created data type will appear in the list of predefined data types when you select the content that was selected when creating the data type.

To specify the newly created data type for your field:

  1. On the Data Type tab of the field properties dialog box, select the desired item in the Content list;
  2. Click the Edit… button to the right of the Details field;
  3. In the Content settings list, select Special;
  4. In the list that appears, select the data type you created (custom data types are marked with a special symbol) and click OK.


Value range constraints for text data type

In the Validation Settings dialog box you can specify the value range constraints for text entered into the field.

Note: The program will treat as text type not only the data types with Text content, but also data types with other content for which the Process value as text option is selected.

  • Maximum length – specify the maximum length of text in the field;
  • Regular expression – enable this option if you want to check field values using a regular expression.

    The [image] button will help you to form a regular expression correctly. For details see Alphabet used in regular expressions.

  • Allowed values – select this option if you wish to specify a list of allowed values for this field. To add a value, click Add… and enter the value in the dialog box that opens. To edit a value, click Edit… To delete a value, click Delete.
  • Treat validation error as warning – Select this option if you wish any non-compliance with the constraints you specified to be treated as a warning.


Value range constraints for numbers

To specify the vale range constraints for numbers:

  1. Enable the option Use constraints.
  2. Specify the minimum and maximum number values.
  3. Treat validation error as warning – Select this option if you wish any non-compliance with the constraints you specified to be treated as a warning.

When processing documents, the program will check whether the entered value is within the specified interval.


Values range constraints for date

In the Validation Settings dialog box you can specify the interval for the date entered in this field.

  1. Enable the option Date must be within the following interval.
  2. Select Fixed to set a fixed time interval or select Relative to verification date to set a time interval relative to the document verification date.
  3. Enter the beginning and end of the interval.
  4. Treat validation error as warning – Select this option if you wish any non-compliance with the constraints you specified to be treated as a warning.


Processing the entered value for text data type

Processing entered values

For any data type, you can perform automatic processing of the entered value: remove white spaces, convert letters to uppercase or lowercase, automatically replace specific characters or text. To enable automatic processing of field values, on the Data Type tab of the field properties dialog box, click the Edit… button to the right of the AutoCorrect options field.

Select the desired automatic processing options.

If Apply AutoCorrect only once after recognition is selected, automatic processing is performed only once after the field value is recognized. Otherwise, automatic processing is performed each time the value in the field changes.

  • To perform automatic replacement of characters in the recognized field value, click the Edit… button to the right of the Replace characters field. In the dialog box that opens you can add characters for automatic replacement. If the specified characters occur in the recognized field value, they will be replaced automatically.
  • To perform automatic replacement of the entire recognized field value or separate words in the field value, click the Edit… button to the right of the Replace text field.

    In the dialog box that opens you can add words and expressions for automatic replacement. To replace the entire field value, enable the option Replace whole field value. In this case automatic replacement will be performed only where the specified word or expression is a value of the entire field. To replace individual words, enable the option Replace found words.

    If you enable the option Exact, the program will search and replace the exact word or expression you have entered, or if you enable Fuzzy, the program will search and replace a word or expression that is similar to the one you have entered. The number of allowable errors depends on the length of the word.

    Enable the option Match case for case-sensitive replacement words or expressions.

  • Choose one of the method of text letters conversion in the Change capitalization dropdown list:

    None – without conversion;

    UPPER – all letters will be changed to uppercase;

    lower – all letters will be changed to lowercase;

    First upper – the first letter will be uppercase and the remaining ones - lowercase.

  • Remove excess spaces – enable this option if you want to remove whitespaces.


Text field recognition options

Recognition properties are set on the Recognition tab of the field properties dialog box (Properties… item in the field's Context menu). Correctly determined field values will considerably increase recognition quality and reduce the likelihood of errors.

  • Don't recognize (Key From Image field - will be entered manually) – enable this option if the field cannot be recognized for some reason (for example, if the text in the field consists of fused letters), and the operator is to enter its value manually. In this case, you do not have to configure other recognition properties because this field will not be recognized, and the operator will be asked to enter the field value during verification.

  • ICR (hand-printed) – enable this option if static text in this field is handprinted.

  • OCR (printed) – enable this option if static text in this field is printed. Select the print style from the dropdown list (typographic, dot-matrix printer, typewriter, etc.). See also Supported text types.

  • Advanced – use this option to select several text types or to specify a custom text type.

  • Marking type – select the marking type; to simplify your choice, select samples from the dropdown list. If the marking disappears during scanning, your marking type is monospaced (gray boxes). If the marking does not disappear during scanning and is divided into cells for character spaces, you must enter the total number of cells. When the program detects fields with such marking automatically, the number of cells is also determined automatically.

  • Letter case – select the case of letters in the field. If both lowercase and uppercase letters are possible, leave the Auto option enabled.

  • Orientation – specify the text orientation.

  • Enable the One line option for one-line fields.

  • For fields whose value will always consist of a singe word, enable the One word option.

  • Configure image processing options during recognition:

  • Invert – inverts the image.
  • Remove texture – removes texture.
  • Despeckle – enable this option to remove garbage from the image.
  • Clear the garbage of specified size only – enable this option if you want to remove garbage of only specified size. Specify garbage size. If this option is disabled and only the Despeckle option is enabled, garbage size will be selected automatically.


Field verification properties

Verification is performed by the operator and is the process of checking recognized data. Uncertainly recognized characters are marked by the program and submitted to the operator for verification. However, you can configure field properties so that the program will submit a field for verification even if it does not contain uncertainly recognized characters. Conversely, it will not be submitted for verification even if it contains uncertainly recognized characters. The operator sees a recognized character and its image and either confirms the recognition result or corrects it.

When creating a template, you can configure verification options on the Verification tab of the field properties dialog box.

Choose the value from the dropdown list:

  • Verify uncertainly recognized characters – field characters are submitted for verification if they have been recognized uncertainly. This value is assigned to all fields by default.
  • Verify all characters – field characters are submitted for verification. You can select the value all if no errors in the values for this field are permitted.
  • Verify none characters – characters in this field are not submitted for verification.

Enable options:

  • Include in group verification – enable to include field characters in group verification. While all fields can be included in group verification, for group verification you should submit only checkmarks and fields containing numbers. By contrast, it is better to verify letters within the context of the field value.
  • Include in field verification – enable to include the field in field verification.


Checkmarks

Important! The properties of checkmarks combined into groups are configured for the entire checkmark group. If you attempt to edit the properties of a checkmark belonging to a group, a dialog box for editing checkmark group properties will open.

When you create a checkmark field, it is assigned default properties. You can change properties by selecting Properties… in the Context menu. The properties modification dialog box comprises five tabs for different groups of properties:

Basic properties
Recognition properties
Data types
Verification properties
Rule validation


Basic field properties

You can configure basic field properties on the General tab.

On this tab the field type is shown as an icon to the right of the name.

  • Name – field name. The name is assigned automatically when the field is created and corresponds to the explanatory text closest to the field. When editing the properties, you can change the name assigned by default. See also How to change the field name.
  • Caption – the name of the field that will be displayed in the data form.
  • Export field value – this option must be enabled if you want to export the field value (enabled by default). You may need to disable this option if, for example, the value of this field is used to obtain the value of a calculated field (see Rule validation), and only the end result has to be exported.
  • Show in data form – this option must be enabled if the field should be visible in the data form (enabled by default).
  • Read only – enable this option if the field should be accessible only for viewing, i.e., the operator will not be able to modify its value. You can enable this option for fields whose values have to be calculated automatically using a rule, for example, for a field where you plan to save the sum or combine other fields (see Rule validation).
  • Comment – you can enter any comments.


Data types for checkmarks

The data type for checkmarks can be set on the Data Type tab of the field properties dialog box.

The data type for checkmarks determines the values to be assigned to the checkmark field for a selected and unselected checkmark.

Select the appropriate options for checkmark values:

  • Yes / No – if the checkmark has been selected, the field value is "Yes", if unselected – "No".
  • 1 / 0 – if the checkmark has been selected, the field value is 1, if unselected – 0.
  • <Checkmark name> / Empty – if the checkmark is selected, the field value will match the checkmark name, if unselected – the field will be assigned an empty value.
  • Custom – by enabling this option you can enter your custom values, Selected – for a selected checkmark, Not selected – for an unselected checkmark.


Checkmark recognition properties

Recognition properties are set on the Recognition tab of the field properties dialog box (Properties… in the Context menu for the field). Correctly determined field values will considerably increase recognition quality and reduce the likelihood of errors.

  • Checkmark type – select the checkmark type. This property is very important for correct checkmark recognition.

    Square – select this checkmark type if checkmarks are placed in restricted square frames.

    Without Frame – select this checkmark type if checkmarks are placed against a white background without frames.

    Auto – if you select this type, the program will automatically determine the checkmark type.
    Important! Please note that in this case the checkmark on the form must not be selected, because the program detects whether or not the checkmark is selected by comparing the image of the checkmark on a processed document against the image of the blank form used to create the template.

  • Allow corrections – enable this option if you want to allow corrections of any checkmarks: in this case inked out checkmarks will be considered unselected. But if you have selected the Auto type, you may not allow corrections of such checkmarks.

    • You can configure field image processing options:

  • Invert – inverts the image
  • Remove texture – removes texture
  • Despeckle – enable this option to remove garbage from the image.
  • Clear the garbage of specified size only – enable this option to remove garbage of a specific size only. Specify garbage size. If this option is disabled and only the Despeckle option is enabled, the garbage size will be selected automatically.


Field verification properties

Verification is performed by the operator and is the process of checking recognized data. Uncertainly recognized characters are marked by the program and submitted to the operator for verification. However, you can configure field properties so that the program will submit a field for verification even if it does not contain uncertainly recognized characters. Conversely, it will not be submitted for verification even if it contains uncertainly recognized characters. The operator sees a recognized character and its image and either confirms the recognition result or corrects it.

When creating a template, you can configure verification options on the Verification tab of the field properties dialog box.

Choose the value from the dropdown list:

  • Verify uncertainly recognized characters – field characters are submitted for verification if they have been recognized uncertainly. This value is assigned to all fields by default.
  • Verify all characters – field characters are submitted for verification. You can select the value all if no errors in the values for this field are permitted.
  • Verify none characters – characters in this field are not submitted for verification.

Enable options:

  • Include in group verification – enable to include field characters in group verification. While all fields can be included in group verification, for group verification you should submit only checkmarks and fields containing numbers. By contrast, it is better to verify letters within the context of the field value.


Checkmark groups

Important! Group properties apply to all checkmarks belonging to a checkmark group.

The value of a checkmark group is a list of the names of the selected checkmarks separated by a semicolon (;) or an empty string if no checkmarks have been selected.

When you create a checkmark group, it is assigned default properties. You can change the properties by selecting Properties… from the Context menu. The properties modification dialog box comprises five tabs for different groups of properties:

Basic properties
Recognition properties
Data types
Verification properties
Rule validation


Data types for checkmark groups

The data type for a checkmark group can be set on the Data Type tab of the field properties dialog box.

Allow empty selection – enable this option if at least one checkmark in the group must be selected. In this case, if no checkmark in the group has been selected, the program will display a relevant warning.

Allow multiple selection – enable this option to allow selection of multiple checkmarks in the group. If this option is disabled, the program will display a warning when several checkmarks in the group have been selected.

To change the name of a checkmark, select the line you need and click Edit…. In the dialog box that opens, provide a new name for the checkmark field and a new name to be assigned to the checkmark during export.

You can define the values to be exported for cases when no checkmark fields are selected and for cases when more than one checkmark fields are selected. To do this, select either <No item selected> or <Multiple items…> from the list, click Edit… and in the dialog box that opens specify the desired value in the Exported value field. If no export values are specified: a) an empty string is exported if no checkmark fields are selected, and b) the values of the selected checkmark fields are specified (separated by commas) if several fields are selected.

Creating a checkmark group


Barcode

When you create a barcode field, it is assigned default properties. You can change properties by selecting Properties… from the Context menu. The properties modification dialog box comprises five tabs for different groups of properties.

Important! A barcode can be highlighted as a field or as a static element. This depends on the barcode value in the documents being processed: if it is intended for template matching or identification, you have to create it in the static elements mode. Meanwhile, if a barcode is intended for data capture, you have to create it in the field marking mode. Barcode properties differ depending on whether it is a field or static element. This section describes the field properties, see also anchor barcode.

Basic properties
Recognition properties
Verification properties
Rule validation


Properties of barcode recognition

Recognition properties are set on the Recognition tab of the field properties dialog box (Properties… from the Context menu for this field). Correctly determined field values considerably increase recognition quality and reduce the likelihood of errors.

  • Don't recognize (Key From Image field - will be entered manually) – enable this option if the barcode value will be entered by the operator manually. If so, you do not need to configure the remaining recognition settings.
  • Code type – specify the barcode type (normally determined automatically).
  • Orientation – specify the barcode orientation.

You can also configure barcode image processing options:

  • Invert – inverts the image.
  • Remove texture – removes texture.
  • Despeckle – enable this option to remove garbage from the image.
  • Clear the garbage of specified size only – enable this option if you want to remove garbage of only specified size. Specify garbage size. If this option is disabled and only the Despeckle option is enabled, the garbage size will be selected automatically.


Field verification properties

Verification is the process of checking recognized data and is performed by the operator. Uncertainly recognized characters are marked by the program and submitted to the operator for verification. However, you can configure field properties so that the program will submit a field for verification even if it does not contain uncertainly recognized characters. Or, conversely, you can specify that it will not be submitted for verification even if it contains uncertainly recognized characters. The operator sees a recognized character and its image and either confirms the recognition result or corrects it.

When creating a template, you can configure verification options on the Verification tab of the field properties dialog box.

Choose the value from the dropdown list:

  • Verify uncertainly recognized characters – field characters will be submitted for verification if they have been recognized uncertainly. This value is assigned to all fields by default.
  • Verify all characters – all field characters will be submitted for verification. You can select the value all if errors in the value of this field are not permitted.
  • Verify none characters – characters in this field will not be submitted for verification.

Enable the option:

  • Include in field verification – enable to include the field in field verification.


Pictures

On creation, a picture is assigned default properties. You can change properties by selecting Properties… from the Context menu. The properties modification dialog box comprises four tabs for different groups of properties.

Basic properties
Recognition properties
Exporting pictures
Rule validation


Basic field properties

You can configure basic field properties on the General tab.

On this tab the field type is shown as an icon to the right of the name.

  • Name – field name. The name is assigned automatically when the field is created and corresponds to the explanatory text closest to the field. When editing properties, you can change the name assigned by default. See also How to change the field name.
  • Caption – the name of the field that will be displayed in the data form.
  • Export field value – enable this option if you want to export the field value (enabled by default). You may need to disable this option if, for example, the value of this field is used to obtain the value of a calculated field (see Rule validation), and only the end result has to be exported.
  • Show in data form – enable this option if the field is to be visible in the data form (enabled by default).
  • Comment – you can enter any comments.


Properties of picture recognition

Recognition properties are set on the Recognition tab of the field properties dialog box (Properties… from the Context menu for this field).

  • Exclude from recognition – enable this option if the region of a Picture field must be excluded from the recognition regions of the other fields. (This option is only available for a Picture field and ensures compatibility with FormReader 6.5 templates.)


Exporting pictures

In a document template, you can select export options for each picture. To select picture export options, right click the desired field, select Properties…, and then click the Export tab. You can select any of the following options:

  • File type: (TIFF, JPEG, BMP, JPEG2000, PCX packbits, PNG).
  • Quality: For TIFF, JPEG, and JPEG2000 files, you can select the quality of the resulting file, from best to low.
  • Color type: Color, grayscale, halftone (black and white).

You can also set the resolution of the resulting picture: selecting Change resolution to and either type in the desired resolution or select it from the list.


Tables

When you create a table, it is assigned default properties. You can change properties by selecting Properties… from the Context menu. The properties modification dialog box comprises three tabs for different groups of properties.

Basic properties
Columns
Rule validation


Table columns

The Columns tab shows the list of columns of this table. Each table column belongs to a certain field type (see Creating a table) and has properties specific to this field type.

To edit the properties of one of the columns:

  1. Select its name from the list
  2. Click the Properties… button


Field group

When you create a field group, it is assigned default properties. You can change properties by selecting Properties… from the Context menu. The properties modification dialog box comprises three tabs for different groups of properties.

Basic properties
Fields
Rule validation


Group fields

The Fields tab shows the list of fields forming the group.

To edit the properties of one of the fields:

  1. Select its name from the list.
  2. Click the Properties… button

Creating a field group


Rule verification

Rule validation

Rules expand the possibilities of automated result checking. Rules make it possible to set data constraints, i.e. to specify conditions that values in certain fields must meet.

If the values in documents do not meet these conditions, such pages are flagged with a warning. The main purpose of rule application is to check the integrity of document data.

You can also process entered values with the help of rules: merge values of several fields or replace recognized values with the relevant values from the database.

ABBYY FlexiCapture 8.0 Professional lets you configure rules of the following types:

  • Check Sum – checks the sum of several fields. The sum of values of specific fields is compared to a preset number or the value in a different field.
  • Compare Fields – compares the values of several fields.
  • Database Check – checks entered values by comparing them to values from a specific database.
  • Merge Fields – merges the values of several fields. Any separators can be added when merging fields.
  • Script – the user describes constraints with the help of a script.
  • Sum in Figures - Sum in Words (Russian) – compares a numerical sum with the same sum written in words (Russian language only).

The rule can be assigned an error or warning status. When a condition is not fulfilled, the field is marked with a red flag (error) or a yellow flag (warning). See Rule validation.

Rules can be configured on the Rules tab of the object properties dialog box (field, section, document, etc.).

In the hierarchical structure, rules are stored at the level of the object in which they were created: this may be a field, a template section, or a template itself. In most cases the rule storage level does not matter. But if you are creating a template with a complex structure, with field groups or recurring elements, you need to watch where you store rules. For example, if you have a field group and certain fields in the group are linked to a rule, when you create a new instance of this group the rule will be copied and satisfied in the new object only if the rule is stored in the group itself or in one of its fields and not at a higher level. From the object properties dialog box you can view rules that work with this object or rules stored in this object and its subordinate objects. You may specify the rules you want to view by selecting one of the values from the Show in list dropdown list:

  • Rules handling the object – shows the rules applicable to the current object (i.e. the object whose properties dialog box is currently open).
  • Rules stored in the object – shows the rules stored in the current object.
  • Rules stored in the object and its children – shows the rules stored in the current object and in its child objects (for a field group, for example, the rules stored in the group and in all of its fields will be displayed).

Note: A new rule can only be created in Rules stored in the object or in Rules stored in the object and its children display modes. You cannot create a new rule in Rules handling the object display mode.

Each rule has an error or warning status. If you attempt to export documents with rule errors, the program will display an error message. Rule warnings will not prevent export.

Check sum
Compare fields
Check database
Merge fields
Sum in figures - sum in words

A rule set with the help of a script


Values sum check rule

This rule is used to check the sum of values of several fields. The sum of values of specific fields is compared against a preset number or the value in a different field. For example, if your document contains fields with a salary amount, bonus amount, other compensation payments, and a sum total field, you can configure a rule that will check whether the sum of field values matches the sum total in the resulting field. An error message will be displayed in case of a mismatch.

To create a sum check rule, proceed as follows:

  1. Open the field properties dialog box (Context menu, Properties…) or the document template properties dialog box (template editor menu, Template>Document Template Properties…).
  2. Go to the Rules tab.
  3. Click the New Rule… button.
  4. From the list of rule types, select Check Sum and click OK.
  5. Enter the rule name and select the rule type: Warning or Error and click Next.
  6. Add to the list Summarize values of fields the fields the sum of whose values you want to check. Use the Add… button to add fields.
  7. Enable one of the options:
    • field – to compare the sum with the value of the resulting field. Select the name of this field using the Select… button.
    • number – to compare the sum with the specified number. Enter this number.
  8. Fractional part of compared values – enter the number of digits after the decimal point of the number to determine the accuracy of comparison.
  9. Enable the option At least two non-empty items to add up if you want at least two non-empty items to add up.
  10. Click Finish to complete rule creation. The rule name will be shown on the Rules tab.


Several field values comparison rule

This rule is meant for checking the values of several fields. It can be used if your document has several fields whose values must be identical. In the event that values do not match, a rule error message is displayed for the document.

To create a values comparison rule, proceed as follows:

  1. Open the field properties dialog box (Context menu, Properties…) or the document template properties dialog box (template editor menu, Template>Document Template Properties…).
  2. Go to the Rules tab.
  3. Click the New Rule… button
  4. From the list of rule types select Compare Fields and click OK.
  5. Enter the rule name and select the rule type: Warning or Error and click Next.
  6. Add to the list Fields to compare the fields whose values you want to compare. Use the Add… button to add fields.
  7. Select the match type:
    • Exact – for an exact value match;
    • Fuzzy – for a fuzzy value match. In this case fields will be compared without taking into account the letter case and whitespaces, and one error will be allowed for field values longer than 4 characters.
  8. Click Finish to complete rule creation. The rule name will be shown on the Rules tab.


Database check rule

A database check of field values involves comparing the recognized field value with values in the database table and is considered correct if the two values match. In the event of a mismatch, a rule error message is displayed.

To create a database check rule, proceed as follows:

  1. Open the field properties dialog box (Context menu, Properties…) or the document template properties dialog box (template editor menu, Template>Document Template Properties…).
  2. Go to the Rules tab.
  3. Click the New Rule… button
  4. From the list of rule types select Database Check and click OK.
  5. Enter the rule name and select the rule type: Warning or Error and click Next.
  6. Establish a connection with a database. The required settings can be configured in the Data Link Properties dialog box that opens when you click the Set… button
  7. Select a database schema and table from the list.
  8. Match the fields in the document template and the fields in the database table. To do so, click the Add… button. The Field Link dialog box will open. Select from the list a document template field and the corresponding field in the database table. Select the match type:
    • Exact – field values must match exactly.
    • Fuzzy – field values must match partially. Here, the program searches for the closest words where the least number of letters have to be added, removed or replaced to get the original word. The number of allowable errors depends on the length of the original word. Enable the option Copy field value from database if you want the document field value to be replaced with the corresponding value from the database.
    • Do not compare – comparison will not be performed, the field value will be replaced with a value from the database (option Copy field value from database enabled).
  9. Use the Add…, Edit… and Delete buttons to add, edit or remove links between fields.


Field values merge rule

This rule is meant for merging the values of several fields. Merged field values can be separated with a dot, space or other separators.

To create a values merge rule, proceed as follows:

  1. Open the field properties dialog box (Context menu, Properties…) or the document template properties dialog box (template editor menu, Template>Document Template Properties…).
  2. Go to the Rules tab.
  3. Click the New Rule… button.
  4. From the list of rule types select Merge Fields and click OK.
  5. Enter the rule name and select the rule type: Warning or Error and click Next. An error for this rule will be displayed if, for example, one of the fields included in the merger has been removed from the template.
  6. Add to the Fields to merge list the fields you want to include in the merger. Use the Add… button to add fields. Select Result field – a field that will store the merge result. Enter the required separator in the Separator window.
  7. By default, separators will be added between non-empty values. If you want the program to add separators at all times, even for empty field values, enable the option Put separators for empty field values.
  8. Click Finish to complete rule creation. The rule name will be shown on the Rules tab.

The merge result can be stored in any template field. For this purpose it is convenient to use fields without regions.

If you need to export only the value of the resulting field, and not the values of fields included in the merger, disable the Export field value option for such fields.


A rule set with the help of a script

ABBYY FlexiCapture 8.0 Professional allows you to configure the data check rule with the help of a script.

To create such a rule, proceed as follows:

  1. Open the field properties dialog box (Context menu, Properties…) or the document template properties dialog box (template editor menu, Template>Document Template Properties…).
  2. Go to the Rules tab.
  3. Click the New Rule… button.
  4. From the list of rule types select Script and click OK.
  5. Enter the rule name and select the rule type: Warning or Error and click Next.
  6. The Available Fields list shows a list of available objects. You can add and delete fields with the help of the Add… and Delete buttons. The values of fields with the Read Only option enabled are accessible only for reading, while the values of listed fields with this option disabled can be overwritten with the help of a script.
  7. Select the scripting language and enter the script text. By clicking the Edit… you can open a special window for script editing. The script can be checked by clicking the Check button.
  8. Click Finish. The created rule will be displayed in the list of the Rules tab.

Note: Procedures that you wish to use in more than one rule should be written to the global rule module, which can be accessed from the script editor. From the drop-down list on the toolbar of the script editor, select Rule Global Script Module. The global rule module can also be accessed from the template editor (Template>Script Modules>Rule Script…).

For details on creating rules using a script, see Using scripts in FlexiCapture 8.0


Sum in figures - sum in words

Important! This rule can only be set up if you select the Russian recognition language for your template (Template>Document Template Properties…).

The purpose of this rule is to compare a numerical sum with the corresponding sum in words written in Russian. If the two sums are not identical, a message is displayed saying that the rule returned an error.

To create a "sum in digits - sum in words" rule, proceed as follows:

  1. Open the field properties dialog box (Context menu, Properties…) or the document template dialog box (template editor menu, Template>Document Template Properties…).
  2. Go to the Rules tab.
  3. Click the New Rule… button.
  4. From the list of rule types select Sum in Figures - Sum in Words (Russian) and click OK.
  5. Enter the rule name and select the rule type: Warning or Error and click Next.
  6. Click the Select… button to the right of the Sum in figures field and then select the field of the template that contains the numerical sum.
  7. Click the Select… button to the right of the Sum in words field and then select the field of the template that contains the same sum in words.
  8. Click Finish to complete rule creation. The rule name will be shown on the Rules tab.


Configuring data export

To specify the method for storing data captured while processing hardcopy documents, the administrator configures export properties for each template. Four types of export are possible: to a file of a specified format, to a database, to a Microsoft SharePoint library, or export described with a script.

To configure export, in the document template editor window select the menu item Template > Export Settings… and set the required options in the Export Settings dialog box.

Specify the export type (file, database, SharePoint or script) in the Export type field. Subsequent settings depend on the value selected in this field.

Export to file
Export to database
Export to SharePoint
Export described with a script


Data export to file

To configure export to file, proceed as follows:

  1. In the document template editor window, select the menu item Template > Export Settings…
  2. Select the value Export to files in the Export type field.

  3. On the Destination:

    • Path – click Browse… to select the target folder for storing exported files.

    Important! If the path to the target folder contains a network disk, ensure that all the operators working with the project have access to this disk.

    • Create separate folder for each batch – enable this option if you want the export results of a single document batch to be stored in a separate folder.
    • Create separate file for each document – enable this option if you want the export results for a single document to be stored in a separate file. Otherwise, all documents will be exported to the same file.
    • Enable the option Overwrite existing files if you want to allow overwriting of export files.
    • Specify the rules to be used for naming export files. Click theFile Naming Options… button and select the desired options in the dialog box that opens. For details, see Rules for naming export files.

  4. On the Format tab select the file type (supported formats: CSV, DBF, TXT, XLS, XML) and configure additional export properties for the selected file type. You may also specify text encoding.

Microsoft Office Excel workbook (*.xls);
  • Select the desired version of Microsoft Excel (5.0/95; 97-2003; 97-2003 (compatibility with 5.0/95));
  • Select Preserve value type on export to export data by type. If you clear this option, all data will be exported as General;
  • Select Make separate files for repeatable items if you wish repeating fields and tables to be exported into separate files. See notes.
  • In the case of Microsoft Excel 5.0/95, select the desired code page.
XML Document (*.xml);
  • Select the additional data you wish to export (location of field, field types, errors, information about recognition quality);
  • If you select Preserve value type on export the XML schema in which field types are described will be preserved;
  • Select the desired encoding.
Comma-separated values file (*.csv);
  • Select Column separator;
  • Select Make separate files for repeatable items if you wish repeating fields and tables to be exported into separate files. See notes.
  • Select the desired encoding.
Text file (*.txt);
  • Select Column separator;
  • Select Make separate files for repeatable items if you wish repeating fields and tables to be exported into separate files. See notes.
  • Select the desired encoding.
DBase file (*.dbf);
  • Select Preserve value type on export to export data by type. If you clear this option, all the fields will become Text fields;
  • Select Make separate files for repeatable items if you wish repeating fields and tables to be exported into separate files. See notes.

  5. On the Images tab you can configure image storage parameters.

    • Enable the option Save document images if you want to save document page images.

    • Enable the option to data folder if you want images to be saved in the same folder to which you export data.

    • Enable the option to folder and specify the path to the folder if you want to save images in a different location.

    • Select an image storage format, quality, and color.
    • If you want to change the resolution of original images, enable the Change resolution to option and either enter the desired resolution or select it from the list.
    • If you selected PDF or PDF/A for storing images, you can create a searchable PDF file by selecting Create searchable PDF. You can select a language (or several languages, if your document uses more than one) that is different from the language specified in the document template. Click the Select…button to the right of the Language field and add the desired languages. If you wish to use the language specified in the document template, select As in template in the Language field.

The values of all the document fields will be exported to a file or files of the specified format.

Notes:

  1. By default, repeating fields (i.e., fields with multiple instances and tables) are exported into separate files for which a new folder is created. The name of the folder consists of the name of the export file. To disable export of repeating fields into separate files, clear the option Make separate files for repeatable items on the Format tab (the option is available for all formats except XML). In this case, when repeating fields will be exported into one export file and the program will add a new line for each element instance.
  2. Pictures are exported into separate files and are saved in the same folder where the repeating fields are saved. The name of the picture consists of the name of the field and the number of the document. You can specify the image file format on the Export tab of the Picture field properties dialog box. See Exporting pictures for details.


Export to database

To configure export to a database, perform the following:

  1. In the document template editor window select the menu item Template > Export Settings…
  2. Select the value Export to ODBC-compatible database in the Export type field.

  3. On the Connection tab:

    • Establish a connection with a database. Enter the connection parameters in the Connection string window or click the Setup Connection… button and configure the connection parameters in the Data Link Properties dialog box.
    • Select a schema from the dropdown list.
    • You can check the connection with the database by clicking the Test Connection button.

      Tip. OLE DB Provider for ODBC Drivers is recommended as OLE DB Provider. Selecting OLE DB Provider for SQL Server may cause problems when working with certain data types and long fields.

    • Match document template fields with the columns of database tables. To do so, click Setup Fields Mapping…
    • In the Field Mapping dialog box specify to what tables and table columns of the database the program will export field values of the document template.
      Details...

      The Field Mapping dialog box on the left contains document sections and fields. On the right, you have to match them to the tables and fields on the database. If the database already has tables for data export, then in the Field Mapping dialog box you need to select a database table for each document section and a database table column for each document field.

      If the database has no tables for export, you can create database tables automatically by clicking the Create Tables Automatically button. After you click it, the program will create tables with a structure that you need for export. Document fields will be matched to table columns.

      Field groups, fields with several instances and document tables are exported to separate tables in the database. A Primary Key and Foreign Key are used to link the main table to subordinate tables. In the main table, a primary key is added to each entry. In the subordinate table, each entry has a foreign key that records the value of the primary key of the corresponding entry in the main table. The primary and foreign keys are added automatically where required. You only need to specify the field to which the key has to be exported.

      The Show linked columns option is enabled by default. If you disable it, the list of available table columns on the right-hand side of the tree will not display columns for which export has already been configured.

  4. On the Images tab you can configure the image storage parameters.

    • You can save images to a database or file (in this case specify the target folder).

    • Select an image storage format, quality, and color.

    • If you want to change the resolution of original images, enable the Change resolution to option and either enter the desired resolution or select it from the list.

    • If you selected PDF or PDF/A for storing images, you can create a searchable PDF file by selecting Create searchable PDF. You can select a language (or several languages, if your document uses more than one) that is different from the language specified in the document template. Click the Select… button to the right of the Language field and add the desired languages. If you wish to use the language specified in the document template, select As in template in the Language field.

Notes.

  1. To disable saving images when exporting data to a database, in the Field Mapping dialog box select the NotExported value for the node containing the document image.
  2. Pictures are exported to separate files, whose format can be selected on the Export tab of the Picture field properties dialog box. See Exporting pictures. The name and path to the picture file can be stored in the corresponding field of the database (this can be set up when mapping fields).
  3. If the path to the target folder for images, pictures, etc. contains a network disk, ensure that all the operators working with the project have access to this disk.


Exporting data to a SharePoint document library

ABBYY FlexiCapture 8.0 allows you to export documents to a MicrosoftTM SharePoint document library. As a result, you will get a library of your document images with additional columns for each document filled out with value of certain fields.

Note:

  1. Administrator rights are required to set up export of data to SharePoint. Contributor rights are sufficient to export data to SharePoint.
  2. The SharePoint columns into which data is to be recorded must be of type Single line of text or Multiple lines of text.

To set up export to SharePoint:

  1. In the template editor, select Template > Export Settings…
  2. In the Export type drop-down list, select Export to SharePoint.

  3. On the SharePoint Connection tab:

    • Server URL (e.g. http://myserver) – enter the address of the server where your SharePoint libraries are located. Use the Connection Settings… button to set up authentication parameters (the Windows authentication parameters are used by default) and Proxy settings if required.
    • Below the server address, the connection status is indicated. If the server is disconnected, click the Connect to re-establish the connection.
    • Once you are connected to the SharePoint server, select a library from the Select SharePoint library list.
    • In the Content type field, select the type of content of your documents (supported starting from SharePoint 2007). In this case you will be able to export values to the fields corresponding to the selected content type.
    • Now specify which template fields should be exported and where. Click the Setup Fields Mapping… button and select the desired options in the Field Mapping dialog box. In this dialog box, you must establish a correspondence between template fields and SharePoint document columns. The template fields are displayed to the left. For each template field to be exported (with the exception of groups and tables), you can select a vacant SharePoint column.
    • Specify the file naming rules for export files. When exporting to SharePoint, these are document image files. Click the File Naming Options… button and select the desired file naming options. See Rules for naming export files for details.

  4. On the Images tab, select image storage options.
    • From the File type drop-down list, select the format in which you wish document images to be saved.
    • In the Quality field, select the desired image quality.
    • In the Color type field, select the desired color type for your images.
    • If you want to change the resolution of original images, enable the Change resolution to option and either enter the desired resolution or select it from the list.
    • If you selected PDF or PDF/A for storing images, you can create a searchable PDF file by selecting Create searchable PDF. You can select a language (or several languages, if your document uses more than one) that is different from the language specified in the document template. Click the Select… button to the right of the Language field and add the desired languages. If you wish to use the language specified in the document template, select As in template in the Language field.

After the export is complete, the documents will be saved in the specified SharePoint library, and each document will have a corresponding column filled out with the values from the specified fields. These values can be used for searches and document indexing.


Export described with a script

To configure export with the help of a script:

  1. In the document template editor window, select Template > Export Settings…
  2. Select the value Custom export (script) in the Export type field.
  3. Select the scripting language (JScript(r) or VBScript).
  4. Enter the script text in the editor window that opens when you click the Edit Script… button.

Note: Procedures that you wish to use in more than one export script be written to the global export module, which can be accessed from the script editor. From the drop-down list on the toolbar of the script editor, select Export Global Script Module. The global export module can also be accessed from the template editor (Template>Script Modules>Export Script…).

For details of describing export with a script see Using scripts in FlexiCapture 8.0


Rules for naming export files

During export, file names are generated automatically based on user-defined rules. You can specify file naming rules when setting up export to file or to SharePoint. Click the File Naming Options… button on the Destination tab when setting up export to file or on the SharePoint Connection tab when setting up export to SharePoint. The File Naming Options dialog box opens, where you must seelct the file naming options.

The following can be automatically appended to the name of an export file:

  • project name (select the Project title option)
  • batch name (select the Batch title option)
  • document template name (select the Document template name option)
  • document identifier, i.e. the value of the barcode from the separator page if barcode separators were used when adding the images. See Image processing options for details. To append document identifiers, select the Document identifier option
  • the values of index fields. See Index fields for details. To append the values of index fields, select Index field value and then click Select….to select the desired index field.

The File name template displays the template to be used for generating file names. If you wish to add some text string to future file names, type the desired text in this field.

For files names to be generated correctly, make sure that the file naming options you select won't result in empty file names. If this may be the case, the program will display a warning message.


Configuring data presentation in the document window

After the data has been recognized, the user will see it in the document window. By default, the data will be arranged sequentially, and their captions will correspond to the names of template fields.

However, you can change the presentation of data, arranging it conveniently or renaming elements. Data presentation can be edited in the bottom right corner of the template editor window.

You can change the caption of a field in the data form without changing its name in the document structure. To change a caption, open the field properties dialog box, click the General tab, and type a new name in the Caption field. This name will be used as the caption of the field in the data form. This feature may be useful for customizing column names, particularly in the case of FlexiLayouts where you cannot change the names of the fields.

Text font and size for field names and recognized data values can be specified on the Data Form tab of the template properties dialog box (Template > Document Template Properties…). You can also change size by right-clicking in the Data Form window and selecting the preferred size (Context menu item Text Size).

You can move, modify, and rename fields as well as change other field properties. To return to the original field presentation, select the appropriate Context menu item.

You can add any text, such as explanations. To do so, right-click in the Data Form window and select Insert Label Box from the Context menu. Enter your text, replacing the Label Text.


Document template properties

The basic template properties, such as its name, language and writing style, are configured with the help of the Template Wizard. Other properties are configured by default.

You can view and change the properties of a document template in the properties dialog box that opens when you select the menu item Template>Document Template Properties… in the document template editor window.

The dialog box has six tabs.

The General tab

On this tab you can rename the template and enter or edit its description. The Enabled option includes/excludes the template from document processing.

The Recognition tab

On this tab you can modify the general properties of document template recognition:

  • Language (locale) – it is important to specify the language used for correct recognition. This property determines both the input language and other local settings, such as the date format, currency, etc.
  • Writing style – the writing style can differ significantly in various countries, which is why it is important to specify the country to enable the program to select its typical writing style.

  • Specify the text type:

    ICR (hand-printed) – enable this option if most fields in documents will be completed by hand;

    OCR (printed) – enable this option if values in most fields will be printed. Select the print type from the dropdown list.

    Note. Recognition of handprinted text is not supported for all languages. For some languages this recognition type will not be available. See Supported recognition languages.

    Later you can change the text type for individual fields, while the type specified at this stage will be used by default.

  • You can enable one or several options in the Possible page orientation group so that the page will be turned 180°, 90° clockwise or 90° counterclockwise during automatic page orientation selection.
  • Click the Advanced options… to configure the correction of linear and nonlinear image distortions.

The Assembly tab

This tab is intended for configuring assembly rules for multipage documents.

In the simplest scenario, the template comprises a single section that occurs one time. If a template consists of several sections, this tab will show the list of their names. You can specify the number of repetitions of each section by modifying the numbers in the Min number and Max number columns.

  • Check equality of key fields – enable this option if you want to perform a check of document assembly based on key fields. Then select a key field for each section in the Key Field column. When you input documents, only documents with the matching values of key fields in each section will be considered correctly assembled. If their values do not match, an assembly error message will be displayed.
  • Enable annex pages – enable this option if you want to process documents with annexes.
  • Sometimes you may wish to disable the checks for the order of sections in the document (e.g. if the order of sections does not affect document assembly). Select the Disable sections order check to disable the checks. The program will still check that all the sections are present in the document, but their order will be ignored.

For details see Creating templates for multipage documents, Assembling pages into documents and Creating templates for documents with annexes.

The Rules tab

This tab is intended for actions with template rules. You can delete, edit or create new rules.

For details see Rule validation.

The Export tab

This tab shows the current export settings of the given template. To change the export settings, click the Change Export Settings… button

For details see Configuring data export.

The Data Form tab

On this tab you can modify the font outline and size for displaying recognized data.

The Data Text Settings group contains font settings for displaying recognized values.

The Label Text Settings group contains settings for displaying the explanatory text (field names).

For details see Configuring data presentation in the document window.


Properties of a document template section

You can view and change the properties of a document template section in the properties dialog box that opens when you select Properties… in the Context menu

The dialog box contains three tabs.

The General tab

On this tab you can change the name of a document section, enter or edit the description, enter or modify the minimum and maximum number of section repetitions in the document. The Enabled option includes/excludes the section template from document processing. For details about multipage documents and working with sections, see Creating templates for multipage documents.

The FlexiLayout tab

If a flexible description has been attached to the section, this tab shows its Name, Version and Comment. You can attach a flexible description by clicking the Load… button and detach it by clicking the Detach button.

For details, see Creating a template for processing flexible documents.

The Images tab
This tab lists the display parameters for the page images of the section. The following parameters are available: size, resolution, print size, and color mode.

The Rules tab

This tab is intended for actions with template rules. You can delete, edit or create new rules.

For details see Rule validation.


Importing a template for forms created with ABBYY FormDesigner

ABBYY FormDesigner is a convenient tool designed specifically for creating machine-readable forms. In addition to forms that meet all the requirements of automated document processing, designing forms with ABBYY FormDesigner also gives you a template that is almost completely ready for processing these forms in ABBYY FlexiCapture 8.0 Professional.

To obtain a document template for processing forms designed with ABBYY FormDesigner, proceed as follows:

In ABBYY FormDesigner:

  1. Create a form
  2. Publish it
  3. Export it to XML Form Definition format. You will get a file with the .xfd extension.

For details about creating, publishing and exporting forms see the Help Topics and user guide of ABBYY FormDesigner 8.0.

In ABBYY FlexiCapture:

  1. In the main program window, select the menu item Project > Document Templates…;
  2. In the Document Templates dialog box click the Import… button
  3. In the Open file for import that opens, select XML Form Definition Files (*.xfd) from the Files of type dropdown list and specify the path to the *.xfd file;
  4. The name of the new document template will appear in the templates list of the Document Templates dialog box.

After opening an imported template for editing, you will see that the marking of fields and static elements is already present in the image. All you need to do is edit field properties and configure export.


Creating templates for multipage documents

ABBYY FlexiCapture 8.0 Professional allows you to create templates for multipage documents. A template can comprise any number of sections, which can contain one or several pages. Templates of multipage documents require you to specify the order of sections, their number, and the rules used to assemble pages into documents.

After the Wizard finishes creating a new template, a simple template is created containing no sections. You can add pages to the template. When you add a page, its image is added to the image region in the template editor window, while fields created on it will be listed in the common fields list. In this case the document consists of a single section even though it may contain several pages.

You should add pages to a single section if the document has blocks continuing or recurring on several pages or tables continuing on the following page. The same method is used for loading a multipage flexible description (see Creating a template for processing flexible documents). All fields in a flexible description must belong to one section of a document template.

Another way is to add sections to the template. In the simplest scenario, one section contains one page. You can choose it if field sets on pages are independent. This method is more illustrative: the document structure shows which section the fields belong to, and you can also configure a custom structure of document assembly. Let us assume, for example, that your document contains three types of pages and pages of the first and third types may occur only once, while pages of the second type may occur 2 to 5 times. Then you must create three sections, one for each page type, and specify the order of sections in the document and the number of their possible occurrences.

A more complex scenario is a template comprising several sections, some of which include more than one page. For example, this may be a template consisting of fixed sections and a flexible multipage section. Or a template describing documents containing a two-sided sheet that can recur several times. Suppose you need to create a template for a document containing a title page (page A) and a certain number of two-sided sheets (page sequence – BCBC...). You would therefore create section A comprising one page A and section BC comprising two pages B and C. The document structure is configured as follows: section A is repeated once, followed by section BC, which is repeated 3 to 7 times.

For a template consisting of several sections, you can enable verification of key fields in addition to the order and number of recurring sections. To do so, you have to identify the key fields in each document section. Their values must be identical in different sections. An example of a key field is the last name of the person who completed the document, which must be written on each page, or a certain identification number.

When processing a batch, the program tries to assemble a sequence of pages into documents, checking assembly rules in the process. The program will perform a check of key field values. If key fields do not match on the pages of the same document, an error message will be displayed. Sometimes this happens because document pages have been misplaced during scanning, in which case changing the order of pages will be enough to fulfill document assembly rules. See Assembling pages into documents.

To add a page to a section, use the template editor menu item Template > Add Page… or the Add Page… item in the Context menu of the image. Then load the image of a new uncompleted page and select object types that have to be marked on the page automatically.

To add a new section, use the menu item Template > Add Document Section… in the template editor window. The section creation wizard will open to assist you with configuring all the required parameters. Following the instructions of the wizard, perform the following:

  • specify the section name.
  • load the image of an uncompleted page (scan or load from file) or load a flexible description file.
  • select object types that will be marked automatically.

A new section and fields it contains will be displayed in the document structure window.

To view the resulting document structure when creating a template, in the Document Structure window located in the right part of the document template editor window, go to the Pages tab. It shows the document structure in the page outline mode. On this tab you can change the number of section inclusions in a document (to do so, enter a new value – number or interval – in the square to the right of the section name), attach pages of an annex, change the order of pages in the section, and move pages from one section to another by simply dragging and dropping a page.

Show document structure window

To specify the sequence and number of recurring sections as well as the assembly rule, use the menu item Template > Document Template Properties… in the template editor window. On the Assembly tab specify the minimum and maximum number of inclusions of each section in the document (default value – 1). If you want to check the values of key fields, enable the option Check equality of key fields and select a key field in each section.

Sometimes you may wish to disable the checks for the order of sections in the document (e.g. if the order of sections does not affect document assembly). Select the Disable sections order check to disable the checks. The program will still check that all the sections are present in the document, but their order will be ignored.

Show the Assembly tab


Creating a template for flexible document processing

For bills, payment orders, and similar documents, you cannot create a template with fixed field locations. This is because their location, size and number may not be identical, such that a fixed template cannot be applied to all documents. In such documents, the program searches fields after pre-recognition of the entire page and creates a flexible description based on keywords and relative locations of fields. A special program module ABBYY FlexiLayout Studio 8.0 is intended for designing flexible descriptions (supplied together with ABBYY FlexiCapture 8.0 Professional). You will find detailed instructions for designing a flexible description in the Help Topics of ABBYY FlexiLayout Studio 8.0.

A flexible description is exported to an .afl file and then loaded in ABBYY FlexiCapture 8.0 Professional. We can use a flexible description for the entire template or as one of its sections. A flexible description may be multipage.

Attaching a flexible description

A flexible description can be attached at the stage of creating a document template. To do so, at the second stage in the Template Wizard add the document image and then enable the option Load FlexiLayout and enter the path to the .afl file containing the flexible description.

You may attach a flexible description from the window of the document template editor in the dialog box of the document template section.

  1. Select a document section. (If the document consists of a single section, in the Document Structure window open the Pages tab and select the name of the single section.) Right-click and select Properties… from the Context menu.
  2. Go to the FlexiLayout tab.
  3. Click Load…
  4. Select the required .afl file containing the flexible description.

After you attach a flexible description, the geometrical layout of fields will be displayed on the image. Now you have to configure field properties in the same way you do it for the fixed template. Specify recognition, verification, and export properties and set the required rules.


Creating templates for documents with annexes

ABBYY FlexiCapture 8.0 Professional lets you create templates for documents with annexes. Annexes are additional pages that can accompany each form. No template is applied to these pages, but they are taken into account during document assembly. For example, a loan application (fixed form) is submitted along with an income statement in a free-form style. This income statement can be processed as an annex.

To create a template for a document with an annex:

First method:

  1. Open the Pages tab in the Document Structure window (first part of the template editor).
  2. Enable the option Enable annex pages in document.
  3. Enter the number or range of pages of the annex in the box that appears to the right of the section name.
Show document structure window

Alternative method of creating a template for a document with an annex:
  1. Open the document template properties dialog box (Template > Document Template Properties… in the template editor window).
  2. Go to the Assembly tab.
  3. Enable the option Enable annex pages. The Annex pages line will appear in the sections list.
  4. Enter the minimum and maximum number of pages in the annex.
Show dialog

In order to save the text from the annex, when configuring export you need to specify image save options (on the Images tab of the Export Settings dialog box). If you select PDF searchable to save the image, text will be recognized and saved in a PDF searchable file.


Processing unstructured documents

ABBYY FlexiCapture 8.0 Professional can be used to process unstructured documents containing information presented in a free style, for example contracts, letters, orders, annexes. Unstructured documents with text or images separated by blank sheets or pages with barcodes are processed and exported to PDF searchable files or graphic files.

The processing of such documents normally involves converting documents to electronic form and running a search according to key field values.

If possible, the search for key fields (such as a contract number) in such documents is performed using a flexible description created with ABBYY FlexiLayout Studio. See Creating a template for processing flexible documents.

If automatic search of key fields is impossible, the operator may input their values manually. To do so, create a document template with one field (or several fields, if necessary), and enable the option Don't recognize (Key From Image field - will be entered manually) in the recognition properties of this field. When running the verification process the operator will then be able to input key field values manually.

You need to configure export to enable data storage: you can export key field values to file or database and save document images in a convenient format. To do so, on the Images tab of the Export Settings dialog box, enable the option Save document images and configure image saving parameters. You can save document images in graphic files or PDF searchable files.

Pay close attention when assembling pages into documents: with unstructured documents it can be fixed to determine to which document a particular page belongs. To automate the assembly of unstructured documents we recommend separating documents with blank sheets or pages with barcodes. When adding images to a batch (by scanning, adding from file, or creating an import profile) you then need to enable the option For images separated by and select the value blank pages or pages with barcode from the dropdown list, depending on which pages are to be used as separators. Pages are assembled into documents automatically: pages will be added to the current document until the next separator page. For details see Adding page images.


Editing and publishing a template

Templates can be edited in the document template editor window. Here, you can modify the layout of fields and static elements, edit their properties, rules, export settings, etc.

So as not to affect the work of other project members when editing a template, the program allows you to edit a local template copy while the latest published template version is being used for recognition. This mode enables administrators to modify and test templates locally, while operators can complete verification and export of documents recognized using the old version, even if the template has been modified considerably or deleted. The template that is being edited is not accessible for editing by other users. After editing is complete, the administrator can either publish the template, in which case the new version will become accessible for document recognition, or discard all changes.

To edit a template, proceed as follows:

  1. In the main program window, select the menu item Project>Document Templates…
  2. Select the template to be edited.
  3. Click the Edit… button in the Document Templates dialog box to start editing the template. A local version of the template will be copied to your PC. The template will become inaccessible for editing by other users.
  4. Make the required modifications in the document template editor window. Save the template.
  5. Test the template with several images. For template adjustments you can use test batches that work with the local version of the template.
  6. Click the Publish button in the Document Templates dialog box to publish the template. Following publication, the new template version will be used for the recognition of documents in the work batches. The template can now be edited by other administrators. To return to the original template, click Discard Changes.


Testing document templates

Before starting mass document input, templates must be tested. Testing is undertaken using documents added to test batches, since these batches work with the local template version. These batches are available from the Project>Test Batches List menu of the main program window. You can also access test batches from the template editor window by selecting Tools>Switch to Test Batch….

Important! Only the user who created a test batch can work with that test batch. If required, a working batch can be used as a test batch, in which case it will serve as a source of images for the test batch.

A template can be tested directly in the template editor, on the image that is being used to create the template. To start the test, select Document>Run Test. The data form will be displayed as in the case of document processing, and format errors, uncertain characters, and rule errors will be displayed.

You can use the Document>View menu to rearrange the windows and the Document>Verification menu to navigate the verification items, uncertain characters, and rule errors. Click the Finish Test button or select Document>Finish Test to stop the testing.

Note: In testing mode, changing a field border will not cause the program to recognize the field anew, as is the case when you change field borders in the document window.

To test your template on other images, select a test batch (you can do this by selecting Tools>Switch to Test Batch… in the template editor). Before the batch selection dialog box is displayed, the program checks the current template for errors. If the template is error free, it is saved and the batch selection dialog box is displayed. When you select a batch in this dialog box, the main program window will become active and automatically switch to the newly selected batch.

We recommend checking each template with at least 20 document images (if documents are completed by hand, it is preferable to use documents completed by different people).

Testing is required to determine whether:

  1. There is a sufficient number of marked anchors and identifiers for certain application of a template to an image.
  2. The field properties have been configured correctly.
  3. The rules have been configured correctly.
  4. Export has been configured correctly.

During testing, you need to perform the entire sequence of actions performed when processing documents.

If rule errors, incorrect field values, etc. were detected during testing, you must edit the template to correct them.

Only after elimination of all of the problems detected can you publish the template and begin mass input of documents.

Operating a configured project


Image import profiles

The operator begins by adding new images: these can be either hardcopy documents that need to be scanned, or existing electronic images.

Frequently repeated actions of adding images from the same source can be automated to enable single-click import. To this end, you need to create an image import profile. Additionally, you can configure the processing of incoming images and periodic adding of images in background mode. Once the required settings have been configured, at the click of a button images will be scanned or imported from a preset source, and received images will be processed (for example, despeckled). If required, you can change the source of image import or its settings.

Where import sources change frequently, you can create several import profiles and switch between them to avoid changing import source settings all the time.

Creating an import profile

To add an import profile, select the menu item Project > Image Import Profiles… in the main program window. In the dialog box that opens you can create new import profiles, edit, remove, and copy existing profiles.

You can create a new import profile with the help of a Profile Wizard that can be run from the Image Import Profiles dialog box by clicking New…. Select an import source, e.g. a scanner or a hot folder, at the first stage of the Wizard's operation.

Creating an import profile with a scanner
  1. Select Scanner as import source.

    Important! The scanner must be connected. To connect the scanner correctly, consult the documentation supplied with the scanner. Make sure you install all of the software supplied with the scanner.

  2. For the second step, you can configure the options for scanning and processing scanned images:
    • Style of the settings dialog – choose the method of interaction between the program and the scanner:
      • FlexiCapture Scanner Settings: in this case, the Scanner settings dialog box of ABBYY FlexiCapture is used for configuring scanning options. Click the Settings… button to configure scanning options. If you enable the option Show scanner settings before scanning, then the Scanner settings dialog box of ABBYY FlexiCapture will appear when you select this import profile before scanning.
      • Scanning Options: the dialog box of the relevant scanner driver will be used to configure scanning options. In this case, you will not be able to change scanning options when creating an import profile, but the scanner settings dialog will appear each time before you start scanning images.
    • Specify whether you want to scan one or several images in a single pass.
  3. For the next step, you can configure options for determining the principle of adding images to documents and image processing options. For details, see Image pre-processing options.
  4. For the final step, you can change the default name assigned to an import profile and enter your comment.

Important! If the administrator who created the import profile using a scanner wishes to allow other users of this computer with usual user rights (members of the Users group) to create or edit import profiles using a scanner, the administrator must give such users the right to modify the file %allusersprofile%\Application Data\ABBYY\FlexiCapture\Scanning\Profiles.

Creating an import profile with a hot folder
  1. Select Hot Folder as the import source. Specify the path to the hot folder by clicking the Browse… button

    Important! To be able to add images from the hot folder, the user must have read and write privileges for this folder.

  2. For the second step, set the image loading options:
    • Check Hot Folder every – enable this option and enter a time interval for the program to check the hot folder for new images automatically.

      Note. The program starts monitoring the hot folder when the user starts importing images using a profile with the Check Hot Folder every option enabled. The program stops monitoring the hot folder when the user quits the project or disables the Check Hot Folder every option in the profile properties.

    • In Batch Settings enable one of the options to specify the batch for adding new images.
      • Add images to current batch – enable this option to add images from the hot folder to the current batch;
      • Add images to specified batch – enable this option and select the batch name from the dropdown list in order to add images to a specific batch;
      • Create new batches for imported images automatically – enable this option to create batches for new images automatically.
    • In the dropdown list Number of files to add, select one of the values to specify the number of files to add to the specified or newly created batch:
      • According to description file – files will be added according to the description. To specify the name and type of the description file, click the Settings… button. For details see Description file.
      • All files – all files from the hot folder will be added.
      • Several files – several files will be added. To specify the number of files, click the Settings… button and enter the number or range of values.
      • Note: If you specify a certain number of files, e.g. 5, and there are only 4 files left in the hot folder, these files will not be imported. If you specify a range, e.g. 1-5, the remaining 5 files will be imported.
      • Single file – a single file will be added.
  3. For the next step, you can configure options for determining the principle of adding images to documents and image processing options. For details, see Image pre-processing options.

  4. For the fourth step, the Profile Wizard will ask you to specify options for hot folder cleanup after import: successfully imported images can be deleted or moved to a specific folder. Images that have been processed with errors can remain in the hot folder or also be moved to a specific folder. If you want to move images, specify folders to move them to.

  5. For the final step, you can change the default name assigned to an import profile and enter your comment.

The name of the created image import profile will appear in the dropdown menu of the import button. To perform image import using this profile, you only need to click the arrow to the right of the import button and select the item with the profile name.

You can also edit and create new import profiles from the Select Import Profile dialog box that opens when you select the Import Images… item in the dropdown menu of the import button.

Adding page images


Image pre-processing options

When new images are added to a batch, the program performs image pre-processing: the images are separated into documents, cleaned up from noise, rotated, etc.

You can select pre-processing options on the Image Preprocessing tab. The pre-processing options can be selected for:

  1. A project. In this case, the selected options will be used by default when new images are added manually to project batches. Select Project>Project Properties… in the main window and then click the Image Preprocessing tab.
  2. An import profile. These options will be used when this import profile is used to add new images. When creating a new import profile , select image pre-processing options at the Image Preprocessing stage.
  3. Images added manually. When adding images from a file, click the Image Preprocessing Settings… button in the Load Images dialog box.

Note: If images are scanned manually, no image pre-processing is done. Images are only pre-processed if an import profile is used to add images.

Users can select any of the following image pre-processing options:

  • Options that determine the principles of adding images to documents:
    • Automatically when template is applied – Select this option if you wish images to be separated into documents during matching (during recognition). In this case, images will not be separated into documents immediately when they are added and documents will be assembled only after the pages have been analyzed and recognized based on the structure described in the appropriate template. For details see Creating templates for multipage documents and Assembling pages into documents.
    • For every image file (For every image file),
    • Or a new document will be created when the program reaches a separator sheet (For images separated by).

    • To use blank pages as separators, select blank pages from the dropdown list.
      To use pages with barcodes as separators, select pages with barcode from the dropdown list. You can set the barcode type and/or value by clicking the Settings… button. If no barcode type or value is specified, any page with a barcode on it will be treated as a separator page. Otherwise, only pages with barcodes of the specified type or value will be used. If you do not need separator pages to be added to the batch, select Delete separator pages. If this option is not checked, separator pages are added to the batch and become the first pages of each document.

    Note You do not have to use separator pages to split pages between documents. Separator pages must be used only when the appearance of the page makes it impossible to determine whether it belongs to the previous document or to the next one. For example, this happens where a document comprises any number of identical pages, and the batch contains more than one such document.

  • Configure image processing options:
    • Despeckle images – removes noise from images;
    • Convert color and gray images to black and white – converts images to black-and-white;
    • Rotate images by – rotates images in the specified direction.
  • Deskewing options. By default, these options are selected and the program deskews newly added images relying on black squares and/or on vertical and horizontal separators. It is not recommended to turn off the deskewing options unless deskewing is done incorrectly (e.g. if the program interprets a stamp or a graph as a separator and attempts to deskew the image based on this faulty data).
    • Use black separators to correct skew – If this option is selected images are deskewed based on separator lines;
    • Use black squares to correct skew – If this option is selected, images are deskewed based on black squares.


Default export settings

Default export settings are used when exporting to a file or database without using template settings and also for templates for which no export settings have been configured.

Export settings are configured for each document template, but sometimes you may need to export to a different storage location, for example, for a test export. In this case the operator can use the export button menu and export to file or database with settings that differ from the template settings. See Exporting recognized data. Default settings are used when you export for the first time. If export settings are later modified, export settings used the last time will be saved.

Default settings for export to file or database can be configured on the Export tab of the Project Properties dialog box (main window menu item Project > Project Properties…). This tab shows the current default export settings. You can configure settings for export to file or database. To modify default export settings, click Change Export Settings… and configure export settings similar to export settings in the template (see Configuring data export).


Document batches

Documents submitted for processing are added to batches. The assignment of documents to batches is user-defined: you can process all documents in one batch, or form batches from documents added on the same date or from a batch scanned in a single pass.

To added batches to a project, select New Batch from the Context menu with a list of batches that appears when you right-click in the main window.

If a project contains no batches, the program will automatically create a batch when you attempt to add images.

Document page images are added by the operator during single-flow input. For details, see Adding page images.

To view documents added to the batch, open the batch by double-clicking on it. You can return to the batches list from the document window by selecting the main menu item Project>Work Batches List.

Work and test batches

Work batches are used to process documents. In operator mode, only work batches are available. The administrator uses test batches in the process of configuring templates. The difference between these batches is that a local template version is used to process documents from test batches, while a published template version is used to process documents from work batches. See also Administrator and operator modes and Editing and publishing a template.

You can open the list of document batches from the Project of the main program window. Work batches: Work Batches List, test batches: Test Batches List.


Index fields

To make it easier to search for and process documents, you can index documents using the values of any fields in a template. In the documents list in the main program window, in addition to the basic information you will then be able to output values of the index field for each document, sort documents by these values, and easily locate the required documents.

To index by field values, enable the option Index field for this field ( General tab in the document template editor).

To display the value of the index field in the document list:

  • In the main program window, open a batch of documents and enable the detailed documents list mode (button [image] on the toolbar).
  • Right-click in the table header region (column names) and select Customize… from the dropdown list.
  • In the Customize Documents Table dialog box, click the New… button.
  • In the Edit Column dialog box, click the Select… button to the right of the Index field. In the dialog box that opens, select one of the fields with the enabled option Index field. You can also enter any column name and specify the justification method.
  • Another column with the index field value will appear in the table. Click on it to sort documents by the value of the index field.


Operating a configured project

Before the operator can start processing documents, the project has to be configured by the administrator. Document processing can be configured in such a way as to require minimum involvement from the operator in the operations of image scanning and import, data recognition and export. In this case the main stage of the operator's work is checking and correcting recognized data – verification.

The operator's work is not affected by the type of document.

Document processing consists of four stages, and each stage has a corresponding button on the toolbar.

1. Adding images

The arrow on the right lets you select one of the image import options: Load Images…, Scan Images… or import images by selecting one of the configured import profiles. The button name changes depending on the selected action.

2. Recognition

Runs the document recognition process. The arrow on the right also lets you analyze documents or apply one of the templates.

3. Verification

Runs the verification process. With the help of the arrow you can also run the rule validation process.

4. Export

Starts data export according to settings configured in the template. You can also click the arrow to export data to file or database.


Adding page images

Document processing starts with adding document page images to the project – image import. To start work, select or create a new work batch for adding images (to create a batch, right-click in the main program window and select New Batch). Open the required batch by double-clicking it, or simply highlight it in the list.

Note. If you attempt to add an image to a project with no batches, a document batch will be created automatically.

There are several ways by which images can be added to a batch:

  1. Load previously saved images from files;
  2. Scan images;
  3. Import images using one of the image import profiles previously configured by the administrator (see Image import profiles.)

To select a method by which to add images, click the arrow to the right of the import button and select one of the menu items.

Adding images from file

To load images from file, select the Load Images… menu item or use the Ctrl+O shortcut. In the dialog box that opens, select the required image files and configure the image import options:

  • Create new document – new documents will be created for the added images
  • Add to current document – images will be added to the current, highlighted document.
  • You can also select image pre-processing options. Click the Image Preprocessing Settings… button and select the desired options in the dialog box that appears. For details, see Image pre-processing options.

Scanning images

To add images from a scanner, select the Scan Images… menu item. Choose a scanner, configure scanning options and scan images.

Adding images with the help of import profiles

If the administrator has configured import profiles, their names will be shown in the menu of the import button. To start importing images, you only need to select an item with the name of one of the import profiles.

After you select Import Images… the Select Import Profile dialog box opens. Select the import profile from the list and click the Import button to start importing images. If you are working in the administrator mode, from this dialog box you can also create a new import profile or edit existing profiles.

Background image import

Image import can be performed in the background mode if the appropriate import profile has been configured. Images from the hot folder are automatically imported into the system. The program checks the folder for new images at time intervals specified in the settings.

The program starts monitoring the hot folder when the user starts importing images using a profile with the Check Hot Folder every option enabled. The program stops monitoring the hot folder when the user quits the project or disables the Check Hot Folder every option in the profile properties. For details see Image import profiles.

Note. To add images from the hot folder, the user must have read and write privileges for this folder.


Configuring scanning options

Recognition quality largely depends on the quality of the scanned image. The image quality can be regulated by configuring the basic scanning options: image type, resolution, and brightness.

When you scan images via ABBYY FlexiCapture, there are two possible ways in which the program can interact with scanners via the TWAIN or ISIS drivers:

  • Via ABBYY FlexiCapture interface:
    in this case, scanning options are configured with the help of the ABBYY FlexiCapture dialog box Scanner settings; scanning options can be configured when creating an import profile with the Scanner specified as the import source.
  • Via the interface of the TWAIN or ISIS driver of the scanner:
    the dialog box of the relevant scanner driver is used to configure scanning options. This dialog box opens automatically when you select Scan Images… from the dropdown menu of the import button.

Basic scanning options

  • Image type – scanning in grayscale (256 shades of gray) is the optimum mode for the recognition system. When you scan in grayscale mode, the program selects the brightness level automatically.

    The black-and-white image type ensures a faster scanning speed at the expense of some letter information, which may affect recognition quality of documents with average and low quality print.
    If you need color elements of the document (pictures, color letters and color background) to be rendered in the electronic document with the color preserved, you need to select the color image type. In other cases use the grayscale image type.

  • Brightness and contrast values have to be selected so as to, first, preserve the anchor blocks and, second, make the images of blocks intended for recognition as clear and definitive as possible.
    In most cases the average brightness value of 50% is suitable.
    You may need to configure brightness additionally when scanning some documents in the black-and-white mode.
  • Resolution – the recommended resolution for processing forms filled out by hand is 300 dpi when scanning in the black-and-white mode and 200 dpi when scanning in the grayscale mode. The resolution of scanned forms must match the resolution of the template image.

Notes.

  1. Scanning with a resolution of 400-600 dpi instead of 300 dpi, or scanning in gray or in color instead of black-and-white can take considerably more time. With some scanner models, scanning with a resolution of 600 dpi takes 4 times as long as scanning with a resolution of 300 dpi. Scanning with a resolution below 200 dpi is not recommended.
  2. When you use the dialog box of the scanner driver, the options for configuring scanning settings can have different names depending on the scanner model. For example, brightness can be called threshold or be marked with a sun or black-and-white circle. The meanings of options are described in the documentation that comes with your scanner.
Scanning mode tips
  1. Scanning color background forms with a monochrome scanner. For the background to disappear during scanning, you need to equip the scanner with an appropriate light filtering lamp: for pink forms – a Red-Lamp, for green forms – a Green-Lamp.
  2. Scanning color background forms with a color scanner. For the background to disappear during scanning, you need to configure the filtration mode for the relevant color in the scanner settings.
  3. Scanning color background forms of light shades. If you are processing color forms of light shades, because of low color strength the background may disappear when you scan with a white lamp even without software filtration of color. As a rule, the method of scanning forms is chosen at the form development stage.
Brightness selection tips
  1. A scanned image must be readable (to view a scanned image, open it in the document window).
  2. If in the scanned image the letters are torn, light or thin:
    • Reduce brightness, increase contrast (make the image darker) or
    • Try to scan it in grayscale (in this case brightness will be selected automatically).
  3. If the scanned image has a dirty background; deformed, smeared or fused characters; dark, thick letters:
    • Increase brightness (make the image lighter) or
    • Try to scan it in grayscale (in this case brightness will be selected automatically).


Recognition

To activate recognition, click the Recognize button. The program applies a template after selecting it using anchors and identifiers and performs data recognition in document regions matching field regions in the selected template.

Image recognition can be performed automatically, as soon as images are added to the batch. To this end, you have to enable the option Recognize added images automatically (in the Tools menu of the main window, Options… item under the Document Processing tab).

The ratio of certainly recognized characters to the total number of characters is shown in the Confidence Level column. After recognition, the operator can run document verification.

If required, before recognition the operator can perform Preliminary analysis of images and template matching.


Preliminary analysis of images and template application

Before running recognition, you can analyze, or determine, which template can be applied to a particular page. To this end, select the main menu item Import&Recognition > Analyze or click the arrow to the right of the Recognize button and select Analyze. If a template can be applied, the page and the document it belongs to will be named accordingly. If none of the project templates matches the image, the page will remain unprocessed.

You can also apply a certain template to a page or to an entire document. In most cases, a template that has been correctly created in the program applies to pages automatically, but in some cases you may have to apply a template manually.

To apply a document template:

  1. Highlight the document;
  2. Select Match Template… in the Context menu of the document or the main menu item Import&Recognition>Match Template… or click the arrow to the right of the Recognize button and select Match Template…;
  3. In the Select Document Template dialog box that opens, select one of the templates and click OK.

If the selected template has been applied successfully, the document and its pages will be assigned names of the relevant template and its sections.

To apply a template to one of the pages:

  1. Highlight the page;
  2. Select Match Template… from the Context menu of the page or the main menu item Import&Recognition>Match Template…;
  3. In the Select Template to Match dialog box that opens, select one of the templates and click OK.

Where the template is applied successfully, the selected page will be assigned a name of the corresponding template section.


Verification of recognized data

Verification, or checking of recognized data, is the most labor-intensive part of the operator's work. For this reason the verification process in ABBYY FlexiCapture 8.0 Professional is organized so as to be as convenient as possible for the operator and to minimize the number of errors.

Where the program does not have absolute certainty about the accuracy of recognition of certain characters, it marks them as uncertainly recognized. The purpose of the verification process is to verify such characters, make sure that they have been recognized correctly, and correct them where necessary.

Rule validation is performed automatically. If field values satisfy rule conditions, these fields may be marked as certainly recognized and be excluded from the verification process. Where field values do no meet rule conditions, such fields are submitted for verification.

In the case of multipage documents, you must first check the assembly of pages into documents.

Then run the verification process by clicking the Run Verification… button or selecting the menu item Verification>Run Verification…. Verification is a two-stage process – group and field verification. If the template has no fields included in group or field verification (see Field verification properties), then the relevant verification stage will be omitted.

Group and field verification is followed by verification in the document window. The characters that were not confirmed at the earlier stages remain highlighted in red.

You can navigate among errors by clicking the buttons [image] and [image] on the main window toolbar. The program navigates all errors, including assembly errors, uncertainly recognized characters, rule errors, etc.

Assembling pages into documents
Group verification
Field verification
Verification in the document window
Rule validation


Assembling pages into documents

Pages are assembled into documents automatically. To this end, when creating a template for multipage document processing, you must describe the assembly principle. You can also configure verification of key fields.

The operator's task is to identify and correct possible document assembly errors.

Assembly errors can be corrected most conveniently in the page outline mode that gives the user a good view of page images and the documents to which they belong. You can switch to this mode by clicking the [image] button.

Note. You can change the scale of page outlines to view details by holding down the Ctrl key and turning the scroll wheel.

Note. The order of sections will not be checked if, when creating the document template, the Disable sections order check option was selected on the Assembly tab. The program will still check to make sure that all the sections are present in the document, but the order of sections will be ignored.

When creating a document template, you need to configure the document assembly rule: sequence and number of recurring document sections. You can also configure an assembly verification based on the values of key fields: in this case the values of key fields must be identical on all pages of the document.

Documents with assembly errors are marked with this symbol [image]. Error description is provided in red lettering under the name of the document template.

How to correct assembly errors

  1. Incorrect page sequence in a document

    There may be too few or too many pages, or document pages are not arranged in the correct sequence. To read a tip, place your cursor over the page marked with a red cross:

    To correct such errors, you can use your mouse to move the page both within a single document and from one document to another.

    Pages of several documents can be merged into a single document as follows:

    • Highlight documents to be merged (use Ctrl-Click to select several documents);
    • Right-click and select Merge from the Context menu.

    To split pages in a document and to place each one of them into a separate document:

    • Highlight the document in which you want to split pages;
    • Select Split from the Context menu.

  2. If the template requires verification of key fields for correct assembly of pages, the values of key fields will be displayed under the image of each page:

    • highlighted in gray – in the event of a match;
    • highlighted in red – in the event of a mismatch.

    Key fields may not match if they have been recognized or filled in incorrectly. Check the values of key fields. If the values of key fields still do not match, it is likely that such pages do not belong to the same document. If the page sequence is wrong, find pages with identical key fields and assemble them into documents as described in item 1.


Group verification

Group verification involves grouping character images recognized as having identical values and displaying them on the verifier screen, enabling the operator to easily identify and correct characters that deviate from the group.

Show group verification window

During group verification, the operator can view the context of the character being verified by selecting the Show Character Image item from the Context menu of the highlighted character or by pressing F2.

You can also activate a mode whereby the field containing the character will display when you point your cursor to the character being verified. To this end, select the menu item View>Field Image>Show Field Image in the verifier window or use the Ctrl+I shortcut.

Incorrectly recognized characters can be corrected as follows: highlight the character that does not match the group character and enter the correct value. This value, highlighted in green, will appear in the upper left corner of the character image.

If you still have doubts about the character's meaning, even after viewing its context, left-click the character: it will be highlighted with a red question mark.

Character status can be also switched using the Toggle button on the toolbar.

You can confirm correctly recognized characters by selecting Confirm from the Context menu. To confirm all characters at once, click the Confirm All button on the toolbar.

Note. When creating a template, you can modify verification options when configuring field properties. Characters in fields with the option Include in group verification enabled on the Verification tab in the field properties dialog box are submitted for group verification. See Field verification properties. For group verification, we recommend that you submit checkmarks and fields that can be filled only with numbers. Letters are better checked within the context of a field.


Field verification

Field verification is a verification mode intended for effective correction of errors of "well-recognized" fields, i.e. fields whose range of values is known or can be easily identified. An example of such a field is the country or city name: we know what values this field can have.

To decide how to correct a field, the user needs only view this field and know its range of values. Both input errors and field format errors can be corrected.

Show field verification window

To correct incorrectly recognized characters, you can use standard modes of text editors: Character paste and replace modes – you can switch between the two modes by pressing the Insert button on the keyboard.

The user reviews the result of recognition of each field in a sequence, correcting them if required and confirming them by clicking the Confirm Field button.

You need to correct values in the fields. If it is impossible to correct them, you can skip the field or defer verification by clicking the Postpone button in order to correct it later.

Note. Fields with the option Include in field verification enabled on the Verification tab in the field properties dialog box are submitted for field verification. See Field verification properties. For field verification, we recommend submitting one-line fields with a well-known range of values.


Verification in the document window

The document window also lets you check the accuracy of recognition and correct incorrectly recognized characters. The document window opens when you double-click the page name. The document window comprises the data region, the page image, and the rule errors region (if such errors are present). You can configure the window layout by clicking the Layout button. In the document window, the operator then sees not just character groups or separate fields but the entire document.

Show document window

In the data region, uncertainly recognized and questionable characters are marked with color, and fields with incorrect data types or unfulfilled rules are highlighted.

To confirm a field with uncertainly recognized characters, place the cursor on the field and press Enter.

Fields for viewing and editing recognized data can be arranged not only sequentially, but in any other way that is convenient for the user. You can change their arrangement in the document template editor, see Configuring data presentation in the document window.

You can navigate to the next error in the document window by clicking the buttons [image] and [image] on the main window toolbar. The program navigates all errors, including assembly errors, uncertainly recognized characters, rule errors, mismatches of key fields, etc.


Rule verification

Rule validation

Rules not satisfied are flagged: with a yellow flag [image] (warning) or a red flag [image] (error).

Rule errors are displayed in a separate window of the document editor, and documents with unfulfilled rules are marked with red flags.

In the case of unfulfilled rules, the operator must check the quality of data recognition. If it is a recognition error, the operator must correct it. If it is a form-filling error that cannot be corrected, the operator should not export the document. Documents with errors can be verified later by comparing them with hardcopy documents or other available sources.

To re-check data for rule errors, click the arrow to the right of the Run Verification… button and select the Re-check Rules menu item. If rules are satisfied after you have corrected field values, flags will be removed.


Exporting recognized data

After verifying recognized data, the operator exports the batch by clicking the Export button. Export is performed according to document template settings.

You can also export to file or database without using the export settings configured in the template.

Note. When exporting to file or database, you can use default settings or change them as you wish. Default export settings are configured in the project properties dialog box (main menu item Project>Project Properties…) on the Export tab. See Default export settings.

Export to file

  1. To export data to file, click the arrow to the right of the export button and select the Export to File… menu item
  2. Select the storage location and filename prefix (the full name will begin with this prefix followed by the document template name, batch name, and document number, if you save each document as a separate file (see item 3)
  3. Enable options:
    • Create file for each document – to store data of each document in a single file;
    • Overwrite existing files – to overwrite the export file;
    • Save document images – to save document images.
  4. To change other export settings, click the Settings… button. For details concerning export configuration, see Configuring data export.
  5. To save modified export settings, in the File Export Settings dialog box, click the Save to document template button and select a document template for which you want to save current settings.

Export to database

  1. To export data to a database, click the arrow to the right of the export button and select the Export to Database… menu item
  2. Establish a connection with a database. For details see Export to database.
  3. Go to the Images tab and configure image storage settings.

Notes.

  1. Documents whose data has been exported successfully may be deleted from the batch automatically. This will happen if the option Delete processed documents after export is enabled in the Options dialog box on the Document Processing tab.
  2. If you attempt to export documents with rule errors, the program will display an error message. Rule warnings will not prevent export.


Background mode

Whenever no operator control is required, documents can be imported, recognized, and exported in background mode.

To transfer a task into background mode, click the Background Mode button in the Adding images… dialog box (or in Recognizing… or Exporting…... dialog box).

The following tasks can run in background mode:

  • Loading images from a hot folder using the corresponding import profile.
  • Document recognition, if the Recognize added images automatically option is selected (Tools > Options…, Document Processing tab).

When switching into background mode, the [image] icon appears on the task bar. Clicking this icon opens the Background Tasks dialog box, which displays the list of tasks.

  • The tasks are executed either in the order in which they come in or based on the priorities set by the user (Set Priority… button).
  • Task execution is logged in a log file which can be customized by the user (Tools > Options…, Task Progress tab). Click the View Log button to view the log.
  • You can interrupt a task by clicking the End Task button.

The program may also inform you about the progress of background tasks in balloon pop-up messages displayed in the bottom right corner. The messages appear upon task start, error, and completion. See Additional options for details.


Appendix

Designing machine-readable forms
Hot keys
Using scripts in FlexiCapture 8.0
FormReader 6.5 and FlexiCapture 8.0 Professional rules compared
Supported recognition languages
Fonts for correct rendering of characters
Supported text types
Supported barcode types
Supported graphic formats
Export file formats
Alphabet used in regular expressions
Patents
Technologies provided by other companies


Creating a Machine-Readable Form

Questionnaires, social security forms, polling slips, and warranty cards are all different types of form used to collect different types of information.

How do forms differ from other types of document?

  1. A form always contains a set number of fields.
  2. Each field may contain only a certain type of information, e.g. a "Last Name" field contains only last names (if completed correctly) and a "Date" field contains only dates.

Forms are used when information needs to be gathered from a large number of respondents. Manual information gathering is a long and tiresome process and typos and errors are almost inevitable. Machine-readable forms are used to automate this process.

Automated forms processing consists of the following stages:

  1. Setting up the form-processing application (creating a template and specifying the fields to be recognized).
  2. Acquiring form images (scanning).
  3. Processing the form images (recognizing the images and validating the extracted data).
  4. Exporting the extracted data to an external information system.

Automated processing of forms is most effective for forms that satisfy the requirements discussed in this chapter.

Machine-Readable Forms
Elements of Machine-Readable Forms
Form Completion Methods
Types of Machine-Readable Form
Choosing the Right Type of Form
General Requirements for Machine-Readable Forms


Machine-Readable Forms

To read information on forms, a form-processing application has to:

  1. Determine the location of form elements.
  2. Separate field contents from field borders, text marking, backgrounds, explanatory text, etc.

Machine-readable forms enable the program to carry out these tasks.

For the first task to be carried out successfully, the forms must correspond to the form pattern or template, i.e. the location of all form elements must be identical on all forms of the same type.

For the second task to be carried out successfully, the forms must be designed with automated input in mind, i.e. so that the program can easily distinguish between the data to be captured and such non-recognizable form elements as field borders, text marking, backgrounds, or explanatory text.


Elements of Machine-Readable Forms

The following elements may be present on a form:

Text
Entry Field
Checkmark Field
Checkmark Group
Anchor
Line Separator
Form Identifier
Picture
Table
Group of Elements


Creating a Machine-Readable Form/Text

Text

Text is an element of a machine-readable form that contains descriptive text: form title, field names, explanations, etc.


Creating a Machine-Readable Form/Entry Field

Entry Field

An entry field is an element of a machine-readable form into which text is entered by the person completing the form. To facilitate text entry, entry fields may contain special text marking. Entry fields are usually accompanied by text describing or explaining the nature of the data to be entered.

Show me an entry field

Possible text marking types are listed in the table below.

Text over a Line | Text is entered over a line.
Letters in Frames | Letters are entered into conjoined frames.
Letters in Separate Frames | Letters are entered into isolated frames.
Letters on a Comb | Letters are entered over a comb.
Text in a Frame | Text is entered in a frame.
Text in a Frame with a Comb | Text is entered in a frame with a comb.


Creating a Machine-Readable Form/Checkmark Field

Checkmark Field

A checkmark field is an element of a machine-readable form (usually a square called a "check box") in which a mark should be made by the person who completes the form.

A checkmark field usually has an accompanying text which explains the use of the checkmark.

Show me a checkmark field

Possible shapes of checkmark fields are shown in the table below

Square
Circle
Underline

Other shapes are also possible, e.g. polygons, ovals, etc.


Creating a Machine-Readable Form/Checkmark Group

Checkmark Group

A checkmark group is an element of a machine-readable form that unites several checkmark fields of which only one must be checked. Checkmark groups are usually accompanied by explanatory text that explains the type of choice to be made.

Show me a checkmark group


Anchor

An anchor is an element of a machine-readable form that is used to facilitate the matching of form images with templates and to determine the orientation of forms during automated processing.

Before the program can start recognizing the contents of the form, it must match the form with its template. All machine-readable forms of the same type must conform to one template, i.e. the location of all form elements must be exactly the same on all forms. The program will attempt to match the form with its template according to the number and location of the anchors on the form. If the program manages to match the anchors on the form with the anchors on the template, it will know exactly where to look for fields containing data to be recognized.

Standard anchors are listed in the table below.

Black Square
Corner
Cross
Timing Mark
For the best possible recognition results, it is advisable to have standard anchors on the form, but in some cases line separators, explanatory text or barcodes can also be used as anchors. However, standard anchors are more reliable and should always be your first choice.


Creating a Machine-Readable Form/Line Separator

Line Separator

A line separator is an element of a machine-readable form in the shape of a vertical or horizontal black line.

Line separators are used to partition forms into several logical segments.


Creating a Machine-Readable Form/Form Identifier

Form Identifier

A form identifier is an element of a machine-readable form used to select the correct template if several templates have the same arrangement of anchors.

We recommend using barcodes as form identifiers.

A barcode is a set of vertical black and white lines of differing widths used to encode information.

Show me a barcode

Other elements on the form can also be used as form identifiers.


Creating a Machine-Readable Form/Picture

Picture

A picture is an element of a machine-readable form that should not be recognized and should be exported as an image file.

For example, the part of the form where a stamp or signature should be put is a picture.


Table

A table contains columns with same-type elements.

Table columns can contain elements of the following types:

  • text
  • entry field
  • date
  • number
  • checkmark

A table can contain a line with column headers.


Group of elements

Group of elements – an element of a machine-readable form that serves to combine several logically linked elements in a group.


Form Completion Methods

A form may be completed in one of the following ways:

  • By hand

  • Using a dot-matrix printer

  • Using a typewriter

  • At a printing shop (this includes forms completed using inkjet or laser printers with a resolution of no less than 300 dpi)

  • Using a combination of the above


Types of Machine-Readable Form

Machine-readable forms are designed for automated data input, i.e. the program should be able to easily distinguish between the data to be captured and the non-recognizable form elements, such as field borders, text marking, backgrounds, or explanatory text.

This can be achieved in one of two ways:

  1. The form must be designed in such a way as to make the field borders, background and text marking disappear after scanning, or

  2. The form must be designed in such a way as to make the field borders, background and text marking stand out clearly after scanning.

If the first approach is used, only the anchors, explanatory text, and entered data will remain on the form after scanning. As a result, the program will not have to separate the data from form elements, which will make recognition more easy and reliable.

In this case, the following types of forms are used: color dropout forms, black-and-white forms with raster backgrounds, black-and-white forms with raster borders, and black-and-white linear forms.

If the second approach is used, the anchors, explanatory text, entered data, as well as text marking and field borders will remain on the form after scanning. The program will look for information that is surrounded by field borders and text marking. If these form elements are missing, recognition quality will be adversely affected.
In this case, black-and-white linear forms are used.


Dropout Forms

Dropout forms have a light color background with white rectangles serving as character cells, checkmark fields, etc.

Gray dropout forms, whose background is gray, are an example.

Color dropout forms include forms on which only element borders are colored.

A character cell is a small rectangle into which only one character should be entered (e.g. a letter or a digit). The color of the background is very important because it must disappear during scanning. The background is usually light red-orange or green. For the list of recommended colors, see Recommended Colors for Dropout Forms.

Show me a dropout form

Ideally, all form elements, with the exception of the anchors, should disappear during scanning, leaving only the field contents to be recognized on the form image.

Explanatory text can be either retained (if printed in black) or filtered out together with the background. For explanatory text to disappear during scanning, it must be printed in the same color as the form's background but with greater saturation.

When deciding whether to print explanatory text in black or in background color, the following should be taken into account:

  • The size of the image file will be bigger if the explanatory text is retained.

  • There should be at least 1.5-2 mm of space between the explanatory text printed in black and other elements on the form. The gap between the explanatory text and the corresponding checkmark field must not be less than 2/3 of the size of the checkmark field. If the explanatory text is printed in background color, spaces between the text and other form elements are not so crucial.

Forms with explanatory text printed in black are more legible. We recommend printing explanatory text in black, especially if there are no anchors on the form.

Tip
When creating a template for a form with explanatory text printed in background color, be sure to scan the form in color or in grayscale mode to make the explanatory text and elements on the form clearly visible.

Dropout forms must be scanned using a color lamp or filter. The color of the lamp is selected depending on the color of the background.

Forms with red or green backgrounds must be scanned either on a:

  • Color scanner, using color filtering software
  • Non-color scanner, using a red or green lamp (hardware color filtering)
  • Non-color scanning, using a white lamp and a red or green filter (filtering quality in this case is much lower, as the background may not disappear completely, or field contents may be inadvertently removed), or
  • Non-color scanner, using a white lamp without any filters
    When scanning with a white lamp, some lighter backgrounds can be removed without filtering: the weak saturation of the background will ensure its disappearance during scanning. In this case, the color and saturation of the background must be selected by trial-and-error for each particular scanner.

Note: Many color scanners also have software filtering used to filter out blue colors. However, we do not recommend using shades of blue on your forms, as forms are likely to be completed using not only black but also blue ink. Field contents written in blue ink will disappear.

Choosing the right color

Red-orange colors are preferable to green because they represent the greatest possible contrast to blue, which results in better scanning and recognition quality if the forms are completed using blue ink.

In Recommended Colors for Dropout Forms You will find the recommended colors for form processing, i.e. those most likely to disappear during scanning with almost any scanner. A "dropout" color list for a particular scanner (in Pantone or any other format) can also be obtained from your scanner manufacturer/dealer.


Black-and-White Forms with Raster Background

Black-and-White Forms with Raster Backgrounds

Fields on such forms are simply white spaces (usually rectangles) on a raster background. The background is made up of individual dots. The recommended size of the dots is no more than 0.1 mm, with the distance between each dot about 1 mm. The size of the dots and distance between the dots are crucial, because a raster background is removed during despeckling rather than during scanning: the program will treat the dots as garbage and remove them. The dots should therefore not be glued together on scanned images.


Black-and-White Forms with Raster Borders

These forms have no background. All field borders (borders of character cells, checkmark fields and other form elements) are made up of raster lines, i.e. sequences of small black dots. Raster dot size is usually 0.39-0.5 pt. The recommended size is 0.39 pt, with the distance between the raster dots being at least five times greater than the dot size. The size of the dots and distance between them are crucial, because a raster background is removed during despeckling rather than during scanning: the program will treat the dots as garbage and remove them. The dots should therefore not be glued together on scanned images.


Black-and-White Linear Forms

These forms usually have no background. All field borders (character cells, checkmark fields and other form elements) are made up of solid black lines. Field borders do not disappear as a result of scanning or despeckling.

Note: Forms of this type must be completed very neatly. If the forms are completed carelessly, letters may overlap the field borders, thus reducing recognition quality. This is because whenever the field content overlaps the field borders, it is extremely difficult for the application to separate the borders from the text. Ideally, the entered text should not touch the field borders.


Choosing the Right Type of Form

In addition to the design and processing requirements for each type of form, other criteria also need to be taken into consideration when choosing a form type. These include printing costs and methods, the number of copies required, the resulting image size, scanning modes, the required degree of recognition accuracy, form processing speed, overall appearance of the forms, how neatly they will be completed, etc. The table below summarizes the advantages and disadvantages of each form type.

Criteria | Dropout Form |  | Black-and-White Raster Form |  | Black-and-White Linear Form
 | Disadvantage | Advantage | Disadvantage | Advantage | Disadvantage | Advantage
Design Complexity |  | Easy to design using any graphics editor. | Text editors offer limited tools for designing this type of form. The size of raster dots is crucial. |  |  | Easy to design using any graphics editor
Printing | Difficult to print large quantities of good quality forms in-house. |  |  | Easy to print in-house. |  | Easy to print in-house.
Printing Costs | If professional printing services are used, printing costs are higher compared with black-and- white forms. |  |  | If professional printing services are used, printing costs are lower compared with dropout forms. |  | If professional printing services are used, printing costs are lower compared with dropout forms
Image Size |  | Image file sizes are smaller. | Image file sizes are larger. |  | Image file sizes are larger. |
Scanning Mode | Only special scanning modes (color filtering) may be used. |  | Limited range of brightness and contrast settings. |  | Limited range of brightness and contrast settings. |
Processing Speed |  | Higher average processing speed. | Average processing time is longer, because the images need to be despeckled. |  | Errors are more likely if characters are glued together or overlap field borders. |
Recognition Quality |  | Very high recognition quality. |  | High recognition quality. | Recognition quality largely depends on how neatly the form has been filled out. | High recognition quality if the form has been filled out correctly.
Location of explanatory text |  | Explanatory text may be placed anywhere, including inside fields (as long it is printed using the same color as the form background). | Explanatory text and other form elements must be carefully arranged on the form. |  | Explanatory text and other form elements must be carefully arranged on the form. |
Form Appearance and Legibility | Low contrast settings of background and explanatory text may adversely affect form legibility. | Aesthetically pleasing | Less eye-catching design. Lower legibility. |  | Less eye-catching design. | Good legibility.
Neatness of Completion |  | Less sensitive to text overlapping field borders. | Small characters must be written very carefully and be large enough not to be removed as garbage. | Less sensitive to text overlapping field borders. | Very sensitive to text overlapping field borders. |


General Requirements for Machine-Readable Forms

Let us now consider the general requirements a form must meet in order to be machine-readable.

Form Background Requirements
Anchor Requirements
Checkmark Field Requirements
Text Marking Requirements
Element Positioning Requirements
Print Quality Requirements
Form Completion Requirements


Form Background Requirements

  1. Use dropout forms or forms with raster field borders if possible.
  2. Use a color that vanishes during scanning when creating a dropout form. See the list of recommended colors in Recommended Colors for Dropout Forms.
  3. Always ensure that a there is a space between the explanatory text and the field contents. In the case of dropout forms we recommend that any information be printed in the same color as the form background (except where explanatory text is used as an anchor instead of or in conjunction with black squares). By printing information in the same color as the background, you are then free to place it anywhere on the form, including inside the form fields.
  4. Do not use blue colors for forms which are to be completed by hand. The blue background may merge with the blue ink which is likely to be used to complete the forms. This will adversely affect recognition quality.


Anchor Requirements

  1. Standard anchors are recommended for use on machine-readable forms (i.e. black squares, corners, crosses). The recommended number of anchors is five: four anchors in each corner of the form (they should form a rectangle if imaginary lines are drawn between each pair) and one square on one of the sides of the imaginary rectangle.
  2. If, for some reason, standard anchors cannot be used, we recommend that the following combinations of elements be used as anchors:
    a) at least two vertical line separators and two horizontal line separators
    b) at least four text elements and one form identifier element
    c) other combinations are also possible
  3. The distance between the edge of an anchor and the nearest form element should not be less than 3 mm.
  4. The distance between an anchor and the edge of the page should not be less than 8 mm.
  5. Anchors should be printed using a dark color (black is recommended) so that they do not disappear during scanning.

In addition to the general requirements listed above, each anchor type has its own specific requirements:

Requirements for Black Squares

Black squares on the same form type should all be of the same size i.e. between 4х4 mm and 8х8 mm. The recommended size is 5х5 mm. Rectangles are not permitted.

Requirements for Crosses and Corners

  1. The size of an imaginary square that could be drawn around an anchor of this type must be between 4x4 and 8x8 mm. The recommended size is 5x5 mm.
  2. The size of anchors of one type must be the same within one form.
  3. All the sides of an anchor must be of equal size.
  4. The line thickness used for anchors on the same form must be the same and be within the range from 0.3 to 1 mm. The recommended thickness is 0.5 mm.

Requirements for Text (if used as anchors)

The font size should not be less than 7 pt (headers – no less than 14 pt).

Requirements for Line Separators (if used as anchors)

Line thickness should not be less than 1 pt. The recommended thickness is 1-1.5 pt.

Requirements for Barcodes (if used as anchors)

  1. The barcode width (the distance between the leftmost and the rightmost bars) should not be less than 47-50 mm.
  2. The barcode height should not be less than 12-15 mm (digits not included).
  3. The barcode orientation (direction of the bars) should be the same as the page orientation (it is recommended to scan the pages in the direction of the bars).
  4. The EAN 13 barcode format is recommended.
  5. The recommended distance between a barcode and any other form element is no less than 10 mm.


Checkmark Field Requirements

  1. The recommended field sizes are 3.5x3.5 mm, 4x4 mm, 4.5x4.5 mm, or 5x5 mm (if circular checkmark fields are used, they must fit into squares of recommended sizes).
  2. The recommended line width for checkmark field borders is 0.4 mm (irrespective of the size of the field).


Text Marking Requirements

Raster dot size:

  1. If the field borders are raster dots, the thickness of the raster line (i.e. the raster size) must be 0.39 pt.

  2. The optimal distance between the raster dots is five times their size.

    Important! The dots most likely to be glued together are dots in the corners of character cells.

Tip
If your software does not allow you to specify the distance between each raster dot, you must choose a line style which has dots located at sufficient distance from each other to prevent them from becoming glued together on the scanned image, and from remaining on the image after image despeckling. This is because big dots are not interpreted by the OCR system as garbage and are not removed from the image during despeckling.

Character cell size:

  1. The recommended size of character cells is 4х5 mm; the use of smaller sizes requires a greater degree of accuracy from those completing the form, and this is very difficult to achieve. Large character cells are also not advisable as this encourages the use of abnormally large letters. Ideally, the character cell size should reflect the average letter size.
  2. The distance between field lines should be no less than 2.5 – 3 mm, and the distance between two adjacent character cells in the same line should be no less than 1-1.2 mm.
Show me character cells

Line thickness:

  1. If the borders are black lines ("text in a frame", "letters in separate frames", or "letters in frames"), the line thickness should be 1 pt.
Show me black line borders

Combs:

  1. The recommended distance between the notches in a comb is 5 mm.
  2. The distance between the horizontal lines of two combs, when positioned one below the other, should be no less than 7.5 – 8 mm.
  3. The notch height must be around 0.9 – 1.2 mm.
  4. The thickness of both the notches and horizontal lines should be 1 pt.
  5. If frames with a comb are used, the minimum distance between frames should be 2.5 – 3 mm.
Show me a comb


Element Positioning Requirements

  1. Be sure to provide sufficient margins on your form, otherwise form elements located too close to the sides of the form may disappear during scanning, causing loss of data.
  2. The space between neighboring form elements should not be less than 2 mm.
  3. The space between a checkmark field and explanatory text should not be less than 2/3 of the checkmark field size.
  4. Make sure that the explanatory text does not overlap entry field borders.
  5. If explanatory text is printed in black ink, make sure there is a gap of at least 1.5-2 mm between the explanatory text and the other elements. This distance is not so crucial for explanatory text printed in the same ink as the background.


Print Quality Requirements

When you print blank forms, keep in mind the following requirements:

  1. The forms must be printed either professionally or using a printer. We recommend that color forms be printed professionally. If this is impossible, test the form color on a scanner before starting your print run.
  2. All the copies of the form must be printed using the same source document, as the field location on each form must be identical.
  3. The minimum margin size (i.e. the distance between the edge of the page and the nearest form element) should be at least 8 mm (12 mm margins are recommended).
  4. The permitted linear deviation of form elements is no more than 0.15% ( i.e. 0.5 mm for an A4-size page).
  5. If you print your forms using a printer, do not print them with a resolution less than 600 dpi.
  6. We recommend printing the forms with the help of the same scanner or different scanners of the same model.

Tip. We do not recommend copying machine-readable forms using copying equipment. Use of such equipment can slightly change dimensions of elements on the form or their arrangement, for example, table or entry fields borders may become thicker, or color depth may change, which might be detrimental to recognition quality.


Form Completion Requirements

Pens and ink

Forms are best completed neatly, in capital letters, using a black ball-point, gel or capillary pen (dark blue and violet are also acceptable). Soft-tip/felt-tip pens are not to be recommended as characters are likely to be very thick, causing recognition problems. Recognition is worst in the case of forms completed by pencil or using a light ink.

Letter size and style

For best recognition results, forms should be completed in block capital letters. The letters must fill out all character cells but must not overlap cell borders.

If character cells are visually marked on the forms (i.e. the following text marking types are used: letters in frames, letters in separate frames), the person filling out the form will be less likely to join the letters together.

The following text marking types present greater problems for recognition: text in a frame with a comb, letters on a comb. Here only the width of the character cell is predefined, while the absence of side borders makes joining letters together possible. In the case of the comb without a frame, the letters can be written either too small or too large.

If text in a frame or text over a line are used, there is no evident restriction on the width of the character cells. The letters may be joined together, which will have an adverse effect on recognition quality. In the case of text over a line there are no restrictions on character height. Therefore this marking type is not recommended for forms requiring a high degree of recognition accuracy.

Another important requirement is that the letters do not overlap the field borders. This is not so crucial for dropout or black and white raster forms, because field borders will disappear during scanning and despeckling. But if letters overlap field borders on black-and-white linear forms, this may result in a significant decrease in recognition quality.

Sample

To encourage correct completion, we recommend including a note on your form similar to the one below.


Recommended Colors for Dropout Forms

The table below contains dropout color samples and their corresponding Pantone numbers. These background colors disappear if forms are scanned:

  • Using any scanner
    Show me the white lamp table
  • Using a color scanner with software red color filtering or using a non-color scanner with a red lamp/red filter
    • Show me the red lamp table


Hot keys

This section contains a list of hot keys used in various program windows. Using hot keys can save you time and makes using the program easier and more convenient.

Hot keys in the main window
Hot keys in the template editor window
Hot keys in the group verifier window
Hot keys in the field verifier window


Hot keys in the main program window

Menu | Command | Hot keys
File | New Project… | Ctrl+Shift+N
 | Open Project… | Ctrl+Shift+O
 | Save | Ctrl+S
 | New Batch | Ctrl+N
 | Load Images… | Ctrl+O
 | Scan Images… | Ctrl+K
 | Import Images… | Ctrl+I
 | Export | Ctrl+U
 | Export To File… | Alt+Shift+S
 | Export To Database… | Alt+Shift+D
 | Exit | Alt+F4
Edit | Undo | Ctrl+Z
 | Redo | Ctrl+Y
 | Cut | Ctrl+X
 | Copy | Ctrl+C
 | Paste | Ctrl+V
 | Delete | Del
 | Select All | Ctrl+A
 | Find… | Ctrl+F
 | Find Next | F3
 | Go To > Next Document | Ctrl+D
 | Go To > Previous Document | Ctrl+Shift+D
 | Image > Despeckle | Ctrl+Alt+K
 | Image > Invert | Ctrl+Alt+V
 | Image > Rotate 90° Clockwise | Ctrl+W
 | Image > Rotate 90° Counter-Clockwise | Ctrl+Shift+W
View | Show Document Details | Alt+1
 | Show Documents as Thumbnails | Alt+2
 | Show Documents Window in Image Mode | Ctrl+1
 | Show Documents Window in Data Mode | Ctrl+2
 | Page Image Scale > Zoom In | Ctrl+Num+
 | Page Image Scale > Zoom Out | Ctrl+Num-
 | Full Screen | F11
 | Open Properties Dialog of Highlighted Object | Alt+Enter
Import&Recognition | Import Images… | Ctrl+I
 | Analyze | Ctrl+E
 | Match Template… | Alt+Shift+E
 | Recognize | Ctrl+R
Verification | Run Verification… | F7
 | Next Item to Verify | F4
 | Previous Item to Verify | Shift+F4
 | Next Assembly Error | F5
 | Previous Assembly Error | Shift+F5
 | Next Uncertain Character | F8
 | Previous Uncertain Character | Shift+F8
 | Next Rule Error | F6
 | Previous Rule Error | Shift+F6
Project | Work Batches List | Ctrl+B
 | Test Batches List | Ctrl+Shift+B
 | Document Templates… | Ctrl+T
 | Image Import Profiles… | Ctrl+Shift+I
Service | Re-analyze | Ctrl+Alt+E
 | Re-recognize | Ctrl+Alt+R
 | Re-check Rules | Ctrl+F6
Help | Display Help | F1
General commands | Open Document Window (if a document or page is highlighted) | Enter


Hot keys in the template editor window

Menu | Command | Hot keys
Template | Add Page… | Ctrl+P
 | Add Document Section… | Ctrl+Alt+S
 | Document Template Properties… | Ctrl+T
 | Save | Ctrl+S
 | Close | Alt+F4
Edit | Undo | Ctrl+Z
 | Redo | Ctrl+Y
 | Cut | Ctrl+X
 | Copy | Ctrl+C
 | Paste | Ctrl+V
 | Delete | Del
 | Delete Region | Shift+Del
 | Select All | Ctrl+A
 | Select by Type… | Ctrl+Shift+A
 | Create Text Field | Alt+Shift+T
 | Create Checkmark Field | Alt+Shift+C
 | Create Checkmark Group Field | Alt+Shift+M
 | Create Barcode Field | Alt+Shift+B
 | Create Picture Picture | Alt+Shift+P
 | Create Table Field | Alt+Shift+L
 | Create Group Field | Alt+Shift+G
 | Group | Ctrl+G
 | Ungroup | Ctrl+Shift+G
 | Copy Text From Image… | Ctrl+Alt+C
 | Image > Despeckle | Ctrl+Alt+K
 | Image > Invert | Ctrl+Alt+V
 | Image > Rotate 90° Clockwise | Ctrl+W
 | Image > Rotate 90° Counter-Clockwise | Ctrl+Shift+W
View | Switch to Static Elements Mode | Ctrl+1
 | Switch to Field Marking Mode | Ctrl+2
 | Open/Close Document Structure Window | Alt+F1
 | Switches the Document Structure window to the Fields mode | Alt+1
 | Switches the Document Structure window to the Pages mode | Alt+2
 | Open/Close Data Form Window | Alt+F2
 | Page Image Scale > Zoom In | Ctrl+Num+
 | Page Image Scale > Zoom Out | Ctrl+Num-
 | Open Properties Dialog of Highlighted Object | Alt+Enter
Document | Run Test. | Ctrl+R
Service | Autodetect Objects… | Ctrl+D
 | Check Document Template | F9
 | Match Section | Ctrl+E
Help | Display Help | F1

Image Marking Window

Command | Hot keys
Activate Selection Tool | Esc
Automatic Object Detection | Ctrl+Shift+D
Create Anchor | A
Create Separator | S
Create Anchor Text | X
Create Anchor Barcode | D
Create Text Field | T
Create Checkmark | C
Create Checkmark Group | M
Create Barcode | B
Create Picture | P
Create Table | L
Create Field Group | G
Create Region for Field Without Region | R
Create Unrecognizable Region | O
Create Table Column | U
Add Separator to Table | F
Delete Table Separator | E
Adjust Region | Ctrl+Alt+A
Suggest Name | Ctrl+Alt+N
Get Name From Image… | Ctrl+Alt+I
Detect Marking Type | Ctrl+Alt+D

Document Structure Window

Command | Hot keys
Show Image of Detected Field | Enter
Rename Detected Field | F2
If a table field is highlighted: |
Add Column With Text | Alt+Shift+T
Add Column With Checkmarks | Alt+Shift+C
Add Column With Barcodes | Alt+Shift+B
Add Column With Pictures | Alt+Shift+P
If a checkmark group is highlighted: |
Add to Checkmark Group | Alt+Shift+C


Hot keys in the group verifier window

Menu | Command | Hot keys
Verification | Confirm All | Enter
 | Postpone All | Ctrl+Enter
 | Toggle | Space
 | Next Page | Page Down
 | Previous Page | Page Up
 | Close | Alt+F4
Edit | Undo | Ctrl+Z
 | Redo | Ctrl+Y
 | Select All | Ctrl+A
View | Field Image > Show Field Image | Ctrl+I
 | Field Image > On Top | Alt+1
 | Field Image > On Bottom | Alt+2
 | Field Image > Image Scale > Zoom In | Ctrl+Num+
 | Field Image > Image Scale > Zoom Out | Ctrl+Num-
 | Show Character Image | F2
 | Full Screen | F11
Help | Display Help | F1
Local Symbols Menu | Show Character Image | F2
 | Confirm | Ctrl+E
 | Postpone | Ctrl+R
 | Reset | Esc


Hot keys in the field verifier window

Menu | Command | Hot keys
Verification | Confirm Field | Enter
 | Postpone | Ctrl+Enter
 | Next Uncertain Character | F4
 | Previous Uncertain Character | Shift+F4
 | Next Field | Page Down
 | Previous Field | Page Up
 | Close | Alt+F4
Edit | Undo | Ctrl+Z
 | Redo | Ctrl+Y
 | Cut | Ctrl+X
 | Copy | Ctrl+C
 | Paste | Ctrl+V
 | Delete | Del
 | Select All | Ctrl+A
 | Insert Line Break | Shift+Enter
 | Merge Characters | Ctrl+M
View | Field Data > Recognized Text | Alt+F1
 | Field Data > Character Images Cutting | Alt+F2
 | Field Image > Show Field Image | Ctrl+I
 | Field Image > On Top | Alt+1
 | Field Image > On Bottom | Alt+2
 | Field Image > Image Scale > Zoom In | Ctrl+Num+
 | Field Image > Image Scale > Zoom Out | Ctrl+Num-
 | Show Character Image | F2
 | Full Screen | F11
Help | Display Help | F1


Using scripts in FlexiCapture 8.0

This section describes how to use scripts to create custom rules, to run an export, and to create export handlers in FlexiCapture 8.0.

Two scripting languages are supported – JScript® and VBScript.

Specifics of usage

In VBScript it is mandatory to use the keyword Me when referring to methods and fields of a current object (the alternative of "this" in C++ and Java). A current object is a verifiable document unit (a unit containing a rule) for rules and an exportable document for export.

Me.CheckSucceeded = False

In the same situation in JScript you can omit "this":

this.CheckSucceeded = false; CheckSucceeded = false;

Errors such as "Method or Property not Found" are output during script runtime:

ChecckSucceeded = false; // runtime error

Syntax errors are output when a script is saved:

CheckSucceeded +++ false; // syntax error

Custom functions

The script editor allows users to create their own functions and procedures and then to call them from the code of the rules or from the code of export.

Custom functions can be created in one of the global modules – either in the export module or in the rules module. You can select the desired module in the script editor.

All functions within one module must be written in the same language. The core code of a rule or export can be written in a language different from that used in the corresponding global module.

For example, from the code of a rule written in VBScript you can call a function contained in the global module that is written in JScript.

Functions can only be called from "their own" modules. This means that from the code of rules you can only call functions contained in the global rules module, and from the code of export you can only call functions contained in the global rules module. Otherwise, you will get an error during execution.

Functions are called as follows:

[VBScript]

result = Rules.SomeFunction( param1, param2 ... )

Export.SomeFunction param1, param2 ...

[JScript]

result = Rules.SomeFunction( param1, param2 ... );

Export.SomeFunction( param1, param2 ... );

Script execution timeout

The default timeouts are 10 seconds for rules and 1 minute for export.

To change the default timeouts, change the corresponding values in the registry.

For rules:
HKEY_CURRENT_USER\Software\ABBYY\FlexiCapture\8.0\Controller\ScriptSupport\DefaultScriptTimeout

For export:
HKEY_CURRENT_USER\Software\ABBYY\FlexiCapture\8.0\Controller\ScriptSupport\ExportScriptTimeout

The value of a timeout in the registry is specified in milliseconds. If a script takes longer to execute than the specified timeout, it will be terminated. For rules, an error message is returned "Script execution timeout". For export, a similar message is displayed in the batch window in the Processing Notes column.

Using scripts to create rules
Using scripts to describe export
Migrating from FormReader 6.5 rules and export to FlexiCapture 8.0 Professional scripts


Using scripts to create rules

Rules based on scripts (ScriptRule) enable users to create complex custom algorithms for document validation and normalization using the standard scripting languages JScript® and VBScript.

Note: Some scripts created using the first release of ABBYY FlexiCapture may not function in the second release. This is because field values have become typified in the second release, whereas text values were used in the first release. To solve the problem you can a) change the Value property to Text for scripts that work with the text of a field, or b) change the use of the Value property so that it conforms to its current description. See the properties of the Field object.

Object model

A rule should be viewed as a method of validated document unit, i.e., the reference "this" or "Me" refers to the object [Validated Document Unit] to which this rule currently applies.

A rule can perform document validation based on the values of one or more fields. In the event of error output, it is required to set an error flag and, if required, specify the error description, focus field and proposed replacement variants. A rule can also mark a certain field as certainly recognized.

A rule can perform document normalization by changing field values to a normal appearance or adding information (for example, date of last processing).

Validated document unit

Properties:

Name | Type | Access | Description
CheckSucceeded | Boolean | Read/write | Error flag. True – there is no rule error, False – there is a rule error
ErrorMessage | string | Read/write | Error message
FocusedField | [Field] | Read/write | Focus field
Field("AliasName") [Field] Read only Field with the alias AliasName

An alias is a special name for a field that is used when accessing the field from the code of a rule. Therefore, renaming a field will have no effect on the use of the field in the code of the rule.

Aliases also allow you to use in one rule fields with identical names (e.g. fields with identical names from different sections).

An alias may be either identical to the name of the field or different.

When you add a field to a rule, an alias is generated automatically for it, but you can modify or change any aliases generated by the program.

Fields | [Collection of fields] | Read only | A collection of fields participating in the rule
Document | [Document] | Read only | A document containing a validated unit

Where the validated document unit is a field, it supports all properties and methods belonging to the [Field] object. If the validated unit is not a field, you cannot refer to these properties and methods, as this will cause an error.

Field

Properties:

Name | Type | Access | Description
Value | Variant | Read/write | Typified value of the field. For numerical fields, contains a floating point number. For "Date/Time" fields, contains the value of the date (VT_DATE). For "Currency" fields, contains the sum value (VT_CY). For checkmarks, contains a Boolean value. When assigning values to a checkmark, you can use both Boolean true/false values and text "True"/"False" values (case sensitive). The value of a checkmark group is a list of the names of the selected checkmarks separated by a semicolon (;). If no checkmarks have been selected, the string will be empty. To change the value of a checkmark group, assign the "true" value to those checkmarks that you need to select and "false" to the ones you don't need to select. At the same time, all of these checkmarks must be included in the rule. For groups, tables and pictures – empty string. You cannot assign values to groups, checkmark groups, and tables. An attempt to assign a value to these types of fields will cause an error.
Text | string | Read only | The text value of a field. Coincides with Value for all types of field except checkmarks. In the case of checkmarks, the value of this property is determined based on the field properties selected on the Data Type tab. Important! The value of the Text property does not change when the rule is applied, i.e. changing the Value property in the code of the rule will not simultaneously change the Text property. In the sample below, the values of oldText and newText will be the same: Dim oldText, newText oldText = me.Field("FieldName").Text me.Field("FieldName").Value = newValue newText = me.Field("FieldName").Text
Name | string | Read only | Field name
IsVerified | Boolean | Read/write | A flag showing whether the field has been verified or not. A field flagged as verified will be ignored during verification and when counting the characters for which verification is required. This property is set to true, if the user confirmed the field during verification or if some rule has set the value of the property to true. Otherwise, the value of the property is false.
IsCertain | Boolean | Read/write | Field certainty flag. A field marked as certainly recognized will be ignored during verification and calculation of characters that need verifying. This property is obsolete and has only been retained for backward compatibility. Please use the IsVerified property instead.
IsMatched | Boolean | Read only | A flag showing whether a field matches or not.
Items | [Collection of fields] | Read only | In case of a multiple field a collection of its instances. If a field is not multiple – 0.

Methods:

Name | Parameters | Description
Suggest( text ) | Variant | Adds a hint with a suggested field value. To set several variants, call up the method sequentially the required number of times. The value of the hint you add must correspond to the type of the field (i.e. it must be a number for numerical fields, date for "Date/Time" fields, etc.).

Collection of fields

Properties:

Name | Type | Access | Description
Count | Integer | Read only | Number of fields in a collection
Item(index) | [Field] | Read only | Index field. Index can have values from 0 to Count – 1

Document

Properties:

Name | Type | Access | Description
Pages | [Collection of pages] | Read only | Collection of document pages.

Methods:

Name | Parameters | Description
Property( name ) | name – property name | Returns the value of the queried property. Type of value returned – Variant.

Document properties that can be set using the Property method (the document properties that this method gets are read-only):

Value | Type | Description
"TemplateName" | String | Template name
"TotalSymbolsCount" | Integer | Number of characters
"UncertainSymbolsCount" | Integer | Number of uncertainly recognized characters
"RecognizedSymbolsCount" | Integer | Number of recognized characters
"Comment" | String | Comment
"Created" | Date | Created on
"CreatedBy" | String | Created by
"Recognized" | Date | Recognized on
"RecognizedBy" | String | Recognized by
"Modified" | Date | Last modified
"ModifiedBy" | String | Modified by
"ProcessingErrors" | String | Errors
"ProcessingWarnings" | String | Warnings

Collection of pages

Properties:

Name | Type | Access | Description
Count | Integer | Read only | Number of pages in the collection.
Item(index) | [Page] | Read only | The page with index index. Index assumes values from 0 to Count-1.

Page

Provides information about the pages of the document being validated.

Properties:

Name | Type | Access | Description
ImageSourceType | String | Read only | The type of image source. May assume values "File" or "Scanner."
ImageSource | String | Read only | Image source. In the case of a file, this is the name of the file with the full path. In the case of a scanner, this is the name of the scanner.
ImageSourcePageNumber | Integer | Read only | The number of the page inside the image source. Page numbers start from 0. Only for files.

Sample scripts for creating user rules


Sample scripts for creating custom rules

Automation rule

This example demonstrates a table data check. The rule checks whether the table data matches the value in the resulting field. The table has columns with prices and quantities of certain goods. The rule has been written at the level of a section containing the table and the resulting field.

[VBScript]

dim autoRule

set autoRule = CreateObject( "AutomationRule.CheckDoc" )

autoRule.CheckResult me.FIELD("cost"), me.FIELD("number"), _

me.FIELD("Result"), me

[JScript]

var autoRule = new ActiveXObject( "AutomationRule.CheckDoc" );

autoRule.CheckResult( Field("cost"), Field("number"),

Field("Result"), this );

Code of an ActiveX component

The code provided here is a CheckDoc class code from the AutomationRule project, which is used in the scripts mentioned above.

Option Explicit

' Checks whether table data matches the result

' column1 - price column

' column2 - quantity column

' resultField - resulting field (<Total> or equivalent )

' docObj - document node being checked

Public Sub CheckResult(ByRef column1 As Object, ByRef column2 As Object, _

ByRef resultField As Object, ByRef docObj As Object)

On Error GoTo err_h

Dim costItems As Object, numItems As Object

    Dim curCost As Double, curNum As Long, sum As Double

Dim result As Double

Dim i As Long

Set costItems = column1.Items

Set numItems = column2.Items

' summing up table data

sum = 0

For i = 0 To costItems.Count - 1

curCost = costItems.Item(i).Value

curNum = numItems.Item(i).Value

sum = sum + curNum * curCost

Next

' comparison accuracy – result rounded to the 2nd digit after the decimal point

result = resultField.Value

If (Round(result, 2) = Round(sum, 2)) Then

docObj.CheckSucceeded = True

Else

docObj.CheckSucceeded = False

docObj.ErrorMessage = "Table data does not match the resulting value"

resultField.Suggest sum

End If

Exit Sub

err_h:

docObj.ErrorMessage = Err.Description

docObj.CheckSucceeded = False

End Sub

Search in the variants list

The rule code provided below checks whether the field value matches one of the values in the list. If not, a rule error flag appears, and the field receives a list of suggested values. Depending on the check result, the field is marked as certainly or uncertainly recognized.

[VBScript]

'remember field value

Dim fieldValue

fieldValue = me.Field("Field6").Value

'create list of values for check

Dim list(5)

dim i

for i = 0 to 4

list(i) = "2" & i

next

dim success

success = false

'check whether field value matches values in the list

for i = 0 to 4

if list(i) = fieldValue Then

success = true

exit for

end if

next

'depending on the check result, set a corresponding certainty status for the field

me.Field("Field6").IsCertain = success

'fill the list of suggestions for the field – a suggestion can be any of the

'suitable values

if success = false then

for i = 0 to 4

me.Field("Field6").Suggest( list(i) )

next

end if

'place an error flag

me.CheckSucceeded = success

[JScript]

// remember field value

var fieldValue = Field("Field6").Value;

// create list of values for check

var list = new Array(5);

for( i = 0; i < 5; i++ ) {

list[i] = "2" + i

}

var success = false;

// match field value against values in the list

for( i = 0; i < 5; i++ ) {

if( list[i] == fieldValue ) {

success = true;

break;

}

}

// depending on the check result, set a corresponding certainty status for the field

Field("Field6").IsCertain = success;

// fill the list of suggestions for the field – a suggestion can be any of the

// suitable values

if( !success ) {

for( i = 0; i < 5; i++ ) {

Field("Field6").Suggest( list[i] );

}

}

// place error flag

CheckSucceeded = success;

Field match check

The rule code provided below checks whether the checked field has matched.

[VBScript]

if me.Field("InvoiceNumber").IsMatched then

me.CheckSucceeded = true

else

me.CheckSucceeded = false

me.ErrorMessage = "Field InvoiceNumber is not matched"

end if

[JScript]

if( Field("InvoiceNumber ").IsMatched ) {

CheckSucceeded = true;

} else {

CheckSucceeded = false;

ErrorMessage = "Field InvoiceNumber is not matched";

}

Checkmark check

The rule code provided below checks whether the checkmark has been selected or not

[VBScript]

if me.Field("Page status").Value then

me.CheckSucceeded = true

else

me.CheckSucceeded = false

me.ErrorMessage = "Page status is not checked"

end if

[JScript]

if( Field("Page status").Value ) {

CheckSucceeded = true;

} else {

CheckSucceeded = false;

ErrorMessage = "Page status is not checked";

}

Checkmark group check

The rule code provided below iterates all the checkmarks in the group and if none are selected, selects the first one. The rule is written for the checkmark group level. All the checkmarks in the group have been added to the list of fields included into the rule. For the default checkmark (the first one), the Readonly flag has been disabled. If there are no checkmarks in the group, a rule error flag is enabled.

This sample code iterates all the fields included in the rule. Since field names are not specified in the code, this code can be used for any checkmark group.

[VBScript]

if me.Fields.Count = 0 then

me.CheckSucceeded = false

me.ErrorMessage = "No checkmarks in group"

else

dim isChosen, i

isChosen = false

for i = 0 to me.Fields.Count - 1

if me.Fields.Item( i ).Value then

isChosen = true

exit for

end if

next

if Not isChosen then

me.Fields.Item(0).Value = true

end if

me.CheckSucceeded = true

end if

[JScript]

if( Fields.Count == 0 ) {

CheckSucceeded = false;

ErrorMessage = "No checkmarks in group";

} else {

var isChosen = false;

var i;

for( i = 0; i < Fields.Count; i++ ) {

if( Fields.Item( i ).Value ) {

isChosen = true;

break;

}

}

if( !isChosen ) {

Fields.Item(0).Value = true;

}

CheckSucceeded = true;

}


Using scripts to describe export

Object model

This model is used both in export scripts and in export handler scripts.

An export handler is a special script which runs upon export completion (provided the Run Script after Export option is selected on the Export tab in the project properties dialog box and the body of the script is not empty).

Export must be viewed as a method of an exportable document, i.e. the reference "this" or "Me" refers to the object [Exportable Document] currently being exported.

In an export handler, the pointer this or Me points to an object of type [Export results].

It is impossible to modify field values during export.

Exportable document

Properties:

Name | Type | Access | Description
IsAssembled | Boolean | Read only | Flag shows whether the document has been assembled or not
IsVerified | Boolean | Read only | Flag shows whether the document has been verified or not
IsExported | Boolean | Read only | Flag shows whether the document has been exported or not
TemplateName | string | Read only | Document template name
ProcessingErrors | string | Read only | Processing error message
ProcessingWarnings | string | Read only | Hints and/or warnings displayed during processing
TotalSymbolsCount | Integer | Read only | Total number of characters (besides the recognized characters also includes characters added by the user and by the rules)
RecognizedSymbolsCount | Integer | Read only | Number of recognized characters
UncertainSymbolsCount | Integer | Read only | Number of uncertainly recognized characters
Id | string | Read only | Document identifier
BatchName | string | Read only | Batch name
Field(FieldName) | [Document unit] | Read only | Unit with the name FieldName. May return either a field or a section. FieldName is the name of a unit together with the full path, starting with the section. For example: "Section 1\Group\Field 1" Important! If any component in the path to the field is a multiple component, you must provide the index of this component. For example, for a multiple group the path above should look as follows: "Section 1\Group[index]\Field 1" index assumes a value from 0 to Count-1, where Count is the number of instances of the multiple component.
Children | [Collection of document units] | Read only | Collection of document sections
Pages | [Collection of pages] | Read only | Collection of document pages
IndexedItemValue | Variant | Read only | The value of the index field with the specified name: IndexedItemValue(fieldName).
Action | [Result of operation] | Read only | A special object which contains information about the export operation results. The program writes information into this object during export. If required, this information may be used by the handler that is run upon export completion.

Methods:

Name | Parameters | Description
SaveAs (filename, imageSaveOptions) | fileName – the name of the file imageSaveOptions – image saving parameters (optional) | Saves the images of all document pages to a file.

Document unit

A document unit is either a section or a field.

Properties:

Name | Type | Access | Description
Value Variant Read only Typified value of the unit.

For numerical fields, returns a floating point number.

For "Date/Time" fields, returns the value of the date (VT_DATE).

For "Currency" fields, returns the sum value (VT_CY).

For checkmarks, returns a Boolean value.

Unit value. Always text.
Returns "Yes"/"No" values for checkmarks. For checkmark groups – returns a list of selected checkmarks or an empty string where no checkmark has been selected. Returns an empty string for a picture.
Returns null if a unit has no value. Before trying to read a unit value, always make sure that it does not equal null (see script samples). An attempt to read a value that equals null will result in error.
For example, the value equals null in sections, table and group fields.

Value may also be null if the field contents (recognized text or text typed in by the user) does not correspond to the type of the field.

Text string Read only

The text value of the unit.

For checkmarks, returns the values Yes/No.

For groups of checkmarks, returns the list of selected checkmark fields or an empty string, if none of the checkmark fields is selected.

Returns an empty string for empty units that have no value (e.g. picture, group, section).
Name | string | Read only | Unit name
IsExportable | Boolean | Read only | Shows if the unit has to be exported
IsIndexed | Boolean | Read only | Specifies whether the unit is an index field.
SuspiciousSymbols string Read only

A string of 1's and 0's, where 1's correspond to uncertain characters.

For checkmarks, a string containing only one symbol is returned.

For units that have no value, an empty string is returned.
Children [Collection of document units] Read only Collection of subordinated units. If there are no subordinated units – 0.
For example, a group, a checkmark group, a table row have subordinated units.
Items | [Collection of document units] | Read only | In the case of a multiple unit – a collection of its instances. If a unit is not multiple – 0.
Regions | [Collection of regions] | Read only | The collection of field regions.

Picture

This is a picture that can be saved to a file on the disk.

Methods:

Name | Parameters | Description
SaveAs (filename, imageSaveOptions) | fileName – the name of the file imageSaveOptions – image saving parameters (optional) | Saves the image of the field to a file.

Collection of document units

A collection of document units is a collection of fields or sections.

Properties:

Name | Type | Access | Description
Count | Integer | Read only | Number of units in a collection
Item(index) | [Unit] | Read only | Unit instance. Index can have values from 0 to Count – 1

Collection of pages

Properties:

Name | Type | Access | Description
Count | Integer | Read only | Number of pages in a collection
Item(index) | [Page] | Read only | Page with index. Index can have values from 0 to Count – 1

Page

Properties:

Name | Type | Access | Description
TemplateName | string | Read only | Section name
ImageSourceType | string | Read only | The type of the image source. May assume the value File or Scanner
ImageSource | string | Read only | Image source In the case of a file, this is the name of the file with a full path to the file. In the case of a scanner, this is the name of the scanner.
ImageSourcePageNumber | Integer | Read only | The number of the page inside the image source. Page numbers start from 0. Only for files.

Methods:

Name | Parameters | Description
SaveAs (filename, imageSaveOptions) | fileName – filename imageSaveOptions – image save options (optional) | Save page image.

Collection of regions

Properties:

Name | Type | Access | Description
Count | Integer | Read only | The number of regions in the collection
Item(index) | [Region] | Read only | The region with index index. The index assumes values from 0 to Count – 1

Region

Properties:

Name | Type | Access | Description
PageIndex | Integer | Read only | The index of the page on which the given region is situated.
Rects | [Collection of rectangles] | Read only | The collection of rectangles from which the region is made up. In the case of a rectangular region, the collection contains only one rectangle.
SurroundingRect | [Rectangle] | Read only | The rectangle that encloses the region.
Picture | [Picture] | Read only | The picture for the given region.

Collection of rectangles

Properties:

Name | Type | Access | Description
Count | Integer | Read only | The number of rectangles in the collection
Item(index) | [rectangle] | Read only | The rectangle with index index. index assumes values from 0 to Count – 1

Rectangle

Properties:

Name | Type | Access | Description
Left | Integer | Read only | The left coordinate of the rectangle on the page
Top | Integer | Read only | The top coordinate of the rectangle on the page
Right | Integer | Read only | The right coordinate of the rectangle on the page
Bottom | Integer | Read only | The bottom coordinate of the rectangle on the page

ExportTools

A global object, used for getting an object [Image save options]

Methods:

Name | Parameters | Description
NewImageSavingOptions |  | Creates an object [Image save options]

Image save options

Options of saving page images.

Properties:

Name | Type | Access | Description
Format | string | Read/write | Image format. Can take one of the values: "tif", "jpg", "bmp", "jpg2000", "pcx", "png", "pdf", "pdf-s", "pdf-a", "pdf-a-s", "pdf-s-a". Not case sensitive.
ColorType | string | Read/write | Type of color scheme used. Can take one of the values: "FullColor", "GrayScale", "BlackAndWhite". Not case sensitive.
Resolution | Integer | Read/write | Image resolution in dpi
ShouldOverwrite | Boolean | Read/write | This flag indicates whether to write over the existing file when saving. If this flag is set to false, calling the SaveAs method will result in an error if a file with the same name already exists.

Results of operation

Contains information about the export operation results

Properties:

Name | Type | Access | Description
Succeeded | Boolean | Read/write | Contains true if the export has been successful, otherwise contains false.
ErrorMessage | string | Read/write | An error message about an error that occurred during export.
Result | string | Read/write | A formal description of the result. For export to a file, contains the name of the file together with a full path to the file. For export to a database, contains the name of the main export table. For export to SharePoint contains the URL of the exported document.

Export results

Properties:

Name | Type | Access | Description
Documents | [Collection of exported documents] | Read only | The collection of documents exported during one export session.
Type | Integer | Read only | Export type. Assumes one of the following values: ET_File – export to file formats ET_Database – export to a database ET_Script - custom export based on a script ET_SharePoint – export to SharePoint

Collection of exported documents

Properties:

Name | Type | Access | Description
Count | Integer | Read only | The number of documents in the collection
Item(index) | [Exported document] | Read only | The document with index index. index assumes values from 0 to Count – 1

Sample scripts describing export


Sample scripts describing export

Getting field values during export
This sample code shows how you can get the value of a field during export. You may use this value to name the files into which images or date are exported. If there is no such field in the document, an error will occur.

The structure of the document to be exported:

Section 1

Field1

...

Group1

Field2

...

...

FieldN

Section 2

Field1

...

FieldK

[VBScript]

Dim field1Value, field2Value

' Gets the value of Field1 in Section 1

if Not IsNull( me.Field( "Section 1\Field1" ).Value ) then

field1Value = me.Field( "Section 1\Field1" ).Value

end if

' Gets the value of Field2 in Group1 in Section 1

if Not IsNull( me.FIELD( "Section 1\Group1\Field2" ).Value ) then

field2Value = me.Field( "Section 1\Group1\Field2" ).Value

end if

' Gets the value of Field1 in Section 1 if the section has multiple instances

if Not me.Field( "Section 1" ).Items Is Nothing then

dim curPage

for each curPage in me.Field( "Section 1" ).Items

if Not curPage.Children Is Nothing then

dim curField

for each curField in curPage.Children

if curField.Name = "Field1" And Not IsNull( curField.Value ) then

field1Value = curField.Value

exit for

end if

next

end if

next

end if

[JScript]

// Gets the value of Field1 in Section 1

if( Field("Section 1\\Field1").Value != null ) {

var field1Value = Field("Section 1\\Field1").Value;

}

// Gets the value of Field2 in Group1 in Section 1

if( Field("Section 1\\Group1\\Field2").Value != null ) {

var field2Value = Field("Section 1\\Group1\\Field2").Value;

}

// Gets the value of Field1 in Section 1 if the section has multiple instances

if( Field( "Section 1" ).Items != null ) {

var i, j;

for( i = 0; i < Field( "Section 1" ).Items.Count; i++ ) {

var curPage = Field( "Section 1" ).Items.Item( i );

if( curPage.Children != null ) {

for( j = 0; j < curPage.Children.Count; j++ ) {

var curField = curPage.Children.Item( j );

if( curField.Name == "Field1" && curField.Value != null ) {

var field1Value = curField.Value;

break;

}

}

}

}

}

Exporting page images

The code in this example shows how to export images of all document pages using the required file format, color scheme and resolution. Images are saved by the page, i.e. every page in a separate file.

The files in this example are named "page1.tif," "page2.tif," etc. You can change the file naming mechanism if required. For example, you can create file names based on the value of a field.

[VBScript]

dim fso, folderName

set fso = CreateObject("Scripting.FileSystemObject")

folderName = "d:\ExportImages"

if Not fso.FolderExists( folderName ) then

fso.CreateFolder folderName

end if

dim imageOptions

set imageOptions = ExportTools.NewImageSavingOptions

imageOptions.Format = "tif"

imageOptions.ColorType = "BlackAndWhite"

imageOptions.Resolution = 600

dim i

for i = 0 to me.Pages.Count - 1

dim fileName

    ' Sets the desired name and extension for the file depending on the selected format

fileName = fso.BuildPath( folderName, "page" & (i+1) & ".tif" )

me.Pages.Item(i).SaveAs fileName, imageOptions

next

[JScript]

var fso = new ActiveXObject("Scripting.FileSystemObject");

var folderName = "d:\\ExportImages";

if( !fso.FolderExists( folderName ) ) {

fso.CreateFolder( folderName );

}

var imageOptions = ExportTools.NewImageSavingOptions();

imageOptions.Format = "tif";

imageOptions.ColorType = "BlackAndWhite";

imageOptions.Resolution = 600;

var i;

for( i = 0; i < Pages.Count; i++ ) {

    // Sets the desired name and extension for the file depending on the selected format

var fileName = fso.BuildPath( folderName, "page" + (i+1) + ".tif" );

Pages.Item(i).SaveAs( fileName, imageOptions );

}

Exporting a table

This example shows how to export a table to a *.txt file.

[VBScript]

dim fso, txtFile, fileName

set fso = CreateObject("Scripting.FileSystemObject")

fileName = "d:\TestExportTable.txt"

set txtFile = fso.CreateTextFile( fileName, true )

txtFile.WriteLine "Table"

dim table, row, cell, rowNumber

set table = me.Field("Page 1\Table")

rowNumber = 1

for each row in table.Items

txtFile.WriteLine "RowNumber = " & rowNumber

for each cell in row.Children

txtFile.Write cell.Value & " "

next

txtFile.WriteBlankLines 1

rowNumber = rowNumber + 1

next

txtFile.Close

set txtFile = nothing

set fso = nothing

[JScript]

var fso, txtFile, fileName;

fso = new ActiveXObject("Scripting.FileSystemObject");

fileName = "d:\\TestExportTable1.txt";

txtFile = fso.CreateTextFile( fileName, true );

txtFile.WriteLine( "Table" );

var table, i, j;

table = Field("Page 1\\Table");

var rows = table.Items;

for( i = 0; i < rows.Count; i++ ) {

txtFile.WriteLine( "RowNumber = " + ( i+1 ) );

var cells = rows.Item(i).Children;

for( j = 0; j < cells.Count; j++ ) {

txtFile.Write( cells.Item(j).Value + " " );

}

txtFile.WriteBlankLines(1);

}

txtFile.Close();

Exporting a document of any nesting level

This example shows how to export fields of a document of any nesting level using custom-made functions from the global export module. If you need to export document fields of variable nesting, it is recommended to use an external COM component (see next example)

Core export code

[VBScript]

Export.ExportDocument me, ExportTools

[JScript]

Export.ExportDocument( this, ExportTools );

The code of the functions of the global export module

[VBScript]

' The procedure carries out the export: creates an export folder and

' saves in it page image files, the text file with the document fields,

' and information about the document

Sub ExportDocument(ByRef docObj, ByRef exportTools)

    Dim folderName

    Dim txtFile, fileName

    Dim fso

    On Error Resume Next

    set fso = CreateObject("Scripting.FileSystemObject")

    ' creating the export folder

    folderName = CreateExportFolder(docObj.TemplateName, fso)

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Error during create export folder: " + Err.Description

        Err.Clear

        Exit Sub

    End if

    ' exporting images

    ExportImages docObj, exportTools, folderName, fso

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Error during export images: " + Err.Description

        Err.Clear

        Exit Sub

    End if

    ' creating the text file

    fileName = fso.BuildPath(folderName, "doc.txt")

    Set txtFile = fso.CreateTextFile(fileName, True)

    ' exporting info about the document

    ExportDocInfo docObj, txtFile

    ' exporting fields

    txtFile.WriteLine "Fields:"

    ExportFields docObj.Children, txtFile, ""

    txtFile.Close

    if Err.Number <> 0 then

        docObj.Action.Succeeded = false

        docObj.Action.ErrorMessage = "Error during export data: " + Err.Description

        Err.Clear

        Exit Sub

    End if

    Set txtFile = Nothing

    Set fso = Nothing

End Sub

' Image export function.

Function ExportImages( ByRef docObj, ByRef exportTools, ByVal exportFolder, ByRef fso )

    Dim pages, page, imageOptions

    Dim fileName, pageNum

    ' setting export options

    Set imageOptions = exportTools.NewImageSavingOptions

    imageOptions.Format = "bmp"

    imageOptions.ColorType = "FullColor"

    imageOptions.Resolution = 100

    ' ' page-by-page export

    Set pages = docObj.Pages

    pageNum = 1

    For Each page In pages

        fileName = fso.BuildPath(exportFolder, "page" & pageNum & ".bmp")

        page.SaveAs fileName, imageOptions

        pageNum = pageNum + 1

    Next

End Function

' The procedure that exports info about the document

Sub ExportDocInfo(ByRef docObj, ByRef txtFile)

    txtFile.WriteLine "Doc info:"

    txtFile.WriteLine ("DocumentId " & docObj.Id)

    txtFile.WriteLine ("IsAssembled " & docObj.IsAssembled)

    txtFile.WriteLine ("IsVerified " & docObj.IsVerified)

    txtFile.WriteLine ("IsExported " & docObj.IsExported)

    txtFile.WriteLine ("ProcessingErrors " & docObj.ProcessingErrors)

    txtFile.WriteLine ("ProcessingWarnings " & docObj.ProcessingWarnings)

    txtFile.WriteLine ("TotalSymbolsCount " & docObj.TotalSymbolsCount)

    txtFile.WriteLine ("RecognizedSymbolsCount " & docObj.RecognizedSymbolsCount)

    txtFile.WriteLine ("UncertainSymbolsCount " & docObj.UncertainSymbolsCount)

    txtFile.WriteLine

End Sub

' The procedure that exports fields from the fields collection

Sub ExportFields(ByRef fields, ByRef txtFile, ByVal indent)

    Dim curField

    For Each curField In fields

        ExportField curField, txtFile, indent

    Next

End Sub

' Checks if the value of the field is null

' If the field value is invalid, any attempt to access this field (even

' to check if it is null) may cause an exception

Function IsNullFieldValue( ByRef field )

    on error resume next

    IsNullFieldValue = IsNull( field.Value )

    if Err.Number <> 0 then

        IsNullFieldValue = True

        Err.Clear

    End if

End Function

' Field export procedure

Sub ExportField(ByRef field, ByRef txtFile, ByVal indent)

    ' saving field name

    txtFile.Write (indent & field.Name)

    ' saving field value if it can be accessed

    If IsNullFieldValue(field) Then

        txtFile.WriteLine

    Else

        txtFile.WriteLine ("    " & field.Text)

    End If

    If Not field.Children Is Nothing Then

        ' exporting child fields

        ExportFields field.Children, txtFile, indent & "    "

    ElseIf Not field.Items Is Nothing Then

        ' exporting field instances

        ExportFields field.Items, txtFile, indent & "    "

    End If

End Sub

' The function creates an export folder and returns a full path to this folder

Function CreateExportFolder(ByVal templateName, ByRef fso)

    Dim docFolder, folderNameme

    ' ' main folder

    Const exportFolder = "d:\ScriptExport"

    If fso.FolderExists(exportFolder) = False Then

        fso.CreateFolder (exportFolder)

    End If

    ' the folder of the specified document template

    docFolder = fso.BuildPath(exportFolder, templateName)

    If fso.FolderExists(docFolder) = False Then

        fso.CreateFolder (docFolder)

    End If

    ' the folder of the exported document

    Dim i

    i = 1

    folderName = fso.BuildPath(docFolder, i)

    While fso.FolderExists(folderName)

        i = i + 1

        folderName = fso.BuildPath(docFolder, i)

    Wend

    fso.CreateFolder (folderName)

    CreateExportFolder = folderName

End Function

[JScript]

// The function carries out the export: creates an export folder and

// saves in it page image files, the text file with the document fields,

// and information about the document

function ExportDocument(docObj, exportImageTools)

{

    var folderName

    var txtFile, fileName

    var fso

    fso = new ActiveXObject("Scripting.FileSystemObject");

    // creating export folders

    try {

        folderName = CreateExportFolder(docObj.TemplateName, fso);

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Error during create export folder: " + e.description;

        return;

    }

    // exporting images

    try {

        ExportImages(docObj, exportImageTools, folderName, fso);

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Error during export images: " + e.description;

        return;

    }

    // creating the text file

    fileName = fso.BuildPath(folderName, "doc.txt");

    txtFile = fso.CreateTextFile(fileName, true);

    // exporting info about the document

    ExportDocInfo( docObj, txtFile );

    // exporting fields

    txtFile.WriteLine( "Fields:" );

    try {

        ExportFields( docObj.Children, txtFile, "" );

    } catch( e ) {

        docObj.Action.Succeeded = false;

        docObj.Action.ErrorMessage = "Error during export data: " + e.description;

        txtFile.Close();

        return;

    }

    txtFile.Close();

    txtFile = 0;

    fso = 0;

}

// Image export function.

function ExportImages( docObj, exportImageTools, exportFolder, fso )

{

    // setting export options

    var imageOptions = exportImageTools.NewImageSavingOptions();

    imageOptions.Format = "bmp";

    imageOptions.ColorType = "FullColor";

    imageOptions.Resolution = 100;

    // page-by-page export

    var pages = docObj.Pages;

    var i

    for( i = 0; i < pages.Count; i++ ) {

        var fileName = fso.BuildPath( exportFolder, "page" + (i+1) + ".bmp" );

        pages.Item(i).SaveAs( fileName, imageOptions );

    }

}

// The procedure that exports info about the document

function ExportDocInfo(docObj, txtFile)

{

    txtFile.WriteLine( "Doc info:" );

    txtFile.WriteLine("IsAssembled " + docObj.IsAssembled);

    txtFile.WriteLine("IsVerified " + docObj.IsVerified);

    txtFile.WriteLine("IsExported " + docObj.IsExported);

    txtFile.WriteLine("ProcessingErrors " + docObj.ProcessingErrors);

    txtFile.WriteLine("ProcessingWarnings " + docObj.ProcessingWarnings);

    txtFile.WriteLine("TotalSymbolsCount " + docObj.TotalSymbolsCount);

    txtFile.WriteLine("RecognizedSymbolsCount " + docObj.RecognizedSymbolsCount);

    txtFile.WriteLine("UncertainSymbolsCount " + docObj.UncertainSymbolsCount);

    txtFile.WriteLine();

}

// The procedure that exports fields from the fields collection

function ExportFields(fields, txtFile, indent)

{

    var i

    for( i = 0; i < fields.Count; i++ ) {

        ExportField( fields.Item(i), txtFile, indent );

    }

}

// Checks if the field value is null

// If the field value is invalid, any attempt to access this field (even

// to check if it is null) may cause an exception

function IsNullFieldValue( field )

{

    try {

        return ( field.Value == null );

    } catch( e ) {

        return true;

    }

}

// Field export procedure

function ExportField(field, txtFile, indent)

{

    // saving field name

    txtFile.Write(indent + field.Name);

    // saving field value, if it can be accessed

    if( IsNullFieldValue( field ) ) {

        txtFile.WriteLine();

    } else {

        txtFile.WriteLine("    " + field.Text);

    }

    if( field.Children != null ) {

        // exporting child fields

        ExportFields( field.Children, txtFile, indent + "    " );

    } else if( field.Items != null ) {

        // exporting field instances

        ExportFields( field.Items, txtFile, indent + "    " );

    }

}

// The function creates an export folder and returns a full path to this folder

function CreateExportFolder(templateName, fso)

{

    var docFolder, folderName

    // main folder

    var exportFolder = "d:\\ScriptExport";

    if( !fso.FolderExists(exportFolder) ) {

        fso.CreateFolder (exportFolder);

    }

    // the folder of the specified document template

    docFolder = fso.BuildPath(exportFolder, templateName);

    if( !fso.FolderExists(docFolder) ) {

        fso.CreateFolder(docFolder);

    }

    // the folder of the exported document

    var i = 1;

    folderName = fso.BuildPath(docFolder, i);

    while( fso.FolderExists(folderName) ) {

        i++;

        folderName = fso.BuildPath(docFolder, i);

    }

    fso.CreateFolder(folderName);

    return folderName;

}

Using an external COM component

[VBScript]

dim autoExport

set autoExport = CreateObject( "AutomationExport.Exporter" )

autoExport.Export me, ExportTools

[JScript]

var autoExport = new ActiveXObject("AutomationExport.Exporter");

autoExport.Export( this, ExportTools );

Code of an ActiveX component in VisualBasic

Provided below is an Exporter class code from the AutomationExport project, which is used in the above mentioned scripts.

Option Explicit

Dim mFso As New Scripting.FileSystemObject

' The procedure carries out document export: creates an export folder and

' saves in it page image files, the text file with document fields,

' and information about the document

Public Sub Export(ByRef docObj As Object, ByRef exportTools As Object)

On Error GoTo err_h

    Dim folderName As String

    Dim txtFile As TextStream, fileName As String

    Dim imageExportResult As String, errMessage As String

    ' creating export folder

    folderName = createExportFolder(docObj.templateName)

    If folderName = "" Then

        docObj.Action.Succeeded = False

        docObj.Action.ErrorMessage = "Cannot create export folder"

        Exit Sub

    End If

    ' exporting images

    imageExportResult = exportImages(docObj, exportTools, folderName)

    ' creating the text file

    fileName = mFso.BuildPath(folderName, "doc.txt")

    Set txtFile = mFso.CreateTextFile(fileName, True)

    ' saving info about image export problems

    If imageExportResult <> "" Then

        txtFile.WriteLine imageExportResult

        errMessage = errMessage & imageExportResult

    End If

    ' exporting info about document

    exportDocInfo docObj, txtFile

    ' exporting fields

    txtFile.WriteLine "Fields:"

    If Not exportFields(docObj.Children, txtFile, "") Then

       errMessage = errMessage & " Error during export data"

    End If

    txtFile.Close

    ' if errors occur during export, reset the

    ' export success flag to False

    If errMessage <> "" Then

        docObj.Action.Succeeded = False

        docObj.Action.ErrorMessage = errMessage

    End If

    Set txtFile = Nothing

    Set mFso = Nothing

Exit Sub

err_h:

    docObj.Action.Succeeded = False

    docObj.Action.ErrorMessage = Err.Description

    txtFile.Close

    Set mFso = Nothing

End Sub

' Image export function. If an error occurs when exporting images,

' it returns a message about the error, otherwise it returns an empty string

Private Function exportImages(ByRef docObj As Object, ByRef exportTools As Object, _

    ByVal exportFolder As String) As String

On Error GoTo err_h

    Dim pages As Object, page As Object, imageOptions As Object

    Dim fileName As String, pageNum As Long

    exportImages = ""

    ' setting export options

    Set imageOptions = exportTools.NewImageSavingOptions

    imageOptions.Format = "png"

    imageOptions.ColorType = "GrayScale"

    imageOptions.Resolution = 300

    ' page-by-page export

    Set pages = docObj.pages

    pageNum = 1

    For Each page In pages

        fileName = mFso.BuildPath(exportFolder, page.templateName + "_page" & pageNum & "." & imageOptions.Format)

        page.SaveAs fileName, imageOptions

        pageNum = pageNum + 1

    Next page

Exit Function

err_h:

    exportImages = Err.Description

End Function

' The procedure that exports info about the document

Private Sub exportDocInfo(ByRef docObj As Object, ByRef txtFile As TextStream)

On Error GoTo err_h

    txtFile.WriteLine "Doc info:"

    txtFile.WriteLine ("DocumentId " & docObj.Id)

    txtFile.WriteLine ("IsAssembled " & docObj.IsAssembled)

    txtFile.WriteLine ("IsVerified " & docObj.IsVerified)

    txtFile.WriteLine ("IsExported " & docObj.IsExported)

    txtFile.WriteLine ("ProcessingErrors " & docObj.ProcessingErrors)

    txtFile.WriteLine ("ProcessingWarnings " & docObj.ProcessingWarnings)

    txtFile.WriteLine ("TotalSymbolsCount " & docObj.TotalSymbolsCount)

    txtFile.WriteLine ("RecognizedSymbolsCount " & docObj.RecognizedSymbolsCount)

    txtFile.WriteLine ("UncertainSymbolsCount " & docObj.UncertainSymbolsCount)

    txtFile.WriteLine

Exit Sub

err_h:

    txtFile.WriteLine Err.Description

End Sub

' The procedure that exports fields from the fields collection

Private Function exportFields(ByRef fields As Object, ByRef txtFile As TextStream, ByVal indent As String) As Boolean

On Error GoTo err_h

    Dim curField As Object

    exportFields = True

    For Each curField In fields

        If Not exportField(curField, txtFile, indent) Then

            exportFields = False

        End If

    Next curField

Exit Function

err_h:

    txtFile.WriteLine Err.Description

    exportFields = False

End Function

' Checks if the field value is null

' If the value is invalid, any attempt to access this field (even

' to check if it is null) may cause an exception

Function IsNullFieldValue(ByRef field As Object) As Boolean

On Error GoTo err_h

    IsNullFieldValue = IsNull(field.Value)

Exit Function

err_h:

    IsNullFieldValue = True

End Function

' Field export function

Private Function exportField(ByRef field As Object, ByRef txtFile As TextStream, _

    ByVal indent As String) As Boolean

On Error GoTo err_h

    Dim result As Boolean

    result = True

    ' saving field name

    txtFile.Write (indent & field.Name)

    ' saving field value if it can be accessed

    If Not IsNullFieldValue(field) Then

        txtFile.WriteLine ("    " & field.Value)

    Else

        txtFile.WriteLine

    End If

    If Not field.Children Is Nothing Then

        ' exporting child fields

        result = result And exportFields(field.Children, txtFile, indent & "    ")

    ElseIf Not field.Items Is Nothing Then

        ' exporting field instances

        result = result And exportFields(field.Items, txtFile, indent & "    ")

    End If

    exportField = result

Exit Function

err_h:

    txtFile.WriteLine Err.Description

    exportField = False

End Function

' The function creates an export folder and returns a full path to this folder

Private Function createExportFolder(ByVal templateName As String) As String

On Error GoTo err_h

    Dim docFolder As String, folderName As String

    ' main folder

    Const exportFolder = "d:\AutomationExport"

    If mFso.FolderExists(exportFolder) = False Then

        mFso.CreateFolder (exportFolder)

    End If

    ' the folder of the specified document template

    docFolder = mFso.BuildPath(exportFolder, templateName)

    If mFso.FolderExists(docFolder) = False Then

        mFso.CreateFolder (docFolder)

    End If

    ' the folder of the exported document

    Dim i As Long

    i = 1

    folderName = mFso.BuildPath(docFolder, i)

    While mFso.FolderExists(folderName)

        i = i + 1

        folderName = mFso.BuildPath(docFolder, i)

    Wend

    mFso.CreateFolder (folderName)

    createExportFolder = folderName

Exit Function

err_h:

    createExportFolder = ""

End Function

Using an external component written in .Net( C# )

To use an external component written in .Net, do the following:

  1. Create a project of type ClassLibrary
  2. Add Controller.dll to the References of the project – FlexiCaptureScriptingObjects will appear in the References list and all the interfaces of the script objects will become available in the project.
  3. Define the disp interface and the class that implements this interface, as well as ProgId (this will make it possible to work with the .Net component just like with ActiveX from the code of the script).
  4. After building the project, register the generated types library (this can be done automatically by enabling the corresponding option in the project properties).
  5. From the export code, call the method of the component in the usual manner:

[VBScript]

dim autoExport

set autoExport = CreateObject( "ExportLibrary1.Export" )

autoExport.ExportDocument me, ExportTools

[JScript]

var autoExport = new ActiveXObject("ExportLibrary1.Export");

autoExport.ExportDocument( this, ExportTools );

Below follows the code of such a component:

using System;

using System.Runtime.InteropServices;

using System.IO;

using FlexiCaptureScriptingObjects;

namespace ExportLibrary1

{

// The interface of the export component which can be accessed from the script

// When creating a new component, generate a new GUID

[Guid("32B10C3B-EEA3-4194-B0A0-E358C310225A")]

[InterfaceType(ComInterfaceType.InterfaceIsIDispatch)]

public interface _cExport

{

[DispId(1)]

void ExportDocument(ref IExportDocument DocRef, ref IExportTools Tools);

}

// The class that implements export component functionality

// When creating a new component, generate a new GUID

// and set your ProgId

[Guid("3BA19BD7-C6DC-4f63-BC08-0D95254DADC3")]

[ClassInterface(ClassInterfaceType.None)]

[ProgId("ExportLibrary1.Export")]

[ComVisible(true)]

public class Export : _cExport

{

public Export()

{

}

// The function carries out document export: creates an export folder and

// saves in it page image files,

// the text file with document fields, and information about the document

public void ExportDocument( ref IExportDocument docRef, ref IExportTools exportTools )

{

try

{

string exportFolder = createExportFolder( docRef.TemplateName );

exportImages( docRef, exportTools, exportFolder );

// creating the text file

string fileName = exportFolder + "//" + "doc.txt";

StreamWriter sw = File.CreateText( fileName );

// exporting info about document

exportDocInfo( docRef, sw );

// exporting fields

sw.WriteLine( "Fields:" );

exportFields( docRef.Children, sw, "" );

sw.Close();

}

catch( Exception e )

{

docRef.Action.Succeeded = false;

docRef.Action.ErrorMessage = e.ToString();

}

}

// The function creates an export folder and returns a full path to this folder

private string createExportFolder( string templateName )

{

string docFolder, folderName;

// main folder

string exportFolder = "d:\\DotNetExport";

if( !Directory.Exists(exportFolder) )

{

Directory.CreateDirectory(exportFolder);

}

// the folder of the specified document template

docFolder = exportFolder + "\\" + templateName;

if( !Directory.Exists(docFolder) )

{

Directory.CreateDirectory( docFolder );

}

// the folder of the exported document

int i = 1;

folderName = docFolder + "\\" + i;

while( Directory.Exists(folderName) )

{

i++;

folderName = docFolder + "\\" + i;

}

Directory.CreateDirectory(folderName);

return folderName;

}

// Image export function.

private void exportImages( IExportDocument docRef, IExportTools exportTools, string exportFolder )

{

string baseFileName = exportFolder + "\\page_";

IExportImageSavingOptions imageOptions = exportTools.NewImageSavingOptions(); ;

imageOptions.Format = "bmp";

imageOptions.ColorType = "FullColor";

imageOptions.Resolution = 100;

int i = 1;

foreach( IExportPage curPage in docRef.Pages )

{

string fileName = baseFileName + i + ".bmp";

curPage.SaveAs( fileName, imageOptions );

i++;

}

}

// Exporting info about document

private void exportDocInfo( IExportDocument docRef, StreamWriter sw )

{

sw.WriteLine( "Doc info:" );

sw.WriteLine("DocumentId " + docRef.Id );

sw.WriteLine("IsAssembled " + docRef.IsAssembled);

sw.WriteLine("IsVerified " + docRef.IsVerified);

sw.WriteLine("IsExported " + docRef.IsExported);

sw.WriteLine("ProcessingErrors " + docRef.ProcessingErrors);

sw.WriteLine("ProcessingWarnings " + docRef.ProcessingWarnings);

sw.WriteLine("TotalSymbolsCount " + docRef.TotalSymbolsCount);

sw.WriteLine("RecognizedSymbolsCount " + docRef.RecognizedSymbolsCount);

sw.WriteLine("UncertainSymbolsCount " + docRef.UncertainSymbolsCount);

sw.WriteLine();

}

// Exporting field collection

private void exportFields( IExportFields fields, StreamWriter sw, string indent )

{

foreach( IExportField curField in fields )

{

exportField( curField, sw, indent );

}

}

// Checks if the field value is null

// If the field value is invalid, any attempt to access this field (even

// to check if it is null) may cause an exception

private bool IsNullFieldValue( IExportField field )

{

try

{

return ( field.Value == null );

}

catch( Exception e )

{

return true;

}

}

// Exporting the specified field

private void exportField( IExportField field, StreamWriter sw, string indent )

{

// saving the field name

sw.Write( indent + field.Name );

// saving the field value it can be accessed

if( IsNullFieldValue( field ) )

{

sw.WriteLine();

}

else

{

sw.WriteLine( " " + field.Text );

}

if( field.Children != null )

{

// exporting child fields

exportFields( field.Children, sw, indent + " " );

}

else if( field.Items != null )

{

// exporting field instances

exportFields( field.Items, sw, indent + " " );

}

}

}

}
Export handler
This sample code demonstrates a simple export handler which saves information about exported documents and export results to text files. Two text files are used in this example: one containing the list of successfully exported documents and one containing the list of documents that returned errors during export.

[VBScript]

dim curDoc

dim fso, fileErrorName, txtErrorFile, fileSucceedName, txtSucceedFile

set fso = CreateObject("Scripting.FileSystemObject")

' creating the file with failed documents

fileErrorName = "d:\ExportResults\ErrorsDocuments.txt"

set txtErrorFile = fso.CreateTextFile( fileErrorName, true )

' creating the file with successfully exported documents

fileSucceedName = "d:\ExportResults\SucceedDocuments.txt"

set txtSucceedFile = fso.CreateTextFile( fileSucceedName, true )

Dim docInfo

' iterating the collection of exported documents

for each curDoc in me.Documents

    docInfo = "DocumentId:" & curDoc.Id

    if curDoc.Action.Succeeded then

        docInfo = docInfo & ". Exported successfully.  Result:" & curDoc.Action.Result

        txtSucceedFile.WriteLine docInfo

    else

        docInfo = docInfo & ". Export error: " & curDoc.Action.ErrorMessage & "  Result:" & curDoc.Action.Result

        txtErrorFile.WriteLine docInfo

    end if

next

txtErrorFile.Close

txtSucceedFile.Close

[JScript]

var fso = new ActiveXObject("Scripting.FileSystemObject");

// creating the files with failed documents

var fileErrorName = "d:\\ExportResults\\ErrorsDocuments.txt";

var txtErrorFile = fso.CreateTextFile( fileErrorName, true );

// creating the file with successfully exported documents

var fileSucceedName = "d:\\ExportResults\\SucceedDocuments.txt"

var txtSucceedFile = fso.CreateTextFile( fileSucceedName, true );

var i

// iterating the collection of exported documents

for( i = 0; i < Documents.Count; i++ ) {

    var curDoc = Documents.Item( i );

    var docInfo = "DocumentId: " + curDoc.Id;

   if( curDoc.Action.Succeeded ) {

        docInfo = docInfo + ". Exported successfully.  Result:" + curDoc.Action.Result;

        txtSucceedFile.WriteLine( docInfo );

    } else {

        docInfo = docInfo + ". Export error: " + curDoc.Action.ErrorMessage + "  Result:" + curDoc.Action.Result;

        txtErrorFile.WriteLine( docInfo );

    }

}

txtErrorFile.Close();

txtSucceedFile.Close();


Migrating from FormReader 6.5 rules and export to FlexiCapture 8.0 Professional scripts

Migrating from FormReader rules to FlexiCapture script rules

If-Then rules

Changes in functions and methods:

  1. Error(field, message). Instead of this function, use the combination of the following properties of the unit to be checked: CheckSucceeded, ErrorMessage, and FocusedField.

    For example, this FormReader 6.5 code

    if [City].IsEmpty() then Error( [City] , "the city name should be filled")

    should be changed to

    [VBScript]

    if me.Field("City").Text = "" then

    me.CheckSucceeded = false

    me.ErrorMessage = "the city name should be filled"

    me.FocusedField = me.Field("City")

    else

    me.CheckSucceeded = true

    end if

    [JScript]

    if( Field("City").Text == "" ) {

    CheckSucceeded = false;

    ErrorMessage = "the city name should be filled";

    FocusedField = Field("City");

    } else {

    CheckSucceeded = true;

    }

  2. String operations. Listed below are the instructions for implementing in FlexiCapture 8.0 the string operations that were available in If-Then rules.

    [VBScript]

    .Length() – Use the analogous function Len(string)

    .CmpNoCase(str) – For non-case-sensitive string comparisons, use the LCase(string) or UCase(string) functions

    .Mid(position, count) – Use the analogous function Mid(string, pos, count)

    [JScript]

    .Length() – Use the analogous length property of the string variable

    .CmpNoCase(str) – For non-case-sensitive string comparisons, use the toLowerCase() or toUpperCase() methods of the string variables

    .Mid(position, count) – Use the analogous substr(start, [length]) methods of the string variable

  3. Real number operations.

    [VBScript]

    Floor(d), Ceil(d) – There are no ready-made equivalents in VBScript, you can create your own implementation if required

    Round(d),Round(d, i) – Use the analogous function Round(d, [i])

    [JScript]

    Floor(d), Ceil(d) – Use the floor(d) and ceil(d) methods of the Math object

    Round(d) – Use the round(d) methods of the Math object

    Round(d, i) – There is no ready-made equivalent in JScript, you can create your own implementation if required.

  4. Text field operations

    IsEmpty() – Compare the text value of the field Field("fieldName").Text with an empty string

    Text() – Use Field("fieldName").Text

    Length() – Get the text value of the field and then determine the length of the resulting string value as described in 2 above.

    SetText(text) – Use Field("fieldName").Text = text

  5. Checkmark operations

    IsValid() – You can use the IsVerified property

    Value() – Field("fieldName").Value now returns a Boolean value and not 0 or 1 as in FormReader 6.5

    SetValue(newValue) – Use Field("fieldName").Value = newValue

  6. Checkmark group operations

    IsValid() – You can use the IsVerified property to determine the certainty of a field in a group. To find out how many check boxes have been selected, iterate the checkmarks in the group as shown in the example "Checkmark group check." (See Sample scripts for creating custom rules).

    Value() – To obtain the number of the selected checkmark, you can use one of the two methods below:

    1. Assign number names to the checkmarks in the group: 0, 1, etc. Then Field("groupName").Value will contain either the number of the selected checkmark or the list of numbers (more than one is selected), or an empty string (none is selected).
    2. Add to the rule only the checkmarks in the given group in the order in which they follow one another in the group. Then iterate the checkmarks in the group as shown in the example "Checkmark group check."

    Text() - Use Field("groupName").Value

    SetValue(newValue) – To change the value of a checkmark group, you need to set/reset the required checkmarks in this group. The checkmarks must be included in the rule and the ReadOnly flag must be enabled for them.

Automation rules

To be able to use in FlexiCapture 8.0 Automation components created in FormReader 6.5 you need to make the following changes in your Automation components.

  1. The method of an external component that implements rule logic should be called from a script rule as shown in the examples. There are no specific requirements for the signature of this method. Note, however, that the parameters passed from the script rule to the method of the external component must correspond to the selected signature of the method, which can look like this:

    Public Sub Check(ByRef docObj As Object)

    2. docObj – This is a reference to the document unit to be checked.

  2. The methods of the fieldsObj object that was used in FormReader 6.5 should be replaced with methods supported in FlexiCapture 8.0. The table below lists the correspondences between the old and new methods of the fieldsObj object.
fieldsObj method | Samples of code in VisualBasic that can substitute the old method
GetFieldsCount As Integer Dim count as Long

count = docObj.Fields.Count()
GetFieldsNames(Names As Variant) Dim i As Long, count As Long

Dim Names() As String

count = docObj.Fields.count

ReDim Names(count - 1)

For i = 0 To count - 1

Names(i) = docObj.Fields.Item(i).Name

Next
GetFieldsTypes(FieldTypes As Variant) | Not supported
GetFieldByIndex(Index As Integer, FieldValue As Variant) Dim fieldValue

fieldValue = docObj.Fields.Item(index).Value
GetFieldByName(Name As String, FieldValue As Variant) Dim fieldValue

fieldValue = docObj.Field(Name).Value
GetTableColumnsList(FieldIndex As Integer, TableColumns As Variant) To be able to work with table columns, add the column fields into the rule. Checking whether the column has been matched successfully is the same as for any other field:

Dim isMatched isMatched = docObj.Field("ColumnName").IsMatched

SetFieldByIndex(Index As Integer, FieldValue As Variant) | docObj.Fields.Item(index).Value = newValue
SetFieldByName(Name As String, FieldValue As Variant) | docObj.Field(Name).Value = newValue
SetTableCellValue(Index As Integer, Row As Integer, Column As Integer, FieldValue As String) To be able to work with table cells, add the column fields into the rule.

Operations with these fields depend on the level of the rule. If the rule has been created for the column level or table level, it will apply to each row and use the values of the columns in the row being checked (i.e. operates on cells):

Dim cell As Object
Set cell = docObj.Field("ColumnName")
Dim cellValue as String
cellValue = cell.Value

Thus, you can create a rule which, for example, uses the data in the first two columns of a table to complete a third column:

Dim cellResult As Object
Set cellResult = docObj.Field("ColumnResult")
cellResult.Value = docObj.Field("Column1").Value + docObj.Field("Column2").Value

If the rule has been created for the level of a unit which contains a table (group, section, document), you will need to iterate a column as described in the "Automation rule" example to access its cells.

SetSuggestByIndex(Index As Integer, Suggests As String)

Dim suggests() As Variant

' suggestions for the field

' ...

Dim field As Object

Set field = docObj.Fields.Item(index)

For i = LBound(suggests) To UBound(suggests)

field.Suggest suggests(i)

Next
SetSuggestByName(FieldName As String, Suggests As String)

Dim suggests() As Variant

' suggestions for the field

' ...

Dim field As Object

Set field = docObj.Field(Name)

For i = LBound(suggests) To UBound(suggests)

field.Suggest suggests(i)

Next
SetTableCellSuggest(Index As Integer, Row As Integer, Column As Integer, Suggests As String) Cell fields can be accessed in the same way as described for the SetTableCellValue method.

Then you will be able to work with the accessed cell just like with any other field. Setting a suggestion will look like this:

cell.Suggest cellSuggest

  3. The methods of the errorsObj object that was used in FormReader 6.5 should be replaced with methods supported in FlexiCapture 8.0. The table below lists the correspondences between the old and new methods of the errorsObj object.
errorsObj method Samples of code in VisualBasic that can substitute the old method
SendFieldError( ErrMsg As String, Index As Integer) docObj.ErrorMessage = ErrMsg

docObj.CheckSucceeded = false

docObj.FocusedField = docObj.Fields.Item(index)
SendTableError( ErrMsg As String, FieldIndex As Integer, ErrorCells As Variant )

docObj.ErrorMessage = ErrMsg
docObj.CheckSucceeded = false

If the rule has been created for the table or column level, the program will mark as errors all the cells in the checked row whose fields (columns) have been added into the rule. To move the focus on a particular cell, write the following code:

docObj.FocusedField = docObj.Field("ColumnName")

If the rule has been created for a higher level, the program will not mark any cells or move the focus onto them.

Migrating from FormReader Automation export to FlexiCapture script export

The method of an external component that implements rule logic should be called from a script rule as shown in the examples. There are no specific requirements for the signature of this method. Note, however, that the parameters passed from the script rule to the method of the external component must correspond to the selected signature of the method, which can look like this:

Public Sub Check(ByRef docObj As Object, ByRef exportTools As Object)

docObj – This is a reference to the document to be exported

exportTools – This is a reference to the ExportTools object

The methods of the fieldsObj object that was used in FormReader 6.5 should be replaced with methods supported by he current version of the application. The table below lists the correspondences between the methods of the fieldsObj object and the new means of working with documents to be exported:

Methods of the fieldsObj object | Possible implementations in the new object model
GetFieldsCount As
Integer 		To get the number of fields in the document that is being exported, iterate the tree of fields as shown in the example "Using an external COM component" and make the calculation.
GetFieldsNames(Names As Variant) | To get the names of the fields in the document that is being exported, iterate the tree of fields as shown in the example "Using an external COM component" and fill the array with the names of the field.
GetFieldsTypes(FieldTypes As Variant) | Not supported.
GetFieldByIndex(Index As Integer, FieldValue As Variant) Access through the index makes no sense, as the new document model has a hierarchical structure.
The tree of fields can be easily iterated as shown in the example "Using an external COM component" and fill the array with the names of the field.
GetFieldByName(Name As String, FieldValue As Variant) Dim fieldValue
fieldValue = docObj.Field(Name).Value


FormReader 6.5 and FlexiCapture 8.0 Professional rules compared

FormReader 6.5

Equivalent in FlexiCapture 8.0 Professional

Check against a database

Database Check rule

Check sums

Check Sum rule

Merge blocks

Merge Fields rule

VBScript rules

Script rule

Search in the list of suggestions

Field properties, Data Type tab. List the variants in the Constraints field. Works for all types except Date and Number. See Data types of the text entry field.

Match blocks

Can be implemented via a script rule.

If-Then rules

Script rule

Replace values from the list

Field properties, Data Type tab. Text type, Processing field. See Data types of the text entry field.

Replace characters from the list

Field properties, Data Type tab. Text type, Processing field. See Data types of the text entry field.

Normalize and check dates

Field properties, Data Type tab. In the Category list, select Date; in the Formats list, select the required formats; in the Constraints field, enter the required constraints. See Data types of the text entry field.

Regular expressions

Field properties, Data Type tab. Enter the required regular expression in the Constraints field. Works for all types except Date and Number. See Data types of the text entry field.

Automation check

In the previous version of the application, the use of Automation objects required registering the components on the target computer, which made it difficult to transfer batches from one computer to another. In the new version, the logic of the majority of such rules is best implemented through scripts.

If the logic of the rule is too complex and requires an external component to be used, the component should be called from within the code of a script rule. Then a reference to the object on the checked document should be passed to the component.

Normalize prices

Can be implemented through an external COM component called from a script rule.

Validate passport series and number

Can be implemented through an external COM component called from a script rule.

Sum in digits - sum in writing

Sum in figures - sum in words rule

Price in digits - price in writing

Can be implemented through an external COM component called from a script rule.


Additional options

You can set up document processing and the program interface to suit your needs. In the main window, select Tools>Options… The dialog that opens contains four tabs:

  • Task Progress

    When tasks are executed in background mode, you can monitor the process in the task progress window, by reading the log file, and reading the pop-up tips. On this tab, you can select which information should be entered into the log file and in which cases balloon messages should be displayed.

  • Colors

    You can change the color if interface elements (e.g. the frames that enclose selected fields in the template editor or the frames and fill-in color of fields with errors and warnings). Select the desired element and then click the Color button.

  • Document Processing

    Images can be recognized automatically immediately after they have been added to the batch if you select the Recognize added images automatically option.

    Selecting Delete processed documents after export will delete from the batch those documents whose data have been successfully exported.

    If an script error is detected, the Visual Studio debugger is launched. Select Disable external script debugging if you do not wish the debugger to be launched. Only an error message will be displayed.

  • Dialogs

    By default, when you launch the program the Open Project dialog box is displayed, where you can select one of the existing projects. You can disable this dialog box by clearing the Show startup dialog option on the Dialogs tab (alternatively, you can disable this dialog by clearing the same option in the dialog itself).

    When you are closing a list of templates, the program warns you of any unpublished document templates. If you do not wish this warning message to be displayed, clear the option Show warning if unpublished template exists (alternatively, you can disable this dialog by clearing the same option in the dialog itself).


ABBYY FlexiCapture sample projects

To see how ABBYY FlexiCapture 8.0 works and to better understand its features, you can use the sample projects included with the program. These ready-made projects contain set-up document templates and document images for processing.

You can find the sample projects in <disk name>:\Documents and Settings\All Users\Application Data\ABBYY\FlexiCapture\8.0\Samples.

Note: Under Microsoft Windows Vista, the sample projects can be found in <disk name>:\Users\Public\ABBYY\FlexiCapture\8.0\Samples.

The Samples folder contains the following folders:

  1. FlexiCapture - This folder contains the sample FlexiCapture projects.
  2. FlexiLayoutStudio - This folder contains the sample FlexiLayout Studio projects. These sample projects illustrate the processing of semi-structured documents and should be opened in ABBYY FlexiLayout Studio 8.0. Detailed description for some of these projects is available in the FlexiLayout Studio help file (see the Tutorial and Tips and Tricks sections).
  3. FormDesigner - This folder contains fixed forms developed in ABBYY FormDesigner. The *.fdd should be opened in ABBYY FormDesigner 8.0. These forms are used in the following sample FlexiCapture projects: Banking Card Application, Questionnaire.
  4. Images - This folder contains scanned document images for the sample FlexiCapture projects.

Below follows a list of the sample FlexiCapture projects and their brief description.

A sample project with documents of different types

The project folders contain sample FlexiCapture projects.

  1. Single Entry Point

    This project shows how documents of different types can be processed. No preliminary document sorting is required, fixed forms and flexible documents can be processed together. The templates used in this project are also used in the projects described below.

    The project contains all types of documents Banking Card Applications, Invoices, Contracts, Letters, Prices.

Sample projects with fixed forms

The project folders contain forms created in ABBYY FormDesigner and FlexiCapture projects.

  2. Banking Card Application

    This sample project illustrates the following capabilities:

    • Automatic detection of fields on fixed forms (to see how autodetection works, delete all fields from the document template and select Tools >Autodetect Objects…)
    • Support for documents with complex structures:
      1. Multipage documents (three-page applications are used in the sample project)
      2. Working with document sections (in the sample project, each page is a separate section)
      3. Document assembly rules
      4. Annex processing
    • Support for complex fields:
      1. Working with tables on fixed forms (Opened Accounts table)
      2. Repeating field groups (Address and Requested Accounts groups)
    • Data format checks (the formats for all numerical fields and date fields are specified)
    • Customizing the data form.

  3. Questionnaire

    A detailed description of this sample project can be found in the user's guide. The project shows how to set up a document template step by step. A number of simpler forms are used to illustrated the basic ABBYY FlexiCapture features. You can complete the questionnaire in this sample project, process it in ABBYY FlexiCapture and send the exported data to ABBYY.

Sample projects with flexible forms

The project folders contain FlexiLayout Studio projects and FlexiCapture projects.

  4. Invoice

    This sample project illustrates the processing of semi-structured documents and illustrates the following capabilities:

    • Variable number of pages in documents (from 1 to 3)
    • Tables extending over multiple pages
    • The use of an external keyword dictionary (a text file)
    • A JScript rule is used to compare the sum in the Total field with the sum obtained by adding up the Total values from all table rows.

  5. Prices

    This sample project illustrates the processing of semi-structured documents and illustrates the following capabilities:

    • Support for repeating groups. This sample project shows how repeating groups can be used to describe nested tables (tables with subheadings)

  6. Letters&Contracts

    This sample project illustrates the processing of unstructured documents from which 2 or 3 fields are captured. The project illustrates the following capabilities:

    • Variable number of pages in documents (from 1 to 4)
    • Setting up export to Searchable PDF.


Supported recognition languages

ABBYY FlexiCapture 8.0 Professional supports the following recognition languages with dictionary support:

Language | OCR* | ICR**
Armenian (eastern, western, Grabar) | ü |
Bashkir | ü |
Bulgarian | ü | ü
Catalan | ü |
Croatian | ü | ü
Czech | ü | ü
Danish | ü |
Dutch (Netherlands and Belgium) | ü | ü
English | ü | ü
Estonian | ü | ü
Finnish | ü | ü
French | ü | ü
German (old, new spelling) | ü | ü
Greek | ü | ü
Hungarian | ü | ü
Indonesian | ü | ü
Italian | ü | ü
Kazakh | ü | ü
Kirghiz | ü | ü
Latvian | ü | ü
Lithuanian | ü | ü
Norwegian (Nynorsk and Bokmal) | ü |
Polish | ü | ü
Portuguese (Portugal and Brazil) | ü |
Romanian | ü | ü
Russian | ü | ü
Slovak | ü | ü
Slovenian | ü | ü
Spanish | ü | ü
Swedish | ü |
Tatar | ü |
Thai | ü |
Turkish | ü | ü
Ukrainian | ü | ü

To read more about fonts for supported languages, see section "Fonts required for correct rendering of characters of supported data types in ABBYY FlexiCapture editor".

A full, updated list of supported data types and their details are available at http://www.abbyy.com.

* - OCR - Optical Character Recognition. Optical recognition of printed texts.

** - ICR - Intelligent Character Recognition. Recognition of hand-printed texts.


Fonts required for correct rendering of characters of supported data types in the FormReader editor

Fonts required for correct rendering of characters of supported languages in the ABBYY FlexiCapture editor

Language | Font
With dictionary support |
Armenian (eastern, western, Grabar) | Arial Unicode MS(2)
Tatar | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Without dictionary support |
Abkhazian | Arial Unicode MS(2)
Adygei | Arial Unicode MS(2), Lucida Sans Unicode(3)
Aghul | Arial Unicode MS(2), Lucida Sans Unicode(3)
Altaic | Arial Unicode MS(2), Lucida Sans Unicode(3)
Avar | Arial Unicode MS(2), Lucida Sans Unicode(3)
Azerbaijani (Cyrillic), Azerbaijani (Latin) | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Bashkir | Arial Unicode MS(2), Palatino Linotype(2)
Buryat | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Chechen | Arial Unicode MS(2), Lucida Sans Unicode(3)
Chukchi | Arial Unicode MS(2), Lucida Sans Unicode(3)
Chuvash | Arial Unicode MS(2)
Dargin | Arial Unicode MS(2), Lucida Sans Unicode(3)
Dungan | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Gagauz | Arial Unicode MS(2)
Hausa | Arial Unicode MS(2), Lucida Sans Unicode(3)
Ingush | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kabardian | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kalmyk | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Karakalpak | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Kazakh | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Khakas | Arial Unicode MS(2)
Khanty | Arial Unicode MS(2)
Koryak | Arial Unicode MS(2), Lucida Sans Unicode(3)
Kyrgyz | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Lak | Arial Unicode MS(2), Lucida Sans Unicode(3)
Lezgin | Arial Unicode MS(2), Lucida Sans Unicode(3)
Mansi | Arial Unicode MS(2), Lucida Sans Unicode(3)
Mari | Arial Unicode MS(2)
Mongol | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Nenets | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Ossetic | Arial Unicode MS(2)
Russian (old spelling) | Arial Unicode MS(2), Palatino Linotype(2)
Tabassaran | Arial Unicode MS(2), Lucida Sans Unicode(3)
Tajik | Arial Unicode MS(2), Palatino Linotype(2)
Turkmen | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Tuvan | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Udmurt | Arial Unicode MS(2)
Uzbek (Cyrillic) | MS Core Fonts 2.82(1) (Arial, Courier New and Times New Roman)
Yakut | Arial Unicode MS(2)
Zulu | Arial Unicode MS,(2), Lucida Sans Unicode(3)

(1) http://www.microsoft.com/

(2) MS Office 2000

(3) Windows NT 4.0


Supported text types

ABBYY FlexiCapture 8.0 Professional supports the following text types:

Text type | Description
Typographic, laser and ink-jet printers | Texts printed at a print shop, on a laser printer, or on an ink-jet printer.
Typewriter | Typewritten texts.
Matrix printer | Texts printed on a dot-matrix printer.
Index | A special set of characters that includes only digits written in ZIP-code style. They look as follows:
OCR-A | A monospaced font designed for Optical Character Recognition. Largely used by banks, credit card companies, and similar businesses. It may look as follows:
OCR-B | A font designed for Optical Character Recognition. It may look as follows:
MICR E-138 | A special set of numeric characters printed with special magnetic ink. MICR (Magnetic Ink Character Recognition) characters are found in a variety of places, including personal checks. It may look as follows:
MICR CMC-7 | A special MICR barcode font (CMC-7). It may look as follows:


Supported barcode types

ABBYY FlexiCapture 8.0 Professional supports the following barcode formats:

  • EAN 13
  • EAN 8
  • Code 39
  • Check Code 39
  • Interleaved 25
  • Check Interleaved 25
  • Code 128
  • Codabar
  • UPC-A
  • UPC-E
  • Code 93
  • UCC-128
  • PDF-417
  • IATA 25
  • Matrix 25
  • Industrial 25
  • PostNet
  • Patch code


Supported graphic formats

Type | Color
BMP | b/w, gray, color
PCX | b/w, gray
PNG | b/w, gray, color
JPEG | gray, color
JPEG-2000 | gray, color
TIFF b/w – uncompressed, CCITT3, CCITT4, Packbits, ZIP;
gray – uncompressed, Packbits, JPEG, ZIP;
color – uncompressed, JPEG, ZIP.
PDF, PDF/A
PDF, PDF/A searchable
DjVu | b/w, gray, color


Export file formats

File formats to which ABBYY FlexiCapture 8.0 Professional exports data from documents

  • Microsoft Office Excel Workbook (*.XLS)
  • DBase file (*.DBF)
  • Comma Separated Values File (*.CSV). ABBYY FlexiCapture supports various code pages (Windows, DOS)
  • Comma Separated Values File (*.CSV) in Unicode format (UTF-8, UTF-16)
  • Simple text (*.TXT). ABBYY FlexiCapture supports various code pages (Windows, DOS)
  • Simple text (*.TXT) in Unicode format (UTF-8, UTF-16)
  • XML Document (*.XML)


Alphabet used in regular expressions

Name | Conventional designation | Usage example
Any character | * | "c"*"t" – allows such words as cat, cot, etc.
Letter | C | C"ot" – allows such words as Rot, pot, cot, Dot, mot, etc.
Uppercase letter | A | A"ot" – allows such words as Rot, Cot, Mot, Dot, etc.
Lowercase letter | a | a"ot" – allows such words as rot, cot, mot, dot, etc.
Letter or number | X | X – allows any standalone number or letter.
Number | N | N"th" allows such words as 5th, 4th, 6th, etc.
String | " " | "cot"
Or | | | "pl"("o"|"a")"t" – allows words "plot" and "plat".
Character from group | [] | [tm]"ot" – allows words "tot" and "mot".
Character not from group | [^] | [^t]"ot" – allows words "cot", "lot", etc., but does not allow the word "tot".
Space (within group) | \s | [A\s] allows only the letter A or a space.
Any number of repetitions (applies to the expression or subexpression on the left) | {-} | [AB74]{-} – allows any combinations of characters A, B, 7, 4 of any length.
Number of repetitions n | {n} | N{2}"th" allows such words as 25th, 84th, 11th, etc.
From n to m repetitions | {n-m} | N{1-3}"th" allows such words as 5th, 84th, 111th, etc.
From 0 to n repetitions | {-n} | N{-2}"th" allows such words as 84th, 111th, etc.
From n repetitions and more | {n-} | N{2-}"th" allows such words as 25th, 834th, 311th, 34576th, etc.
Subexpression | () |
Hyphen symbol | [\-] |
Slash symbol | [\\] |


Patents

U.S. Patent Nos. 5,258,855, 5,369,508, 5,625,465, 5,768,416 and 6,094,505


Third-party technologies

JasPer License Version 2.0

Copyright (c) 2001-2006 Michael David Adams
Copyright (c) 1999-2000 Image Power, Inc.
Copyright (c) 1999-2000 The University of British Columbia

All rights reserved.

More

Permission is hereby granted, free of charge, to any person (the "User") obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

  1. The above copyright notices and this permission notice (which includes the disclaimer below) shall be included in all copies or substantial portions of the Software.

  2. The name of a copyright holder shall not be used to endorse or promote products derived from the Software without specific prior written permission.

THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.

NO USE OF THE SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. THE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. NO ASSURANCES ARE PROVIDED BY THE COPYRIGHT HOLDERS THAT THE SOFTWARE DOES NOT INFRINGE THE PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF ANY OTHER ENTITY. EACH COPYRIGHT HOLDER DISCLAIMS ANY LIABILITY TO THE USER FOR CLAIMS BROUGHT BY ANY OTHER ENTITY BASED ON INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE. AS A CONDITION TO EXERCISING THE RIGHTS GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE RESPONSIBILITY TO SECURE ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF ANY. THE SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL SYSTEMS, SUCH AS THOSE USED IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL SYSTEMS, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE OR SYSTEM COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE ("HIGH RISK ACTIVITIES"). THE COPYRIGHT HOLDERS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.

TRADEMARKS

QuickScan is a trademark and Captiva is a registered trademark of Captiva Software Corporation.

KODAK is a trademark of Eastman Kodak Company.

TWAIN Toolkit

The TWAIN Toolkit is distributed as is. The developer and distributors of the TWAIN Toolkit expressly disclaim all implied, express or statutory warranties including, without limitation, the implied warranties of merchantability, noninfringement of third party rights and fitness for a particular purpose. Neither the developers nor the distributors will be liable for damages, whether direct, indirect, special, incidental, or consequential, as a result of the reproduction, modification, distribution or other use of the TWAIN Toolkit.


Technical support

Should you have any questions about using ABBYY FlexiCapture 8.0 Professional, please consult the detailed description of functionality in the Help Topics and User Guide supplied with ABBYY FlexiCapture 8.0 Professional. You may also browse the technical support section on our Website www.abbyy.com where you may find an answer to your question.

To provide expert advice, our technical support service requires the following information:

  • Last name, first name, patronymic
  • Organization name
  • Phone number (fax, e-mail address)
  • Serial number of your installation package
  • Build (see Help/About ABBYY FlexiCapture 8.0…)
  • General description of the problem with the full error message text (if available)
  • PC and processor type
  • Windows OS version
  • Other information you consider important
Address and contact details of ABBYY offices


How to buy ABBYY FormDesigner 8.0 Professional

How to buy ABBYY FlexiCapture 8.0 Professional

To submit a purchase order for ABBYY FlexiCapture or ask any related questions, please contact authorized partners of ABBYY or regional offices of ABBYY.


Address and contact details of ABBYY offices

Russia

ABBYY Russia

Phone: +7 495 783 3700
Fax: +7 495 783 2663
Mailing address: Russia, 129301, Moscow, P.O. box 49, ABBYY
Office address: Moscow, VDNKh subway station 11 Kasatkina St., building 1
E-mail: sales@abbyy.ru
 Technical support: support@abbyy.ru
Web: http://www.abbyy.ru

DIRECTIONS

North / Central America

For users in the USA, Canada, as well as Mexico and other Central American countries:

ABBYY USA

Phone.: +1 510-226-6717
Fax: +1 510-226-6069
Address: 47221 Fremont Boulevard, Fremont, California 94538, USA
E-mail: sales@abbyyusa.com
 Technical support: support@abbyyusa.com
Web: http://www.abbyy.com

Southern and Eastern Europe

For users in Albania, Bosnia and Herzegovina, Bulgaria, Croatia, the Czech Republic, Hungary, Israel, Macedonia, Moldavia, Montenegro, Poland, Romania, Serbia, Slovakia, Slovenia, Turkey, Ukraine:

ABBYY Ukraine

Phone.: +380 44 490 99 99
Fax: +380 44 490 94 61
Address: P.O. box 23, 02002 Kyiv, Ukraine
E-mail: forms@abbyy.ua
Technical support:
Phone: +380 44 490 94 63
E-mail: formssupport@abbyy.ua
Web: http://www.abbyy.ua

Western Europe

For users in Austria, Benelux, Denmark, France, Germany, Greece, Ireland, Italy, Norway, Portugal, Spain, Sweden, Switzerland, the UK, and other countries in the region:

ABBYY Europe GmbH

Phone.: +49-(0)89-511159 - 0
Fax: +49-(0)89-511159 - 59
Address: Elsenheimerstrasse 49, 80687 Munich, Germany
E-mail: sales_eu@abbyy.com
Technical support: support_eu@abbyy.com
Web: http://www.abbyy.com

Japan

For users in Japan:

ABBYY Japan

Phone: +81 42 795 1901
Fax: +81 42 795 1901
Address: 658-1 Tsuruma, Machida-shi, Tokyo 194-8510
E-mail: sales@abbyyusa.com
Technical support: support@abbyyusa.com
Web: http://www.abbyy.com

Other regions

For users in all other countries:

ABBYY Russia

Phone.: +7 495 783-3700
Fax: +7,495,783-2663
Mailing address: Russia, 129301, Moscow, P.O. box 49, ABBYY
Office address: Moscow, VDNKh subway station 11 Kasatkina St., building 1
E-mail: sales@abbyy.com
 Technical support: support@abbyy.ru
Web: http://www.abbyy.ru; http://www.abbyy.com


End-User License Agreement

ABBYY FlexiCapture 8.0 Professional

Important! Read the following terms carefully before installing, copying and/or using the product. Installing, copying or using the product indicates Your acceptance of these terms.

This ABBYY End-User License Agreement ("EULA") is a legal agreement between You, the end user (including any legal entity for whom this SOFTWARE was obtained), and ABBYY for the above-identified ABBYY software product that accompanies this EULA, including any and all associated media, printed materials, and electronic documentation (collectively referred to as the "SOFTWARE").

By installing, copying, or otherwise using the SOFTWARE, You acknowledge that You have read this EULA and that You understand it and agree to be bound by its terms.

The SOFTWARE is protected by copyright laws and international treaty provisions. You agree that this EULA is enforceable like any written negotiated agreement signed by You.

If the SOFTWARE is accompanied by a hard copy of this EULA, in the case of any discrepancies in content between the text of this Agreement and the text in the enclosed hard copy, the text in the hard copy shall prevail.

This EULA comes into force when You accept all the conditions stated herein by choosing the "I accept the terms of the license agreement" declaration followed by the "Next" command in the SOFTWARE installation program, and is binding for the entire period of the SOFTWARE copyright.

If You do not agree with the terms of this EULA, do not use the SOFTWARE and choose the "I do not accept the terms of the license agreement" declaration and proceed by selecting the "Cancel" command in the SOFTWARE installation program. You may obtain a refund of the amount You originally paid if You:

(i) Do not use the SOFTWARE, and
(ii) Return the SOFTWARE, including all of the above-mentioned documentation, media and packaging, with the proof of payment, to the place where You bought the SOFTWARE, within thirty (30) days starting from the date of purchase unless otherwise stipulated by the laws of the country where You purchased the SOFTWARE and the return policy of the seller from whom You purchased the SOFTWARE.

1. Definitions:

"SOFTWARE" means ABBYY FlexiCapture 8.0 Professional software that is a set of computer programs, databases and documentation (which may be provided in written or electronic form), which is protected by copyright law.

"SOFTWARE Component" means any constituent part of the SOFTWARE, including, but not limited to, any Computer programs included in the SOFTWARE.

"Computer" means an electronic device with one or more CPUs that accepts information in digital or similar form and manipulates it for a specific result based on a sequence of instructions.

"SOFTWARE Copy" means a copy of the SOFTWARE or a copy of a SOFTWARE Component, which is installed on the Computer and functions in accordance with the SOFTWARE documentation.

"Design Tool" means ABBYY FlexiLayout Studio or ABBYY FormDesigner module of the SOFTWARE.

"License" means the non-exclusive right granted by ABBYY to You to use the SOFTWARE in accordance with the terms of this EULA.

"SOFTWARE Activation" means the procedure whereby the installed SOFTWARE is made fully operational in accordance with the SOFTWARE documentation.

"SOFTWARE Use" means performing any actions described in the SOFTWARE documentation as well as using any functionality of the SOFTWARE.

"Maintenance" means services provided to You by ABBYY or its Supplier: upgrades and/or updates for the SOFTWARE and/or support.

"Supplier" means a legal or physical entity which is authorized by ABBYY to supply the SOFTWARE and/or Maintenance.

"ABBYY" means:

ABBYY USA Software House Inc. registered at 47221 Fremont Boulevard, Fremont, California 94538, USA, when article 21.1 of this EULA is applied,

ABBYY Europe GmbH registered at Elsenheimerstr. 49, 80687 Munich, when article 21.2 of this EULA applied,

ABBYY LLC registered at 21 building 1 Bratislavskaya Ulitsa, 109451, Moscow, Russia, when article 21.3 of this EULA is applied,

ABBYY Software House Ukraine registered at 31, Degtyarevskaya st., Kiev, Ukraine 03680, when article 21.4 of this EULA is applied,

and ABBYY Solutions Ltd., Kastoros 2, CY 1087, Nicosia, Cyprus, in all other cases.

"ABBYY Group" means ABBYY with all its affiliates.

"ABBYY affiliate" means an entity that, directly or indirectly, through one or more intermediaries, controls, is controlled by or is under common control of ABBYY.

"You" and "Your" refers to and includes any person and/or any legal entity that obtained this SOFTWARE and on whose behalf this SOFTWARE is being used.

2. Grant of License

2.1. Subject to Your compliance with the terms of this EULA, ABBYY grants You a non-exclusive limited license ("the License") enabling You to use the SOFTWARE, including all the images, photos, animations, audio-video components, music, text and "applets" incorporated into the SOFTWARE, as well as the accompanying printed materials and all of the SOFTWARE copies solely as set forth below. All conditions stated below apply both to the SOFTWARE as a whole and to all of its separate component.

3. License

3.1. ABBYY represents, warrants and guarantees that it has the full right, power, legal capacity, ability and authority to license and distribute the SOFTWARE, including all the images, photos, animations, audio-video components, music, text and "applets" incorporated into the SOFTWARE, as well as the accompanying printed materials and all of the SOFTWARE copies.

3.2. All title and intellectual property rights in and to the content that is not contained in the SOFTWARE, but may be accessed through use of the SOFTWARE, are the property of the respective content owners and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA does not purport to transfer the ownership of such intellectual property.

3.3. You acknowledge that the SOFTWARE is protected from unauthorized copying and unlimited use and may include software or hardware protection keys providing for such protection (hereinafter, "License Keys") and You accept the SOFTWARE subject to all such protections.

3.4. The scope of the License may depend on several factors that are specified during purchasing: the set of features, the permitted number of the Software copies run in the network, number of CPUs used during processing, the amount of pages that can be processed, expiration date and other. All this information and other information is encoded in the License Key. The License Key technically restricts the use of the SOFTWARE and reflects the scope of the License You ordered.

3.5. The SOFTWARE contains valuable trade secrets and confidential information belonging to ABBYY and is protected by copyright, including, without limitation, by United States Copyright Law, international treaty provisions, and the applicable laws of the country in which it is being used. Any use of the SOFTWARE outside of or in contravention of the terms and conditions of this EULA shall constitute a breach of ABBYY’s intellectual property rights and shall give cause for the revocation of all rights to use the SOFTWARE granted to You under this EULA.

3.6. You may make a one-time permanent transfer of this EULA and SOFTWARE only directly to another end user. This transfer must include all of the SOFTWARE (including all SOFTWARE Components, the media and printed materials, any upgrades, and this EULA). Such transfer may not be by way of consignment or any other indirect transfer. The transferee of such one-time transfer must agree to comply with the terms of this EULA, including the obligation not to further transfer this EULA and SOFTWARE. You must uninstall the SOFTWARE Components from all Your Computers or from Your Local Area Network in the case of such SOFTWARE transfer.

3.7. You may not transfer or distribute the SOFTWARE to any other person, including any rights granted to You hereunder and/or any other rights related to the SOFTWARE. ABBYY has the right to terminate this EULA in the event of such a transfer or distribution.

3.8. This EULA does not grant You any rights in connection with any trademarks of ABBYY.

3.9. Reservation of Rights. All rights not expressly granted are reserved by ABBYY.

4. Using the SOFTWARE

4.1. You may use the SOFTWARE according to the scope of Your License.

4.2. You may install the SOFTWARE without the SOFTWARE Activation on unlimited number of Computers

4.3. You may simultaneously run or use as many copies of the SOFTWARE as permitted by the scope of Your License.

4.4. The number of copies of the Design Tool that can be run simultaneously should not exceed the number of SOFTWARE copies permitted by the scope of Your License.

4.5. If You access the SOFTWARE by using Terminal Services, You may simultaneously run or use as many copies of the SOFTWARE as permitted by the scope of Your License and stipulated in this EULA.

4.6. You may use the SOFTWARE to provide recognition and conversion services and/or to provide the results acquired through the use of the SOFTWARE to any third party only if Your License Key has the parameter "BPO services enabled".

4.7. You agree to indemnify, hold harmless, and defend ABBYY from and against any claims, liabilities, losses, actions, damages and/or or lawsuits, including any attorneys’ fees, that may arise from or relate to the use of and/or reliance on the SOFTWARE.

5. Dual-Media SOFTWARE

5.1. You may receive the SOFTWARE on more than one medium, including downloads over the Internet. Regardless of the number of media You receive, You are licensed to use the SOFTWARE subject to this EULA.

6. End-User Databases

6.1. You may create Your own databases for the programs included in the SOFTWARE if such a feature is provided by the SOFTWARE.

7. Redistribution of the SOFTWARE

7.1. Any re-distribution of the SOFTWARE, except as described in article 3.6, is strictly prohibited. Redistribution includes, but is not limited to selling, renting, leasing, or lending the SOFTWARE.

8. Limitations

8.1. You acknowledge that the SOFTWARE is protected from unauthorized copying and/or use. You may not be able to exercise Your rights to the SOFTWARE under this EULA unless You activate Your copy of the SOFTWARE. When You activate Your copy of the SOFTWARE, no personal information will be transmitted to ABBYY. Activation is completely anonymous. During activation, a unique parameter is created that represents the configuration of Your Computer at the time of activation. The parameter does not include any personal information, any information about software or data that may reside on Your Computer, or any information about the specific make or model of Your Computer. The parameter identifies the Computer solely for the purpose of activation. Together with this parameter, the name, serial number, and version number of Your copy of the SOFTWARE will be sent to ABBYY. This information will only be used to select the correct content of a reply message that is sent to You to confirm the results of activation. None of this information will be used for any other purpose.

8.2. All terms of use and limitations governing the use of the SOFTWARE are stated in this EULA, unless otherwise stipulated in a separate agreement with ABBYY.

8.3. If the SOFTWARE is labeled "Not for Resale" or "NFR," then, notwithstanding other sections of this EULA, Your use of the SOFTWARE is limited to use for demonstration, testing or evaluation purposes and You may not resell, or otherwise transfer for value, the SOFTWARE and/or the results obtained through the use of the SOFTWARE.

8.4. You may not perform or make it possible for other persons to perform any activities included in the list below:

8.4.1. Disassemble or decompile (i.e. extract the source code from the object code) the SOFTWARE (applications, databases, and any and all SOFTWARE Components), except, and only to the extent, that such activity is expressly permitted by applicable law notwithstanding this limitation. If applicable law permits such activities, any information so discovered must not be disclosed to third parties to the extent that such non-disclosure is permitted by law and it must be promptly disclosed to ABBYY. All such information shall be deemed to be the confidential and proprietary information of ABBYY.

8.4.2. Modify, adapt, or translate the SOFTWARE, including making changes to the object code of the applications and databases contained in the SOFTWARE, other than those provided for by the SOFTWARE and described in the documentation.

8.4.3. Rent, lease, sublicense, assign, or transfer any rights granted to You by this EULA and other rights related to the SOFTWARE to any other person, or authorize all or any portion of the SOFTWARE to be copied onto another user's Computers, except as described in article 3.6.

8.4.4. Make it possible for any person not entitled to use the SOFTWARE and working in the same multi-user system as You to use the SOFTWARE.

8.4.5. Remove or obscure any copyright, trademark or patent notices that appear on the SOFTWARE as delivered to You.

9. Compliance with Licenses.

9.1. You agree that upon request from ABBYY or ABBYY’s authorized representative, You will within thirty (30) days fully document and certify that You are in conformity with the terms and conditions of this EULA.

10. Support Services

10.1. ABBYY or its Supplier provides You with Maintenance subject to the terms and conditions stated in Appendix A to this EULA, unless otherwise agreed by You and ABBYY or by You and ABBYY Supplier.

11. SOFTWARE for Trial Purposes

11.1. If the SOFTWARE is labeled "Try&Buy," "Trial" or "Demo," then this section shall apply until such time that You purchase a license for the full version of the SOFTWARE. You acknowledge that the SOFTWARE has limited functionality and/or functions for a limited period of time. The SOFTWARE is licensed on an "as is" basis, solely as a demonstration model. If the SOFTWARE is a timeout version, its functionality will be disabled after a designated period of time, this period being specified in the SOFTWARE. Upon such timeout date, the License hereunder shall be terminated, unless extended by ABBYY upon Your purchase of a license for the full version of the SOFTWARE from ABBYY.

12. Terms and Termination

12.1. Unless otherwise agreed by You and ABBYY or by You and ABBYY Supplier, this EULA is effective until terminated. You may terminate it by destroying the SOFTWARE and accompanying documentation and all copies thereof. Without prejudice to any other rights, ABBYY may terminate this EULA if You fail to comply with the terms and conditions of this EULA. In such an event, You must destroy all copies of the SOFTWARE and all of the SOFTWARE Components. Such termination does not relieve You of Your obligation to pay for the SOFTWARE and/or for Maintenance.

12.2. Provisions 3.3–3.5, 3.8, 3.9, 4.7, 7, 8, 11, 13.2–13.4, 14–21, 23, and 24 shall survive the termination of this EULA, howsoever caused, but this shall not imply or create any continued right to use the SOFTWARE after termination of this EULA.

13. Limited Warranty

13.1. ABBYY warrants that the media on which the SOFTWARE is furnished, if any, will be free from defects in materials and workmanship under normal use for the minimal period determined by the legislation of the country in which You purchased the SOFTWARE starting from the date of purchase.

13.2. The SOFTWARE, any updates, upgrades, and Maintenance are being delivered to You "as is" and ABBYY makes no warranty of any kind. ABBYY and its Suppliers do not and cannot warrant the performance or results You may obtain by using the SOFTWARE.
Except for any warranty, condition, representation, or term to the extent to which the same cannot or may not be excluded or limited by law applicable to You in Your jurisdiction, ABBYY and its Suppliers make no warranties, conditions, representations, or terms (express or implied whether by statute, common law, custom, usage or otherwise) as to any matter, including without limitation non-infringement of third party rights, merchantability, integration, satisfactory quality, or fitness for any particular purpose, or that the SOFTWARE will carry no errors, meet Your requirements, or that the SOFTWARE will function properly when used in conjunction with any other software or hardware, and the entire risk as to the quality and performance of the SOFTWARE lies with You.

13.3. ABBYY makes no warranties for any third party software products which may be supplied within the SOFTWARE.

13.4. Limited Warranty for Users Residing in Germany or Austria.
If You obtained Your copy of the SOFTWARE in Germany or Austria, and You usually reside in such country, then, in accordance with German law, ABBYY or its Suppliers warrant that the SOFTWARE provides the functionalities set forth in its documentation (the "agreed upon functionalities") for the limited warranty period following receipt of the SOFTWARE copy when used on the recommended hardware configuration. As used in this article, "limited warranty period" means one (1) year if You are a business user or legal entity, and two (2) years if You are not a business user. Non-substantial variation from the agreed upon functionalities shall not be considered and does not establish any warranty rights. This limited warranty does not apply to the SOFTWARE provided to You free of charge, for example, updates, pre-release versions, "Trial" versions, product samples, "Not for Resale" ("NFR") copies of the SOFTWARE, or the SOFTWARE that has been altered by You, to the extent that such alterations caused a defect. To make a warranty claim, during the limited warranty period You must return, at ABBYY’s expense, the SOFTWARE and proof of purchase to the location where You obtained it. If the functionalities of the SOFTWARE vary substantially from the agreed upon functionalities, ABBYY is entitled (by way of re-performance and at its own discretion) to repair or replace the SOFTWARE. If this fails, You are entitled to a reduction of the purchase price (reduction) or to cancel the purchase agreement (rescission). For further warranty information, please contact ABBYY’s Customer Support Department in Germany: ABBYY Europe GmbH, Elsenheimerstrabe 49, 80687 Munich, tel.: +49 (0)89 51 11 590, fax: +49 (0)89 51 11 5959.

14. Limitation of Liability

14.1. In no event will ABBYY or its Suppliers be liable to You for any damages, business interruption, loss of data or information of any kind, business or otherwise, claims or costs whatsoever, or any consequential, indirect, incidental damage, or any lost profits or lost savings resulting from and/or relating to the use of the SOFTWARE, or damages caused by possible errors or misprints in the SOFTWARE, even if an ABBYY representative has been advised of the possibility of such loss, damages, claims or costs, or for any claim by any third party. The foregoing limitations and exclusions apply to the extent permitted by applicable law in Your jurisdiction. ABBYY’s sole and aggregate liability and that of its Suppliers under or in connection with this EULA shall be limited to the purchase price originally paid for the SOFTWARE, if any. Nothing contained in this EULA limits ABBYY’s liability to You in the event of death or personal injury resulting from ABBYY’s negligence or for the tort of deceit (fraud). ABBYY is acting on behalf of its Suppliers for the purpose of disclaiming, excluding and/or limiting obligations, warranties and liability as provided in this EULA, but in no other respects and for no other purpose. For further information, please see the jurisdiction specific information in article 21 of this EULA, if any, or contact ABBYY’s customer support department.

14.2. Limitation of Liability for Users Residing in Germany or Austria.
If You obtained Your copy of the SOFTWARE in Germany or Austria, and You usually reside in such country, then

14.2.1. Subject to the provisions of article 14.2.2, ABBYY’s statutory liability and that of its Suppliers for damages shall be limited as follows: (i) ABBYY shall be liable only up to the amount of damages as typically foreseeable at the time of entering into the purchase agreement in respect of damages caused by a slightly negligent breach of a material contractual obligation and (ii) ABBYY shall not be liable for damages caused by a slightly negligent breach of a non-material contractual obligation.

14.2.2. The limitation of liability set forth in 14.2.1 shall not apply to any mandatory statutory liability, in particular, to liability under the German Product Liability Act, liability for assuming a specific guarantee or liability for culpably caused personal injuries.

14.2.3. You are required to take all reasonable measures to avoid and reduce damages, in particular to make backup copies of the SOFTWARE and Your computer data subject to the provisions of this EULA.

15. Embedded Fonts

15.1. Font programs are subject to copyright, and the copyright owner may impose conditions under which a font program can be used. One of the conditions may be that You need a licensed copy of the font program to embed the font into a PDF file. In no event shall ABBYY be liable for any damages arising out of or in connection with Your use of embedded fonts.

16. Adobe® PDF Library

16.1. "Adobe Software" means Adobe® PDF Library for Windows 2000, XP and related documentation, and any upgrades, modified versions, updates, additions, and copies thereof. The SOFTWARE uses the Adobe Software for converting PDF files into image files.

16.2. License Grant and Restrictions. ABBYY grants You a non-exclusive right to use the Adobe Software incorporated into the SOFTWARE under the terms of this EULA. You may make one backup copy of the Adobe Software incorporated into the SOFTWARE, provided the backup copy is not installed or used on any Computer.

16.3. Intellectual Property Rights. The Adobe Software incorporated into the SOFTWARE is owned by Adobe and its suppliers, and its structure, organization and code are the valuable trade secrets of Adobe and it suppliers. The Adobe Software is also protected by United States Copyright Law and International Treaty provisions. You may not copy the Adobe Software incorporated into the SOFTWARE, except as provided in this EULA. Any copies that You are permitted to make pursuant to this EULA must contain the same copyright and other proprietary notices that appear on or in the SOFTWARE. You agree not to modify, adapt, translate, reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the Adobe Software incorporated into the SOFTWARE. Except as stated above, this EULA does not grant You any intellectual property rights in the Adobe Software.

16.4. Font License. If the SOFTWARE or Adobe Software incorporated into the SOFTWARE includes font software, You may embed the font software, or outlines of the font software, into Your electronic documents to the extent that the font vendor copyright owner allows for such embedding. The fonts contained in this package may contain both Adobe and non-Adobe owned fonts. You may fully embed any font owned by Adobe.

16.5. Warranty. ABBYY DOES NOT AND CANNOT WARRANT THE PERFORMANCE RESULTS YOU MAY OBTAIN BY USING THE ADOBE SOFTWARE INCORPORATED INTO THE SOFTWARE.

16.6. Export Rules. You agree that the Adobe Software incorporated into the SOFTWARE will not be shipped, transferred or exported into any country or used in any manner prohibited by the United States Export Administration Act or any other export laws, restrictions or regulations (collectively the "Export Laws"). In addition, if the Adobe Software incorporated into the SOFTWARE is identified as export controlled items under the Export Laws, You represent and warrant that You are not a citizen, or otherwise located within, an embargoed nation and that You are not otherwise prohibited under the Export Laws from receiving the Adobe Software incorporated into the SOFTWARE. All rights to use the Adobe Software incorporated into the SOFTWARE are granted on condition that such rights are forfeited if You fail to comply with the terms of this EULA.

16.7. Trademarks. Adobe and Adobe PDF Library are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States and/or other countries.

17. Microsoft XML Core Services

17.1. The Software uses Microsoft XML Core Services (MSXML) to parse and process XML documents.

17.2. Identified Software. Your license rights to the SOFTWARE are conditioned upon Your (a) not incorporating Identified Software into, or combining Identified Software with, MSXML, or a derivative work thereof; (b) not distributing Identified Software in conjunction with MSXML; and (c) not using Identified Software in the development of a derivative work of MSXML. "Identified Software" means software which is licensed pursuant to terms that directly or indirectly (i) create, or purport to create, obligations for Microsoft with respect to MSXML or derivative work thereof or (ii) grant, or purport to grant, to any third party any rights or immunities under Microsoft's intellectual property or proprietary rights in MSXML or derivative work thereof. Identified Software includes, without limitation, any software that requires as a condition of use, modification and/or distribution of such software that other software incorporated into, derived from or distributed with such software be (a) disclosed or distributed in source code form; (b) be licensed for the purpose of making derivative works; or (c) be redistributable at no charge.

18. PixTools® Scan runtime libraries and ISIS® Drivers

18.1. "Captiva Software" means Scan runtime libraries, Level 1 ISIS Drivers, Level 2 ISIS Drivers, and Level 3 ISIS Drivers. The SOFTWARE uses the Captiva Software for communicating between scanner and SOFTWARE through the ISIS interface.

18.2. License Grant and Restrictions. ABBYY grants You a non-exclusive right to use the Captiva Software incorporated into the SOFTWARE under the terms of this EULA.

18.3. Intellectual Property Rights. The Captiva Software incorporated into the SOFTWARE is owned by Captiva and its suppliers, and its structure, organization and code are the valuable trade secrets of Captiva and it suppliers. The Captiva Software is protected by United States Copyright Law and International Treaty provisions. You may not copy the Captiva Software incorporated into the SOFTWARE. You agree not to modify, adapt, translate, reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the Captiva Software incorporated into the SOFTWARE. Except as stated above, this EULA does not grant You any intellectual property rights in the Captiva Software.

18.4. Warranty.
ABBYY DOES NOT AND CANNOT WARRANT THE PERFORMANCE RESULTS YOU MAY OBTAIN BY USING THE CAPTIVA SOFTWARE INCORPORATED INTO THE SOFTWARE.
IN NO EVENT WILL CAPTIVA OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS OR FOR ANY CLAIM BY ANY THIRD PARTY.
Some states or jurisdictions do not allow the exclusion or limitation of incidental, consequential or special damages, so the above limitations may not apply to You. You may have other rights, which vary from state to state or jurisdiction to jurisdiction.

18.5. Trademarks.
ISIS and PixTools are either registered trademarks or trademarks of Captiva Software Corporation in the United States and/or other countries.

19. LIZARDTECH SOFTWARE

19.1. “LIZARDTECH SOFTWARE” means DjVu Decoder Software Development Kit of LIZARDTECH origin, as well as any associated media, printed materials and “online” or electronic documentation . You have acquired the SOFTWARE that includes the LIZARDTECH SOFTWARE licensed by ABBYY from LIZARDTECH, INC. The SOFTWARE uses the LIZARDTECH SOFTWARE for converting DjVu files into image files.

19.2. The LIZARDTECH SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The LIZARDTECH SOFTWARE is licensed, not sold.

19.3. Grant of License. You are granted a personal, nonsublicensable, nontransferable, nonexclusive license to use the LIZARDTECH SOFTWARE as integrated in the SOFTWARE (as well as any associated documentation). You will not rent, sell, lease or otherwise distribute the LIZARDTECH SOFTWARE or any part of it.

19.4. NO WARRANTIES FOR THE LIZARDTECH SOFTWARE. The LIZARDTECH SOFTWARE is provided “AS IS” and with all faults. THE ENTIRE RISK AS TO SATISFACTORY QUALITY, PERFORMANCE, ACCURACY, AND EFFORT (INCLUDING LACK OF NEGLIGENCE) IS WITH YOU. ALSO, THERE IS NO WARRANTY AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE LIZARDTECH SOFTWARE OR AGAINST INFRINGEMENT. IF YOU HAVE RECEIVED ANY WARRANTIES REGARDING THE SOFTWARE OR THE LIZARDTECH SOFTWARE, THOSE WARRANTIES DO NOT ORIGINATE FROM, AND ARE NOT BINDING ON, LIZARDTECH. NO LIABILITY FOR CERTAIN DAMAGES. EXCEPT AS PROHIBITED BY LAW, LIZARDTECH SHALL HAVE NO LIABILITY FOR ANY INDIRECT, SPECIAL, CONSEQUENTIAL OR INCIDENTAL DAMAGES ARISING FROM OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE LIZARDTECH SOFTWARE. THIS LIMITATION SHALL APPLY EVEN IF ANY REMEDY FAILS OF ITS ESSENTIAL PURPOSE.

19.5. Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the LIZARDTECH SOFTWARE, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

19.6. Export Restrictions. You acknowledge that the LIZARDTECH SOFTWARE, or any part thereof, or any process or service that is the direct product of the LIZARDTECH SOFTWARE (the foregoing collectively referred to as the “Restricted Components”) are of U.S. origin. You agree to comply with all applicable international and national laws that apply to these products, including the U.S. Export Administration Regulations, as well as end-user, end-use and destination restrictions issued by U.S. and other governments.

20. Benchmark Testing

20.1. You may not disclose the results of any benchmark test using the SOFTWARE to any third party without ABBYY's prior written approval.

21. Export Rules

21.1. The SOFTWARE shall not be exported or re-exported in violation of any export provisions in the laws of the country in which this SOFTWARE was purchased or otherwise acquired. In addition, You represent and warrant that You are not prohibited under applicable laws from receiving the SOFTWARE.

22. Governing Law

22.1. If the Software was purchased in the United States, Canada, Mexico, Central America, Japan or Taiwan, this EULA shall be governed by and construed in accordance with the laws of the State of California, United States of America. With respect to any dispute which may arise in connection with this EULA and/or this SOFTWARE, you consent to the jurisdiction and venue of the federal and/or state courts in the county of Alameda or Santa Clara in the state of California.

22.2. If the SOFTWARE was purchased in Austria, Belgium, Denmark, Finland, France, Germany, Greece, Ireland, Italy, Luxembourg, the Netherlands, Portugal, Spain, Sweden, the United Kingdom, or any other member state of the European Union that is not mentioned in article 22.3 or 22.4 of this EULA, or in Switzerland, Norway, Iceland or Liechtenstein, this EULA shall be governed by and construed in accordance with the substantial laws in force in Munich, the Federal Republic of Germany and the competent court of Munich, the Federal Republic of Germany shall have jurisdiction over all disputes relating to this EULA.

22.3. If the SOFTWARE was purchased in Russia, Byelorussia, Kazakhstan, or any other country of the CIS, except for Ukraine and Moldova, or if the SOFTWARE was purchased in Latvia, Lithuania or Estonia, this EULA shall be governed by and construed in accordance with the substantial laws in force in the Russian Federation.

22.4. If the SOFTWARE was purchased in Albania, Bosnia and Herzegovina, Bulgaria, Croatia, Cyprus, the Czech Republic, Hungary, Israel, Macedonia, Malta, Poland, Romania, Slovakia, Slovenia, Turkey, Serbia, Montenegro, Ukraine or Moldova, this EULA shall be governed by and construed in accordance with legislation of Ukraine.

22.5. In case the article 22.3. is applied and You are legal entity or private entrepreneur, the arbitration court of Moscow, the Russian Federation, shall have jurisdiction over all disputes relating to this EULA. In case the article 22.3. is applied and You are individual person, the Lublinsky district court of Moscow, the Russian Federation, shall have jurisdiction over all disputes relating to this EULA.

22.6. In the cases described in articles 22.1-22.4, this EULA will not be governed by the conflict of law rules of any jurisdiction or the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly excluded.

22.7. If the SOFTWARE was purchased in a country other than the countries specified in articles 22.1-22.4, this EULA shall be governed by and construed in accordance with the substantial laws of the country in which You purchased the SOFTWARE.

23. Miscellaneous

23.1. If You have received this copy of the SOFTWARE as an enhancement to the current version of the SOFTWARE or as a major version upgrade for the SOFTWARE, then by installing this copy of the SOFTWARE You voluntarily terminate Your rights in connection to any previous versions of the SOFTWARE, including the right to use such SOFTWARE. You acknowledge that any obligation ABBYY or its Suppliers may have to support the previous versions of the SOFTWARE may be ended upon availability of this version of the SOFTWARE.

23.2. If You acquired the SOFTWARE via the Internet (including "Not for Resale" and/or "Upgrade" versions) ABBYY shall not provide You with any printed materials, including the User’s Guide.

24. Government Use

24.1. If use is made of the SOFTWARE by the United States Government or any US Government agency, the following additional terms shall apply: (1) Restricted Computer Software, as defined in the Rights in Data-General clause at Federal Acquisition Regulations 52.227-14; and (2) any use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013.

25. General Provisions

25.1. If any part of this EULA is found void and unenforceable, it will not affect the validity of the balance of the EULA, which shall remain valid and enforceable according to its terms. This EULA shall not prejudice the statutory rights of any party dealing as a consumer.

Appendix A

Maintenance Agreement

This Appendix A shall be an integral part of the EULA unless otherwise stipulated in a separate agreement with ABBYY.

1. Definitions

1.1. "Update" means enhancements to the current version of the SOFTWARE.

1.2. "Upgrade" means the next SOFTWARE release to supersede the major version (for example 2.x will supersede 1.x) currently licensed to You in the EULA.

1.3. "Error" means any failure of the SOFTWARE to perform in accordance with the specifications listed in the documentation. The following three types of Error shall be recognized:

1.3.1. A priority 1 Error means problem situations where no workarounds are available to You and the production at Your site is halted, including Errors displaying "Internal Program Error," "Out of memory," "Access Violation," "General Protection Fault," "General Protection Error," and "Division by Zero" messages;

1.3.2. A priority 2 Error means a failure for which a workaround is available;

1.3.3. A priority 3 Error is a minor issue not interfering with the production at Your site.

1.4. "Support Services" means services provided to You by ABBYY or its Supplier for the Errors reported by You.

1.5. "Upgrade Assurance" means the part of Maintenance that grants You the right to receive Upgrades.

2. Maintenance

2.1. Maintenance may include delivery of Updates, Upgrade Assurance, and Support Services or any combination thereof. You must purchase Maintenance for the initial period of twelve (12) months commencing on the date on which the SOFTWARE is shipped or delivered. To extend the Maintenance period, You need to procure such an extension from ABBYY or its Supplier. ABBYY reserves the right, at its sole discretion, to change the form and content of Maintenance from time to time. Any supplemental SOFTWARE code provided to You as part of Maintenance is to be considered as part of the SOFTWARE and subject to the terms and conditions of the EULA.

3. Updates and Upgrade Assurance

3.1. Upgrades and Updates shall be delivered on CD-ROM and/or electronically (via FTP). Shipping costs, if any, must be paid by You.

3.2. If You have purchased the Update delivery part of Maintenance, then You have the right to receive Updates from ABBYY or its Suppliers. ABBYY or its Suppliers will provide You with Updates for the SOFTWARE as soon as these become available.

3.3. If You have purchased the Upgrade Assurance part of Maintenance, then You have the right to receive Upgrades from ABBYY or its Suppliers. ABBYY or its Suppliers will provide You with Upgrades for the SOFTWARE as soon as these become available.

3.4. If You develop any application which contains the SOFTWARE, parts of the SOFTWARE, or is integrated with the SOFTWARE, any new major release of this application shall include the latest Update of the SOFTWARE provided to You by ABBYY not more than three (3) months before such release (or the latest Update if such Update was released more than three (3) months before such release).

4. Support Services

4.1. ABBYY or its Supplier shall provide free Support Services to resolve priority 1 Errors.

4.2. If You have purchased the Support Services part of Maintenance, then ABBYY or its Supplier shall provide Support Services for up to eight (8) requests involving Errors with priority 2 and 3. Support Services for any additional requests involving Errors with priority 2 and 3 shall be purchased additionally.

4.3. ABBYY or its Supplier will provide Support Services related to the SOFTWARE during normal working hours via telephone or e-mail.

4.4. ABBYY or its Supplier agrees to make commercially reasonable efforts to issue emergency Updates to the SOFTWARE outside the normal release schedule to remedy any priority 1 Error reported to it. In the normal course of events, priority 2 and 3 Errors may be repaired in subsequent releases. Emergency Updates will only be issued for the current version of the SOFTWARE to fix priority 1 Errors.

4.5. When reporting Errors, You agree to provide ABBYY or its Supplier with the necessary supporting data to locate the Error and provide for its repair and workaround. The supporting data shall include a description of the problem, identification of the platform and operating system on which the problem occurred, a copy the input which caused the Error to be discovered, a copy of the format file being used when the Error was discovered, and any machine dumps which resulted from the Error. ABBYY or its Supplier may use the above-mentioned information for its business purposes, including, but not limited to, product support and development, provided that ABBYY or its Supplier does not utilize such information in any form that personally identifies You.


Basic field properties

You can configure basic field properties on the General tab.

On this tab the field type is displayed as an icon to the right of the name.

  • Name – field name. The name is assigned automatically when the field is created and corresponds to the explanatory text closest to the field. When editing the properties, you can change the name assigned by default. See also How to change the field name.
  • Caption – the name of the field that will be displayed in the data form.
  • Export field value – this option must be enabled if you want to export the field value (enabled by default). You may need to disable this option if, for example, the value of this field is used to obtain the value of a calculated field (see Rule validation), and only the end result has to be exported.
  • Show in data form – this option must be enabled if the field should be visible in the data form (enabled by default).
  • Cannot be blank – enable this option if you want to make it a required field.
  • Read only – enable this option if the field should be accessible only for viewing, i.e. the operator will not be able to modify its value. You can enable this option for fields whose values have to be calculated automatically using a rule, for example, for a field where you plan to save the sum or combine other fields (see Rule validation).
  • Index field – enable this option if you expect to use this field to perform document indexing. When processing documents, you will be able to display the value of this field for each document, and sort and search documents based on the field value.
  • Comment – you can enter any comments.

Field properties


Glossary

A

ABBYY FlexiCapture

A software solution for single-flow input of data from various document types – structured (fixed forms), semi-structured (flexible forms and documents) and unstructured (free-format documents).

ABBYY FlexiLayout Studio

A program allowing you to create a flexible description of the document structure, which can then be used for automatic document recognition.

ABBYY FormDesigner

ABBYY FormDesigner is used to design layouts of machine-readable forms. Once replicated and filled out, these forms can be processed with the ABBYY FlexiCapture automated form input system. Form layout design is an important stage, since the quality of the designed layout (its machine readability) determines the effectiveness of all subsequent processing stages: scanning, recognition, verification, and export.

ADF

Automatic Document Feeder. A device for automatic document feeding that enables you to scan any number of documents without performing additional manual operations.

Administrator

A user of ABBYY FlexiCapture who is authorized to configure the program for document input: creating and editing document templates and import profiles. See Administrator and operator modes.

Alphabet

A set of characters used in the language being described.

Anchor

A static element in the form of a black square, rectangle, cross or corner intended for template matching. Details...

Anchors are special elements of form design, which are used by the system to perform matching after scanning (eliminates skewing, compensates linear and nonlinear defects of scanning, calculates the location of blocks). The most reliable anchors are black squares that are normally located in the corners of a form. If no special anchors are present on the image, other static elements can be used to match the template: separators, i.e. vertical or horizontal lines, such as table lines, frames, etc., or clear static text, namely: form header, field signatures, explanatory information, etc. The option Use for template matching must be enabled for static elements used for template matching.

Anchor barcode

A static element representing a barcode that is not intended for data extraction. An anchor barcode can be used for template matching or identification.

Anchor text

A static element representing a text that is present on a blank form and is not intended for data extraction. This may be any explanatory text or header. Anchor text can be used for template matching or identification.

Angle

An anchor shaped as an angle.

Annex

Pages that do not contain fields, but are included in document assembly. No data is extracted from these pages, but they may be saved as images or PDF searchable files. See Creating templates for documents with annexes.

B

Barcode

A machine-readable form element represented as alternating white and black bars of a certain length, which encode digital information. A barcode in a document may be used to extract information (barcode field) or to match and identify a template (anchor barcode).

Barcode field

A template field containing a barcode intended for recognition.

Barcode recognition

Conversion of a graphic barcode image to numbers or text.

Black-and-white line form

A form in which borders of information fields are formed by ordinary lines that do not disappear during scanning.

Black square

An anchor shaped as a black square.

Brightness

A threshold of light sensitivity that determines at which point the scanner detects grayscale halftones as white.

C

Checkmark

A machine-readable form element that is filled with a mark (tick, cross, dot, inked out, etc.) by the person filling out a form.

Checkmark field

A template field containing a checkmark.

Checkmark group

An element of a machine-readable form uniting several checkmarks located nearby. One or several checkmarks can be selected in a checkmark group.

Checkmark group field

A document template field containing a checkmark group.

Color background form

A form in which all information fields are white rectangles against a color background that disappears during scanning.

Contrast

Ratio between the brightness of the darkest and lightest areas on an image.

Corrected checkmark

A checkmark that was selected mistakenly and then inked out. If the option Allow corrections is enabled for the checkmark field, the program will recognize the inked out checkmark as unselected.

Cross

An anchor shaped as a cross.

Custom data type

User-defineddata type. See Creating custom data types.

D

Data type

A field attribute describing known constraints of possible field values. It is used during field recognition to reduce the number of possible recognition variants. Details...

One of the field's characteristics is a data type: number, date, text, last name, given name, address, etc. A data type defines the set of words that can occur in the given field.

Data type is an important recognition parameter that affects recognition quality. A correctly specified data type can significantly reduce the number of incorrectly recognized characters.

Description file

An auxiliary file that defines how a batch is formed when images are being added from a hot folder. For details see Description file.

Dictionary

A list of words used to determine a specific data type. Details...

A dictionary is specified when creating a data type. As a result, the data type attached to a field determines the dictionary used during recognition and verification. In addition to the existing predetermined data types with ready dictionaries, the program allows you to attach data types created on the basis of custom dictionaries. You can type in dictionary data manually or load them from a file.

Document

A combination of one or several page images and data extracted from them.

Document batch

A combination of documents grouped by the user. A batch normally contains the stack of documents scanned in a single pass or imported from a particular folder. See Document batches.

Document data

Data captured after processing (recognition, verification and editing of recognition results) of document page images.

Document error

If, during document processing, it turns out that document data does not fully match either the document structure and specified field value constraints or control rules, all mismatches will be recorded in the document's errors and warnings list.

Document template

A document template defines the principles of identification and processing of this type of documents and contains:

  • The document structure, i.e. description of the allowable order of pages forming the document of this type. The document structure defines the rule of document assembly.
  • Templates of document sections.
  • List of rules that must be satisfied by field data.
  • Location of fields and their signatures in the data window (data form view).
  • Export settings for this type of documents.
  • Processing settings for this type of documents.

Document template section

A component of a document template. Corresponds to one or several pages containing a logically complete set of fields. Fields within one section can continue from one page to the next (for example, multipage tables), while field sets from various sections do not intersect.
A section template can be flexible or fixed.

Dot-matrix printer

A type of recognizable text that represents a text printed with a dot-matrix printer.

dpi

Dots per inch. Number of dots per inch; a measurement unit of image resolution.

E

Explanatory text

A machine-readable form element that represents a descriptive text (form name, field names, explanations to fields, etc.).

Export

A process of transferring processed data to an external information system or file.

F

Field

A document element intended for data extraction. Fields may be simple (without an internal structure) or composite, such as the table field where each cell can be viewed as a separate subordinate field of the table. See Creating fields of a document template.

Field region

An image region highlighted in the template and intended for data extraction.

Field verification

A verification mode whereby recognized characters are submitted for verification within the context of a field. Details...

In the field verification mode, uncertain characters are checked within the context of the entire field.

Fields with the option Include in field verification enabled are submitted for field verification. We recommend submitting for field verification those fields whose values range is known or can be determined easily. Examples of such fields are country or city names: we know what values this field can have.

Field with several instances

A field used to describe several objects of the same type (recurring objects). In essence, these multiple objects are one and the same field and share the same properties. Fields with several instances are used to avoid the need to create several identical fields. Fields with several instances are exported to separate files or database tables. See Fields with several instances.

Field with several regions

A field consisting of several regions on the image. Such regions may be located at a distance from one another and even on different pages. Values from all regions belonging to the same field are combined and exported together as one field. Normally used for objects located on several pages, such as large tables. See Fields with several regions.

Field without a region

A field detected in a document template but not having a region on the image. See Fields without a region.

Fixed form

A document with fixed information fields whose formatting, number and layout are strictly defined and do not change from one document instance to another.

Fixed template

A template of a document or its section designed for processing fixed forms. Fields in a fixed template have fixed locations.

FlexiLayout

Description of the flexible document structure. This description is designed with ABBYY FlexiLayout Studio and exported to ABBYY FlexiCapture. FlexiLayout is a kind of instruction for detecting and identifying fields in a flexible form.

Flexible description

A formalized description of the document structure, designed to help detect fields. Created with ABBYY FlexiLayout Studio. File format – *.afl. See FlexiLayout.

Flexible document

Document containing a set of information fields whose design, number and layout may vary significantly in different instances of the document. See Types of documents processed with ABBYY FlexiCapture 8.0.

Flexible template

A template of a document or its section designed for processing flexible documents. Created by attaching a flexible description. Fields in such a template do not have fixed locations. They are detected with the help of a flexible description. See Creating a template for processing flexible documents.

Form

A document comprising one or several pages designed to be filled out by a person by hand or using any other printing technique.

Form input

Data capture from information fields in forms.

Framed text

Type of text marking where a frame delimits the text. Show...

Framed text over a comb

Type of text marking where text is delimited by a frame with a bottom boundary shaped as a comb. Show...

G

Gray background form

A form in which all information fields are white rectangles against a gray background that disappears during scanning.

Group verification

A verification mode whereby identically recognized characters are submitted for verification in groups. Details...

Fields for which the option Include in group verification is enabled are submitted for group verification.

We recommend submitting characters from number fields as well as checkmarks for group verification.

H

Handprinted text

A type of recognizable text that represents a text printed by hand in distinct type.

Hot folder

A folder on the hard drive of a local or remote computer, which is used for importing images. It is normally used for periodically recurring image uploads without the user's involvement. See Image import profiles.

I

Identifier

A static element used for certain selection of a template from among several templates with identical locations of anchors. The option Use for template identification must be enabled in the properties of such static elements.

Ignored character

A character occurring inside words (for example, a bullet) or a soft hyphen character (tabulation, etc.) whose presence does not prevent the program from attributing the word to a recognizable data type. Details...

These characters are excluded from words, i.e. the words are attributed to particular data type without these characters.

Image

An electronic image of a scanned page from a hardcopy document.

Image despeckling

Removal of noise from the image. Noise can appear during scanning, and it is recommended that it be removed to enable better data recognition. During despeckling, the program also removes background dots or boundary lines of raster forms.

Image import

A process of adding images to a batch for processing. Import can be performed by adding images from files, from a scanner or using import profiles. See Adding page images.

Image replacement

Replacement of one image with a different one when editing a template.

Image rotation

Rotation of an image around its center.

Import profile

A combination of settings used to add images to a batch: import source, image processing options, hot folder cleanup options, etc. See Image import profiles.

Incorrectly recognized character

Status automatically assigned to a character in the process of recognition if it has been recognized with a considerable degree of uncertainty.

Index field

A field whose value is used to index documents for sorting and search purposes. See Index fields.

Inverted image

An image with light-colored text against a dark background.

ICR

Intelligent Character Recognition. This refers to technologies or systems designed for mass processing of documents filled with handprinted letters and numbers, i.e. recognition of handprinted characters.

K

Key field

A field that enables automatic checking of page assembly into documents. The values of key fields must be identical on all pages of the same document.

L

Language (local)

A field property that determines the writing language and relevant sets of regional parameters (such as the date or address writing style).

Letters in frames

Type of text marking where every character is delimited by a frame; frames are not isolated from one another. Show...

Letters in isolated frames

Type of text marking where every character is delimited by a frame; frames are isolated from one another. Show...

Letters over a comb

Type of text marking where a "comb" delimits the text. Show...

M

Machine-printed text

A type of recognizable text that has been printed using typographic equipment or a laser or inkjet printer with a minimum resolution of 300 dpi.

Machine-readable form

A form designed especially for automated input. It contains work elements (anchors, barcodes, lines, etc.) that are required to process it successfully.

Manual entry field

A template field containing unrecognizable text (for example, text consisting of fused letters) that has to be entered from the keyboard.

Monospaced text

Type of text marking where each letter is located within a frame of the same height and width, but the frame border disappears during scanning.

Multipage document

A document made up of several pages.

O

OCR

Optical Character Recognition. Optical recognition of printed texts.

OMR

Optical Mark Recognition. Optical recognition of marks. This technology enables ABBYY FlexiCapture to both recognize ordinary marks (ticks, crosses, etc.) on forms with a high degree of certainty and to correctly identify marks that were made by mistake and then inked out.

Operator

A user of ABBYY FlexiCapture who is tasked with document entry: adding images, performing recognition and verification, exporting recognized data. See Administrator and operator modes.

Optical mark recognition (OMR)

A process of determining the presence of a mark in the mark field of a form.

P

Page

Image of a paper document page and results of its processing.

Page layout

A scheme showing the location of fields on an image.

Page orientation

Page location relative to the standard alignment: top to bottom, left to right. Page orientation can be determined automatically during page image recognition; to this end ABBYY FlexiCapture 8.0 allows you to specify possible orientations.

Picture

An element of a machine-readable form that is not subject to recognition but intended for export in the form of a graphic object (for example, a file).

Picture field

A template field containing a picture.

Prohibited character

A character that you are certain will not occur in the data being recognized. Details...

Specifying such characters may considerably increase the speed and quality of recognition. For example, when recognizing texts with only uppercase letters, specify all lowercase letters as prohibited characters.

Project

A project is a single environment uniting the document batches and settings required to process them, such as document templates, import profiles, etc. See Creating a project.

R

Raster form

A form in which information fields are represented as white rectangles against a gray background consisting of raster lines or rectangles delimited by raster lines.

Raster line

A line consisting of equally spaced dots.

Recognition

A process of matching image elements against specific characters.

Regular expression

Description of the structure of a word or any entered value using a special language. The program allows you to specify not just the set of allowable characters, but also the structure of field contents. You can describe the structure with a regular expression when setting constraints for a text field or when creating a custom data type. See Alphabet used in regular expressions.

Resolution

Image parameter. Resolution is measured in dots per inch (dpi).

Rules

Certain conditions imposed on data in fields and automatically checked by the program. See Rule validation

Rule validation

An automatic check of recognized data against preset rules. See Rule validation.

S

Scanning

A process of getting an electronic image of a paper form using a scanner.

Section of a document template

A set of pages (or a single page) and the fields on them, which corresponds to a logically complete part of a document. Document sections can be described using a fixed or flexible template. See Creating templates for multipage documents.

Separator

A machine-readable form element representing a vertical or horizontal line.

Set of allowable characters

A set of characters occurring in the data type being recognized. Details...

This set is determined by the data type. That is, the type of data attached to a field determines the set of characters used during recognition.

In addition to selecting characters included in this set, you may configure additional parameters restricting this set. For example, you may specify:

  • Characters that you know will not occur when a given field is recognized – prohibited characters (for example, you may specify all lowercase letters as prohibited for a field where only uppercase characters may occur).
  • Characters that may occur inside words without affecting their verification – ignored characters (for example, hyphens, stress marks, etc.).

Simple text

A type of text marking where text is inserted in a block without any delimiters.

Single-flow data input

Automated data extraction from analog (printed) and digital (scanned image) documents.

Single-flow document input

Automated conversion of hardcopy documents into electronic form.

Static elements

Unrecognizable elements intended for template matching and identification. Such elements are: anchors, anchor text, separators, anchor barcodes.

T

Table

Data arranged in a two-dimensional grid that is not necessarily visible. The program processes tables consisting of columns with same-type data and repeating rows.

Table field

A template field containing a table. It is a composite field, with every table column representing a set of fields of the same type: text, checkmarks, barcodes or pictures.

Template identification

A process of selecting the required template with the help of identifiers.

Template matching

A process of selecting a template and matching template fields against an image.

Template publication

Allowing access to a new document template version once it has been edited. A published version participates in the processing of documents from work batches, while an unpublished, local version can participate only in the processing of templates from test batches. See Editing and publishing a template.

Test batches

Document batches designed for template testing and configuration. Local copies of document batches are used to process test batches. See Document batches.

Text field

A machine-readable form element designed for text entry when filling out a form.

Text field marking

A graphic element delimiting a text field: frame, comb, line.

Text marking

The design of a page region intended for text input. See samples of text formatting in the Entry field topic.

Text orientation

Direction of text in a field relative to the page.

Text recognition (OCR, ICR)

Conversion of a graphic image to text.

Text sample

A file containing samples of all alphabet characters.

Typewriter

A type of recognizable text that represents a text printed with a typewriter.

U

Underlined text

Type of text marking where underlining delimits the text. Show...

Unrecognizable region

An image region excluded from recognition. An unrecognizable region is required to exclude a region with explanatory text or picture that complicates field recognition. See Excluding a region from recognition.

Unstructured document

A document containing information presented in a free form. Examples of such documents are contracts, letters, orders, graphs. See Processing unstructured documents.

V

Verification

A process of checking recognized data by the operator. Performed by comparing recognition results with the original image of any document part. In ABBYY products, the verification technology has been implemented taking into account the basic psychosomatic peculiarities of humans: habit formation, skill utilization, integrity and purpose of perception. See Verifying recognized data.

W

Work batches

Document batches intended for data input. Only published document templates are used for processing work batches. See Document batches.

Writing style

A manner of writing that is specific to a particular group. For example, the American manner of writing numbers. Details...

This option is used for configuring the writing style of handprinted letters in forms. The choice of a writing style depends on the are where form processing takes place (Russia, Germany, the Czech Republic, the USA, etc.).

X

XFD

XML Form Definition (*.xfd) – a special file format of a form designed with ABBYY FormDesigner. An XML Form Definition format file is used to create document templates in ABBYY FlexiCapture.


Glossary

A B C D E F G H I K L M O P R S T U V W X


Description file

A description file is an auxiliary file that defines how a batch is formed when images are added from a hot folder. Depending on the format of the description file, different file sets are used to form the batch.

The program uses the following types of description file:

  1. Captiva QuickScan
    All the image files listed in the description file are added to the batch. The order of the image files in the batch is the same as in the description file.
  2. Capture Software for Kodak
    The image files that are located in the folder of the Kodak batch are added to the batch in ascending order of file name.
  3. Empty file
    The contents of this file is irrelevant. All the files that precede the description file in the hot folder will be added to the batch in the ascending order of file names.
  4. XML file
    This is an XML file with a documented structure. An XML file is used when the other three types cannot be used but a custom description file can be generated. The image files listed in the description file are added to the batch.

    An XML file must contain a root element Batch with child elements Images.

    The Images element, in turn, must include Image elements, whose number corresponds to the number of pages in the batch that is being created. Each Image element must contain a UNC path to the corresponding image file. The path to the folder containing the image must be the same for all Image elements.

    <Batch>

    ...

    <Images>
    <Image>\\HotFolder\Page1.tif</Image>
    <Image>\\HotFolder\Page2.tif</Image>
    <Image>\\HotFolder\Page3.tif</Image>

    </Images>

    </Batch>

    In the case, we recommend setting up the scanning program so that scanned images are placed into the Hot Folder itself or into its first-level subfolders. When creating a batch, the program will add to it all the images listed in the Image elements of the corresponding description file. The images will be added in the order in which they are arranged in the description file.

    The order of the image files in the batch is the same as in the description file.